<?php
if(!isset($_SESSION)) session_start();

require_once('config/config.php');

require_once('includes/functions.php');

$error = false;

$uid = $_SESSION['uid'];
	
if(isset($_POST['verify']))
{
	$url = $_POST['url'];
	
	$verificationCode = getWebsiteVerificationCode($url);
	
	$website = 'http://'.$url;
	
	$ch = curl_init();
	
	curl_setopt($ch, CURLOPT_URL, $website);
	
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	
	$html = curl_exec($ch);
	
	curl_close($ch);
	
	$dom = new DOMDocument();
	
	@$dom->loadHTML($html);
	
	$found = 0;
	
	foreach($dom->getElementsByTagName('meta') as $link) 
	{
		$code=$link->getAttribute('content');
		
		if($code == $verificationCode)
		{
			$found = 1;
			
			mysqlQuery("UPDATE `userWebsites` SET `status`='1',`adminAllow`='1' WHERE `url`='$url'");
			
			mysqlQuery("DELETE FROM `userWebsites` WHERE `url`='$url' AND `uid`!='$uid'");
		}
			
	}
	
	if($found == 1)
	{
		$successMessage = '<div class="alert alert-success alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button><b> '.$url.'</b> '.$language['verified_successfully'].'</div>'; 
		
		echo $successMessage;
	}
	else if($found == 0)
	{
		$warningMessage = '<div class="alert alert-warning alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button><b> '.$url.'</b> '.$language['verified_error'] .'<br/><br/><b style="word-break:break-word">&lt;meta name="verifyWebsite" content="'.$verificationCode.'"&gt;&lt;/meta&gt;</b></div>';
		
		echo $warningMessage;
	}
}	
else
{
	$url = $_POST['url'];

	$cid = $_POST['cid'];

	$row = mysql_fetch_array(mysqlQuery("SELECT `worth` FROM `stats` WHERE `url`='$url'"));

	$price = $row['worth'];

	$verificationCode = time();

	if(userAlreadyAddThisWebSite($uid,$url))
	{
		$errorMessage = '<div class="alert alert-danger alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>'.$language["you_have_already_add_this_website"].'</div>';
		
		echo $errorMessage;
	}	
	else
	{
		mysqlQuery("DELETE FROM `userWebsites` WHERE `url`='$url' AND `status`='0'");
		
		mysqlQuery("INSERT INTO `userWebsites` (uid, cid, url, verificationCode, price) VALUES ('$uid','$cid','$url','$verificationCode',$price)");

		$successMessage = '<div class="alert alert-success alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>'.$language["copy_this"].' <b style="word-break:break-word">&lt;meta name="verifyWebsite" content="'.$verificationCode.'"&gt;&lt;/meta&gt;</b> '.$language['sale_message'].'</div>';

		echo $successMessage;
	}
}
?>