<?php
include "includes/header.php";

$error = false;

$csrfVariable = 'csrf_' . basename($_SERVER['PHP_SELF']);

if(isset($_POST['submit'])) {

	if($_SESSION[$csrfVariable] != $_POST['csrf'])
        $error = true;

	$leaderboard = mres(trim(htmlspecialchars_decode($_POST["leaderboard"])));
	
	$banner = mres(trim(htmlspecialchars_decode($_POST["banner"])));
	
	$rectangle = mres(trim(htmlspecialchars_decode($_POST["rectangle"])));
	
	$leaderboardStatus = ($_POST["leaderboardStatus"] == 'on') ? '1' : '0';
	
	$bannerStatus = ($_POST["bannerStatus"] == 'on') ? '1' : '0';
	
	$rectangleStatus = ($_POST["rectangleStatus"] == 'on') ? '1' : '0';
	
	$leaderboardResponsiveStatus = ($_POST["leaderboardResponsiveStatus"] == 'on') ? '1' : '0';
	
	$bannerResponsiveStatus = ($_POST["bannerResponsiveStatus"] == 'on') ? '1' : '0';
	
	$rectangleResponsiveStatus = ($_POST["rectangleResponsiveStatus"] == 'on') ? '1' : '0';
	
	updateAds($leaderboard,$leaderboardStatus,$leaderboardResponsiveStatus,$banner,$bannerStatus,$bannerResponsiveStatus,$rectangle,$rectangleStatus,$rectangleResponsiveStatus);

}

$query = mysqlQuery("SELECT * FROM `ads`");

$array = mysql_fetch_array($query);

$leaderboard = $array['leaderboardAd'];

$leaderboardStatus = $array['leaderboardAdStatus'];

$leaderboardResponsiveStatus = $array['leaderboardAdResponsiveStatus'];

$banner = $array["bannerAd"];

$bannerStatus = $array["bannerAdStatus"];

$bannerResponsiveStatus = $array["bannerAdResponsiveStatus"];

$rectangle = $array["rectangleAd"];

$rectangleStatus = $array["rectangleAdStatus"];

$rectangleResponsiveStatus = $array["rectangleAdResponsiveStatus"];

function updateAds($leaderboard,$leaderboardStatus,$leaderboardResponsiveStatus,$banner,$bannerStatus,$bannerResponsiveStatus,$rectangle,$rectangleStatus,$rectangleResponsiveStatus) {

	$rows = mysql_num_rows(mysqlQuery("SELECT * FROM `ads`"));
	
	if($rows>0) {
	
		mysqlQuery("UPDATE `ads` SET `leaderboardAd`='$leaderboard',`leaderboardAdStatus`='$leaderboardStatus',`leaderboardAdResponsiveStatus`='$leaderboardResponsiveStatus',`bannerAd`='$banner',`bannerAdStatus`='$bannerStatus',`bannerAdResponsiveStatus`='$bannerResponsiveStatus',`rectangleAd`='$rectangle',`rectangleAdStatus`='$rectangleStatus',`rectangleAdResponsiveStatus`='$rectangleResponsiveStatus'");
	
	} else {
	
		mysqlQuery("INSERT INTO `ads` (leaderboardAd,leaderboardAdStatus,leaderboardAdResponsiveStatus,bannerAd,bannerAdStatus,bannerAdResponsiveStatus,rectangleAd,rectangleAdStatus,rectangleAdResponsiveStatus)  VALUES('$leaderboard','$leaderboardStatus','$leaderboardResponsiveStatus','$banner','$bannerStatus','$bannerResponsiveStatus','$rectangle','$rectangleStatus','$rectangleResponsiveStatus')");
	
	}
	
}

$key = sha1(microtime());

$_SESSION[$csrfVariable] = $key;
?>

	<title>Manage Ads: <?php echo(getMetaTitle()); ?></title>
	
<?php include "includes/header_under.php"; ?>
				<li class="active"><i class="fa fa-puzzle-piece"></i> Ads Management</li>
			</ol>
		</div>
	</div>

<div class="row" id="main_row">
	<div class="col-lg-8">
		<?php if(isset($_POST['leaderboard'])) { ?>
		
			<div class="alert alert-success alert-dismissable">
				<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
				<i class="fa fa-check-square-o"></i>  
				Ads Setting Updated Successfully
			</div>
			
		<?php } ?>
		<form action="ads.php" method="post">
			<div class="form-group">
				<label>Leaderboard Ad - 728x90</label>
				<textarea class="form-control" rows="8" name="leaderboard"><?php echo(xssClean($leaderboard)); ?></textarea>
			</div>
			<div class="form-group">
				<label>Status</label>
				<div class="switch res-switch">
					<?php if ($leaderboardStatus) { ?>
					
						<input type="checkbox" name="leaderboardStatus" checked>
						<label><i></i></label>
					
					<?php } else { ?>
					
						<input type="checkbox" name="leaderboardStatus">
						<label><i></i></label>
					
					<?php } ?>
				</div>
			</div>
			<div class="form-group">
				<label>Responsive</label>
				<div class="switch res-switch">
					<?php if ($leaderboardResponsiveStatus) { ?>
					
						<input type="checkbox" name="leaderboardResponsiveStatus" checked>
						<label><i></i></label>
					
					<?php } else { ?>
					
						<input type="checkbox" name="leaderboardResponsiveStatus">
						<label><i></i></label>
					
					<?php } ?>
				</div>
			</div>
			<div class="form-group">
				<label>Banner Ad - 468x60</label>
				<textarea class="form-control" rows="8" name="banner"><?php echo(xssClean($banner)); ?></textarea>
			</div>
			<div class="form-group">
				<label>Status</label>
				<div class="switch res-switch">
					<?php if ($bannerStatus) { ?>
					
						<input type="checkbox" name="bannerStatus" checked>
						<label><i></i></label>
						
					<?php } else { ?>
					
						<input type="checkbox" name="bannerStatus">
						<label><i></i></label>
					
					<?php } ?>
				</div>
			</div>
			<div class="form-group">
				<label>Responsive</label>
				<div class="switch res-switch">
					<?php if ($bannerResponsiveStatus) { ?>
					
						<input type="checkbox" name="bannerResponsiveStatus" checked>
						<label><i></i></label>
						
					<?php } else { ?>
					
						<input type="checkbox" name="bannerResponsiveStatus">
						<label><i></i></label>
					
					<?php } ?>
				</div>
			</div>
			<div class="form-group">
				<label>Large Rectangle Ad - 336x280</label>
				<textarea class="form-control" rows="8" name="rectangle"><?php echo(xssClean($rectangle)); ?></textarea>
			</div>
			<div class="form-group">
				<label>Status</label>
				<div class="switch res-switch">
					<?php if ($rectangleStatus) { ?>
					
						<input type="checkbox" name="rectangleStatus" checked>
						<label><i></i></label>
						
					<?php } else { ?>
					
						<input type="checkbox" name="rectangleStatus">
						<label><i></i></label>
						
					<?php } ?>
				</div>
			</div>
			<div class="form-group">
				<label>Responsive</label>
				<div class="switch res-switch">
					<?php if ($rectangleResponsiveStatus) { ?>
					
						<input type="checkbox" name="rectangleResponsiveStatus" checked>
						<label><i></i></label>
						
					<?php } else { ?>
					
						<input type="checkbox" name="rectangleResponsiveStatus">
						<label><i></i></label>
						
					<?php } ?>
				</div>
			</div>
			<input type="hidden" name="csrf" value="<?php echo $key; ?>" />
			<hr>
			<div class="form-group">
				<button type="submit" name="submit" class="btn btn-success"><i class="fa fa-pencil"></i> Update</button> 
			</div>
		</form>
	</div>
</div>
<?php include "includes/footer.php"; ?>