<?php
include "includes/header.php";

$error = false;

function editLink($id, $title, $language ,$url,$status, $showIn, $newTab) {

	mysqlQuery("UPDATE `links` SET `status`='$status',`showIn`='$showIn',`newTab`='$newTab' WHERE `id`='$id'");
	
	if($language != "")
	{
		mysqlQuery("UPDATE `linksContent` SET `title`='$title', `url`='$url' WHERE `lid`='$id' AND `language`='$language'");
	}
}
$csrfVariable = 'csrf_' . basename($_SERVER['PHP_SELF']);

if (isset($_POST["submit"])) 
{
	if($_SESSION[$csrfVariable] != $_POST['csrf'])
	{
        $error = true;
	}

	$id = $_POST['id'];
	
	$language = $_POST['language'];
	
	if($language != "")
	{
		$title = mres(trim($_POST["title"]));
		
		if($title == "")
		{
			$error = true;
			
			$titleError = "<span class='label label-danger'>Should Not be Empty</span>";
		}
		
		$url = mres(trim($_POST["url"]));
		
		if(!valid_url($url))
		{
			$error = true;
			
			$urlError = "<span class='label label-danger'>Invalid URL</span>";
		}
	}
	
	$status = $_POST["status"];
	
	$showIn = $_POST["showIn"];
	
	$newTab = $_POST["newTab"];
	
	if(!$error)
	{
		editLink($id, $title, $language ,$url,$status, $showIn, $newTab);
	}
}
else if (isset($_GET['id']) && is_numeric($_GET['id'])) {

	$id = (int)mres(trim($_GET['id']));
	
	$array = mysql_fetch_array(mysqlQuery("SELECT * FROM `links` WHERE `id`='$id'"));
	
	$status = $array['status'];
	
	$showIn = $array['showIn'];
	
	$newTab = $array['newTab'];

}

$key = sha1(microtime());

$_SESSION[$csrfVariable] = $key;
?>
	
	<title>Add New Link: <?php echo(getMetaTitle()) ?></title>
	
	<?php include "includes/header_under.php"; ?>
	
				<li class="active"><i class="fa fa-link"></i> Add New Link</li>
			</ol>
		</div>
	</div>
	
<div class="row" id="main_row">
	<div class="col-lg-8">
		<?php if(isset($_POST['submit']) && !$error) { ?>
		
			<div class="alert alert-success alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button><i class="fa fa-check-square-o"></i> Link Updated Successfully</div>
			
		<?php } ?>
		
		<?php if(isset($_GET['language']))
		{
			?>
			<form action="editLink.php?id=<?php echo $id ?>&language=<?php echo $_GET['language']?>" method="POST">
			<?php
		}
		else
		{
			?>
			<form action="editLink.php?id=<?php echo $id ?>" method="POST">
			<?php
		}
		?>
		
			<input type="hidden" id="id" name="id" value="<?php echo $id; ?>" >
			<?php $lang = mysqlQuery("SELECT * FROM `languages`"); ?>
			<div class="form-group">
				<label>Language</label>
				<select id="language" onchange="selectLanguage()" class="form-control">
					<?php if($_GET['language']) 
					{ 
						?>
						<option><?php echo $_GET['language'] ?></option>
						<?php
					} 
					else 
					{
						?>
						<option>Select Language</option>
						<?php
					}
					while($row = mysql_fetch_array($lang))
					{
						if($_GET['language'] != $row['languageName'])
						{
							?>
								<option value="<?php echo $row['languageName'] ?>"><?php echo $row['languageName'] ?></option>
							<?php
						}
					}
					?>
				</select>
			</div>
		
			<?php
			if(isset($_GET['language']))
			{
				
				$language = $_GET['language'];
				$content = mysql_fetch_array(mysqlQuery("SELECT * FROM `linksContent` WHERE `lid`='$id' AND `language`='$language'"));
				?>
				
				<input type="hidden" id="language" name="language" value="<?php echo $_GET['language']; ?>" >
			
				<div class="form-group">
				
					<label>Title</label>
					<?php if(isset($_POST['title'])) { ?>
					
						<input class="form-control" maxlength="70" name="title" value="<?php echo($_POST['title']); ?>" required="required"/>
						
					<?php } else { ?>
					
						<input class="form-control" maxlength="70" name="title" value="<?php echo $content['title']?>" placeholder="Enter Link Title" required="required" />
					
					<?php } 
					if($titleError) echo $titleError;
					?>
					
				</div>
				
				<div class="form-group">
				
					<label>URL</label>
					<?php if(isset($_POST['url'])) { ?>
					
					<input class="form-control" name="url" value="<?php echo($_POST['url']); ?>">
					
					<?php } else { ?>
					
					<input class="form-control" name="url" placeholder="Enter Link URL" value="<?php echo $content['url'] ?>">
					
					<?php } 
					if($urlError) echo $urlError;
					?>
					
				</div>
				
				<?php
			}
			?>
			
			<?php 
			if(isset($_POST['submit']))
			{
				?>
				<div class="form-group">
				
					<label>Action</label>
					
					<div class="radio">
						<input  type="radio" name="status" value="1" <?php echo ($_POST['status'] == '1' ? 'checked' : "")?>><i class="fa fa-file-o"></i> Publish
					</div>
					
					<div class="radio">
						<input type="radio" name="status" value="0" <?php echo ($_POST['status'] == '0' ? 'checked' : "")?>><i class="fa fa-floppy-o"></i> Save
					</div>
					
				</div>
				
				
				<div class="form-group">
				
					<label>Show IN</label>
					
					<div class="radio">
						<input  type="radio" name="showIn" value="1" <?php echo ($_POST['showIn'] == '1' ? 'checked' : "")?>> Header
					</div>
					
					<div class="radio">
						<input type="radio" name="showIn" value="2" <?php echo ($_POST['showIn'] == '2' ? 'checked' : "")?>> Footer
					</div>
					
					<div class="radio">
						<input type="radio" name="showIn" value="0" <?php echo ($_POST['showIn'] == '0' ? 'checked' : "")?>> Both
					</div>
					
				</div>
				
				<div class="form-group">
				
					<label>New Tab</label>
					
					<div class="radio">
						<input  type="radio" name="newTab" value="1" <?php echo ($_POST['newTab'] == '1' ? 'checked' : "")?>> Yes
					</div>
					
					<div class="radio">
						<input type="radio" name="newTab" value="0" <?php echo ($_POST['newTab'] == '0' ? 'checked' : "")?>> No
					</div>
					
				</div>
				<?php
			}
			else
			{
				?>
				<div class="form-group">
				
					<label>Action</label>
					
					<div class="radio">
						<input  type="radio" name="status" value="1" <?php echo ($array['status'] == '1' ? 'checked' : "")?>><i class="fa fa-file-o"></i> Publish
					</div>
					
					<div class="radio">
						<input type="radio" name="status" value="0" <?php echo ($array['status'] == '0' ? 'checked' : "")?>><i class="fa fa-floppy-o"></i> Save
					</div>
					
				</div>
				
				
				<div class="form-group">
				
					<label>Show IN</label>
					
					<div class="radio">
						<input  type="radio" name="showIn" value="1" <?php echo ($array['showIn'] == '1' ? 'checked' : "")?>> Header
					</div>
					
					<div class="radio">
						<input type="radio" name="showIn" value="2" <?php echo ($array['showIn'] == '2' ? 'checked' : "")?>> Footer
					</div>
					
					<div class="radio">
						<input type="radio" name="showIn" value="0" <?php echo ($array['showIn'] == '0' ? 'checked' : "")?>> Both
					</div>
					
				</div>
				
				<div class="form-group">
				
					<label>New Tab</label>
					
					<div class="radio">
						<input  type="radio" name="newTab" value="1" <?php echo ($array['newTab'] == '1' ? 'checked' : "")?>> Yes
					</div>
					
					<div class="radio">
						<input type="radio" name="newTab" value="0" <?php echo ($array['newTab'] == '0' ? 'checked' : "")?>> No
					</div>
					
				</div>
				<?php
			}
			?>
			
			<input type="hidden" name="csrf" value="<?php echo $key; ?>" />
			<hr>
			<div class="form-group">
			
				<a href="links.php"><button type="button" class="btn btn-info"><i class="fa fa-caret-square-o-left"></i> Back</button></a>
				
				<button type="submit" name="submit" class="btn btn-success"><i class="fa fa-plus-square-o"></i> Update
				</button>
				
			</div>
			
		</form>
	</div>
</div>
<?php include 'includes/footer.php'; ?>
<script type="text/javascript">
	function selectLanguage()
	{
		var language = document.getElementById("language").value;
		var id = document.getElementById("id").value;
		window.location = "editLink.php?id="+id+"&language="+language+"";
	}
</script>