<?php
include "includes/header.php";

$error = false;

function UpdateUser($id,$userName, $email, $password,$status) {

if($password==""){
mysqlQuery("UPDATE `users` SET `userName`='$userName',`email`='$email',`status`='$status' WHERE id='$id'");
} else {
mysqlQuery("UPDATE `users` SET `userName`='$userName',`email`='$email',`password`='".md5($password)."',`status`='$status' WHERE id='$id'");
}
}
$csrfVariable = 'csrf_' . basename($_SERVER['PHP_SELF']);

if (isset($_POST["submit"])) {
	if($_SESSION[$csrfVariable] != $_POST['csrf'])
        $error = true;
	$id=$_GET['id'];
	$userName = mres(trim($_POST["userName"]));
	$email = mres(trim($_POST["email"]));
	$password = mres(trim($_POST["password"]));
	$conPassword = mres(trim($_POST["conPassword"]));
	
	if($userName!="" && !is_alphaNum($userName))
		$error1='Invalid user name';
	else if(userNameExists($userName,$id))
		$error1='User name already exists';
	
	if(!checkEmail($email))
		$error2='Invalid email';
	else if(givenEmailExists($email,$id))
		$error2='Email already exists';
	
	if($password!="" && strlen($password) < 5)
		$error3='Minimum length is 5 char';
	else if($password !=$conPassword)
		$error4='Password does not match';
	$status = $_POST["status"];
		
	if ($error1 == "" && $error2=="" && $error3 == "" && $error4==""){
		UpdateUser($id,$userName, $email, $password, $status);
	}
	
}

$key = sha1(microtime());

$_SESSION[$csrfVariable] = $key;
?>
	
	<title>Edit User: <?php echo(getMetaTitle()) ?></title>
	
	<?php include "includes/header_under.php"; ?>
	
				<li class="active"><i class="fa fa-pencil"></i> Edit User</li>
			</ol>
		</div>
	</div>
	
<div class="row" id="main_row">
	<div class="col-lg-8">
		<?php if(isset($_POST['userName']) && $error1=="" && $error2 == "" && $error3=="" && $error4=="") { ?>
		
			<div class="alert alert-success alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button><i class="fa fa-check-square-o"></i> User Updated Successfully</div>
			
		<?php }
		if(isset($_GET['id']) && is_numeric($_GET['id'])) {

		$id = (int)mres(trim($_GET['id']));
		
		$sql   = "SELECT * FROM `users` WHERE `id`='$id'";
		
		$query = mysqlQuery($sql);
		
		$fetch = mysql_fetch_array($query);
		$userName=$fetch['userName'];
		$email=$fetch['email'];
		$status=$fetch['status'];
		}
		?>
		
		<form action="edit_user.php?id=<?php echo $id?>" method="POST">
		
			<div class="form-group">
			
				<label>User Name</label>
				<?php if(isset($_POST['userName'])) { ?>
				
					<input class="form-control" maxlength="70" name="userName" value="<?php echo($_POST['userName']); ?>" required="required"/>
					<?php
						if($error1!="")
							echo('<span class="label label-danger">' . $error1 . '</span>');
				} else { ?>
				
					<input class="form-control" name="userName" placeholder="Enter User Name" value="<?php echo $userName?>" required="required" />
				
				<?php } ?>
				
			</div>
			
			<div class="form-group">
			
				<label>Email</label>
				<?php if(isset($_POST['email'])) { ?>
				
					<input type="email" class="form-control"  name="email" value="<?php echo($_POST['email']); ?>" required="required"/>
					<?php
						if($error2!="")
							echo('<span class="label label-danger">' . $error2 . '</span>');
						 } else { ?>
					<input class="form-control"  name="email" placeholder="Enter Email" value="<?php echo $email?>" required="required" />
				
				<?php } ?>
				
			</div>
			
			<div class="form-group">
			
				<label>Password</label>
				<?php if(isset($_POST['password'])) { ?>
				
					<input class="form-control" type="password" name="password" value="<?php echo($_POST['password']); ?>" />
					<?php
						if($error3!="")
							echo('<span class="label label-danger">' . $error3 . '</span>');
					
				} else { ?>
				
					<input class="form-control" type="password" name="password" placeholder="Enter password" value="<?php echo $password?>" />
				
				<?php } ?>
				
			</div>
			
			<div class="form-group">
			
				<label>Confirm Password</label>
				<?php if(isset($_POST['conPassword'])) { ?>
				
					<input class="form-control" type="password" name="conPassword" value="<?php echo($_POST['conPassword']); ?>" />
					<?php
						if($error4!="")
							echo('<span class="label label-danger">' . $error4 . '</span>');
					} else { ?>
				
					<input class="form-control" type="password" name="conPassword" placeholder="Enter Confirm Password" value="<?php echo $conPassword?>" />
				
				<?php } ?>
				
			</div>
			
			<div class="form-group">
			
				<label>Action</label>
				
				<div class="radio">
					<input  type="radio" name="status" value="0" <?php echo ($status==0 ? 'checked':'')?>> Block
				</div>
				
				<div class="radio">
					<input type="radio" name="status" value="1" <?php echo ($status==1 ? 'checked':'')?>> Unblock
				</div>
				
			</div>
			<input type="hidden" name="csrf" value="<?php echo $key; ?>" />
			<hr>
			<div class="form-group">
			
				<a href="users.php"><button type="button" class="btn btn-info"><i class="fa fa-caret-square-o-left"></i> Back</button></a>
				
				<button type="submit" name="submit" class="btn btn-success"><i class="fa fa-pencil"></i> Update
				</button>
				
			</div>
			
		</form>
	</div>
</div>
<?php include 'includes/footer.php'; ?>