			<div class="row hidden-xs">
				<hr>
				<?php 
				$current_page = basename($_SERVER['PHP_SELF']);
				
				$current_page = substr($current_page,0,-4);
				
				$categories = array("stats","settings","websites","currency","badwords","captcha","user","social","rss","sitemaps","ads","analytics","license","pages");
				
				$same_cat = array_rand($categories);
				
				foreach( array_rand($categories, 4) as $c ) {
				
					$cat = $categories[$c];
					
					while($cat == $current_page) {
					
						$cat = $categories[$same_cat];
						
					}
					?>
					<div class="col-xs-12 col-sm-6 col-md-6 col-lg-3">
						<?php
						$actions = array("success","info","warning","danger");
						
						$act = array_rand($actions);
						?>
						<div class="panel panel-<?php echo($actions[$act]); ?>">
							<div class="panel-heading">
								<div class="row">
									<div class="col-xs-3">
										<?php if($cat == 'stats') {
										
											$heading = "Statistics";
											
											$icon = "fa-bar-chart-o";
											
											$txt = "Traffic Analyser";
											
										} if($cat == 'settings') {
										
											$heading = "General";
											
											$icon = "fa-cog";
											
											$txt = "General Settings";
											
										} if($cat == 'websites') {
										
											$heading = "Websites";
											
											$icon = "fa-list-alt";
											
											$txt = "Manage Websites";
											
										} if($cat == 'currency') {
										
											$heading = "Currency";
											
											$icon = "fa-dollar";
											
											$txt = "Change Currency";
											
										} if($cat == 'badwords') {
										
											$heading = "Bad Words";
											
											$icon = "fa-filter";
											
											$txt = "Filter Bad Wrods";
										
										} if($cat == 'captcha') {
										
											$heading = "Captcha";
											
											$icon = "fa-eye-slash";
											
											$txt = "Manage Captcha";
											
										} if($cat == 'user') {
										
											$heading = "Login";
											
											$icon = "fa-key";
											
											$txt = "Change Login";
											
										} if($cat == 'social') {
										
											$heading = "Socialize";
											
											$icon = "fa-users";
											
											$txt = "Manage Social Profiles";
											
										} if($cat == 'rss') {
										
											$heading = "RSS";
											
											$icon = "fa-rss";
											
											$txt = "RSS Settings";
										
										} if($cat == 'sitemaps') {
										
											$heading = "Sitemaps";
											
											$icon = "fa-sitemap";
											
											$txt = "Manage Sitemaps";
										
										} if($cat == 'ads') {
										
											$heading = "Ads";
											
											$icon = "fa-puzzle-piece";
											
											$txt = "Manage Ads";
											
										} if($cat == 'analytics') {
										
											$heading = "Analytics";
											
											$icon = "fa-code";
											
											$txt = "Analytics Code";
											
										} if($cat == 'license') {
										
											$heading ="License";
											
											$icon = "fa-gavel";
											
											$txt = "License Manager";
										
										} if($cat == 'pages') {
										
											$heading = "Pages";
											
											$icon = "fa-copy";
											
											$txt = "Manage Pages";
											
										}
										?>
										<i class="fa <?php echo($icon); ?> fa-5x"></i>
									</div>
									<div class="col-xs-9 text-right">
										<p class="announcement-heading"><?php echo($heading); ?></p>
										<p class="announcement-text"><?php echo($txt); ?></p>
									</div>
								</div>
							</div>
							<a href="<?php echo(rootpath()."/admin/".$cat); ?>.php">
								<div class="panel-footer announcement-bottom">
									<div class="row">
										<div class="col-xs-9">
											Change Settings
										</div>
										<div class="col-xs-3 text-right">
											<i class="fa fa-arrow-circle-right"></i>
										</div>
									</div>
								</div>
							</a>
						</div>
					</div>
				<?php } ?>
			</div>
		</div>
	</div>
	<script type="text/javascript" src="<?php echo(rootpath()); ?>/admin/style/js/jquery-1.10.2.js"></script>
	<script type="text/javascript" src="<?php echo(rootpath()); ?>/admin/style/js/jquery-cookie.js"></script>
	<script type="text/javascript" src="<?php echo(rootpath()); ?>/admin/style/js/bootstrap.min.js"></script>
	<script type="text/javascript" src="<?php echo(rootpath()); ?>/admin/style/js/jquery-ui.min.js"></script>
	<script type="text/javascript" src="<?php echo(rootPath()); ?>/static/js/ajaxQ.js"></script>
	<script type="text/javascript" src="<?php echo(rootpath()); ?>/admin/style/js/highcharts.js"></script>
	<?php if(basename($_SERVER['PHP_SELF'])=="pages.php") { ?>
	<script type="text/javascript">
		$(document).ready(function() {

			$(function() {
			
				$("#list ul").sortable({ opacity: 0.8, cursor: 'move', update: function() {
				
					var order = $(this).sortable("serialize") + '&update=update';
					
					$.post("pages.php", order);
					
				}
				
				});
				
			});
		});
	</script>
	<?php 
	} else if(basename($_SERVER['PHP_SELF'])=="links.php") { ?>
	<script type="text/javascript">
		$(document).ready(function() {

			$(function() {
			
				$("#list ul").sortable({ opacity: 0.8, cursor: 'move', update: function() {
				
					var order = $(this).sortable("serialize") + '&update=update';
					
					$.post("links.php", order);
					
				}
				
				});
				
			});
		});
	</script>
	<?php 
	} else if(basename($_SERVER['PHP_SELF'])=="categories.php"){
	?>
	<script type="text/javascript">
		$(document).ready(function() {

			$(function() {
			
				$("#list ul").sortable({ opacity: 0.8, cursor: 'move', update: function() {
				
					var order = $(this).sortable("serialize") + '&update=update';
					
					$.post("categories.php", order);
					
				}
				
				});
				
			});
			
			$(".delete_category").click(function(){
				$('#delete_modal').modal('show'); 
				var id=$(this).attr('id');
				$(".del-cat-btn").attr('href' , './categories.php?delete='+id+'&csrf=<?php echo($key); ?>');
			});
		});
	</script>
	<?php
	} else if(basename($_SERVER['PHP_SELF'])=="manageLanguages.php"){
	?>
	<script type="text/javascript">
		$(document).ready(function() {

			$(function() {
			
				$("#list ul").sortable({ opacity: 0.8, cursor: 'move', update: function() {
				
					var order = $(this).sortable("serialize") + '&update=update';
					
					$.post("manageLanguages.php", order);
					
				}
				
				});
				
			});
			
			$(".delete_language").click(function(){
				$('#delete_modal').modal('show'); 
				var id=$(this).attr('id');
				$(".del-lan-btn").attr('href' , './manageLanguages.php?delete='+id+'&csrf=<?php echo($key); ?>');
			});
			
		});
	</script>
	<?php
} else if(basename($_SERVER['PHP_SELF'])=="stats.php") {
$query = mysqlQuery("SELECT `pageViews`,`uniqueHits`,`searches`,`dateTime` FROM `websiteStats` WHERE dateTime >= CURDATE() - INTERVAL 6 DAY ORDER BY `dateTime` ASC");
while ($result[] = mysql_fetch_array($query));
$countValues = count($result);
$pageViewsarray = array(
0 => (int)$result[0]['pageViews'],
1 => (int)$result[1]['pageViews'],
2 => (int)$result[2]['pageViews'],
3 => (int)$result[3]['pageViews'],
4 => (int)$result[4]['pageViews'],
5 => (int)$result[5]['pageViews'],
6 => (int)$result[6]['pageViews']
);
$uniqueHitsArray = array(
0 => (int)$result[0]['uniqueHits'],
1 => (int)$result[1]['uniqueHits'],
2 => (int)$result[2]['uniqueHits'],
3 => (int)$result[3]['uniqueHits'],
4 => (int)$result[4]['uniqueHits'],
5 => (int)$result[5]['uniqueHits'],
6 => (int)$result[6]['uniqueHits']
);
$searchesArray = array(
0 => (int)$result[0]['searches'],
1 => (int)$result[1]['searches'],
2 => (int)$result[2]['searches'],
3 => (int)$result[3]['searches'],
4 => (int)$result[4]['searches'],
5 => (int)$result[5]['searches'],
6 => (int)$result[6]['searches']
);
$dateArray = array(
0 => $result[0]['dateTime'],
1 => $result[1]['dateTime'],
2 => $result[2]['dateTime'],
3 => $result[3]['dateTime'],
4 => $result[4]['dateTime'],
5 => $result[5]['dateTime'],
6 => $result[6]['dateTime']
);
if ($countValues > 0) {
?>
<script type="text/javascript">var vArray=<?php echo json_encode($pageViewsarray);?>;var dArray=<?php echo json_encode($dateArray);?>;var hArray=<?php echo json_encode($uniqueHitsArray);?>;var dsArray=<?php echo json_encode($searchesArray);?></script>
<script type="text/javascript">$(function(){$('#home-chart').highcharts({chart:{type:'column'},title:{text:'Weekly Stats'},subtitle:{text:''},xAxis:{categories:[dArray[0],dArray[1],dArray[2],dArray[3],dArray[4],dArray[5],dArray[6]]},credits:{enabled:false},yAxis:{min:0,title:{text:'Total Value'}},tooltip:{headerFormat:'<span style="font-size:10px">{point.key}</span><table>',pointFormat:'<tr><td style="color:{series.color};padding:0">{series.name}: </td>'+'<td style="padding:0"><b>{point.y:.0f} </b></td></tr>',footerFormat:'</table>',shared:true,useHTML:true},plotOptions:{column:{pointPadding:0.2,borderWidth:0}},series:[{name:'Websites Checked',data:[dsArray[0],dsArray[1],dsArray[2],dsArray[3],dsArray[4],dsArray[5],dsArray[6]]},{name:'Page Views',data:[vArray[0],vArray[1],vArray[2],vArray[3],vArray[4],vArray[5],vArray[6]]},{name:'Unique Hits',data:[hArray[0],hArray[1],hArray[2],hArray[3],hArray[4],hArray[5],hArray[6]]}]});});</script>
<?php } else { ?>
<script>$("#home-chart").html("<div style='position: absolute; left: 44%; top: 50%;'><h4>No Website Stats This Week</h4></div>");</script>
<?php }
$countValues = 0;
$query = mysqlQuery("SELECT SUM(pageViews) AS `pageViews`, SUM(uniqueHits) AS `uniqueHits`, SUM(searches) AS `searches` FROM `websiteStats` WHERE YEAR(dateTime) = YEAR(CURDATE()) AND MONTH(dateTime) = MONTH(CURDATE())");
while($array[] = mysql_fetch_array($query));
$totalMonth[0] = $array[0]['pageViews'];
$totalMonth[1] = $array[0]['uniqueHits'];
$totalMonth[2] = $array[0]['searches'];
$countValues = count($array);
if ($countValues > 0) {
?>
<script type="text/javascript">$(function(){var chart;$(document).ready(function(){$('#total_month_chart').highcharts({chart:{plotBackgroundColor:null,plotBorderWidth:null,plotShadow:false},title:{text:''},tooltip:{pointFormat:'{series.name}: <b>{point.y:.0f}</b>'},credits:{enabled:false},plotOptions:{pie:{allowPointSelect:true,cursor:'pointer',dataLabels:{enabled:false},showInLegend:true}},series:[{type:'pie',name:'Value',data:[['Websites Checked',<?php echo($totalMonth[2])?>],['Page Views',<?php echo($totalMonth[0])?>],['Unique Hits',<?php echo($totalMonth[1])?>]]}]});});});</script>
<?php } else { ?>
<script>$("#total_chart").html("<div style='position: absolute; left: 38%; top: 50%;'><h4>No Website Stats This Month</h4></div>");</script>
<?php }
unset($array);
$query  = mysqlQuery("SELECT SUM(pageViews) AS pageViews, SUM(uniqueHits) AS `uniqueHits`, SUM(searches) AS `searches` FROM `websiteStats`");
$countValues = 0;
while ($array[] = mysql_fetch_array($query));
$totalAllTime[0] = $array[0]['pageViews'];
$totalAllTime[1] = $array[0]['uniqueHits'];
$totalAllTime[2] = $array[0]['searches'];
$countValues = count($array);
if ($countValues > 0) { ?>
<script type="text/javascript">$(function(){var chart;$(document).ready(function(){$('#total_chart').highcharts({chart:{plotBackgroundColor:null,plotBorderWidth:null,plotShadow:false},title:{text:''},tooltip:{pointFormat:'{series.name}: <b>{point.y:.0f}</b>'},plotOptions:{pie:{allowPointSelect:true,cursor:'pointer',dataLabels:{enabled:false},showInLegend:true}},credits:{enabled:false},series:[{type:'pie',name:'Value',data:[['Websites Checked',<?php echo($totalAllTime[2])?>],['Page Views',<?php echo($totalAllTime[0])?>],['Unique Hits',<?php echo($totalAllTime[1])?>]]}]});});});</script>
<?php } else { ?>
<script>$("#total_chart").html("<div style='position: absolute; left: 38%; top: 50%;'><h4>No Website Stats Found</h4></div>");</script>
<?php } } else if(basename($_SERVER['PHP_SELF'])=="bulkupload.php") { ?>
<script>
	function stripHTML(dirtyString) 
	{
		var container = document.createElement('div');
		container.innerHTML = dirtyString;
		return container.textContent || container.innerText;
	}
	
	$(window).load(function(e) 
	{
		$.cookie('csrf_bulkupload', '<?php echo($key); ?>');
	});
	
	$(document).ready(function()
	{
		$(".wobblebar").hide();
		
		$(document).ajaxStop(function() 
		{
			$('.wobblebar').hide();
			$(".response_trail").text("");
			$(".upload").removeAttr('disabled');
		});
	
		$(".upload").click(function() 
		{
			$(".response_trail").text("");
			$(".response").text("");
			if($("#urls").val()!="") 
			{
				$(".response_trail").fadeIn();
				$(".wobblebar").fadeIn();
				$(".response").fadeIn("");
				var urls = $("#urls").val();
				var urlArr=urls.split('\n');
				$(".upload").attr("disabled", "disabled");
				var total = urlArr.length;
				var index = 0;
				statsCalculate(index,total,urlArr)
			}
		});
		
		function statsCalculate(index,total,urlArr)
		{
			var currentUrl = stripHTML(urlArr[index].replace('http://','').replace('https://','').replace('www.','').split(/[/?#]/)[0]);
			csrf_bulkupload = $.cookie('csrf_bulkupload');
			$(".response_trail").show();
			$(".response_trail").html("<div class='alert-bulk alert-info' role='alert'><i class='fa fa-spin fa-refresh'></i> Adding <b>'" + currentUrl + "'</b></div><br/>");
			$.ajaxq("myQueue", 
			{
				type:"POST",
				url:"<?php echo rootPath() ?>/includes/stats2.php",   
				data:{url:currentUrl , csrf_bulkupload:csrf_bulkupload},
				success:function(result)
				{   
					if(result == '0')
					{
						$(".response").append("<div class='alert-bulk alert-danger' role='alert'><i class='fa fa-times-circle'></i> Invalid <b>'" + currentUrl + "'</b></div><br/>");
					}
					else if(result == '1')
					{
						$(".response").append("<div class='alert-bulk alert-success' role='alert'><i class='fa fa-check-square'></i> Added <b>'" + currentUrl + "'</b></div><br/>");
					}
					else if(result == '2') 
					{
						$(".response").append("<div class='alert-bulk alert-info' role='alert'><i class='fa fa-info-circle'></i> Already Exists <b>'" + currentUrl + "'</b></div><br/>");
					}
					index++;
					if(index < total)
					{
						statsCalculate(index,total,urlArr);
					}
				}
			});
		}
	});
</script>
<?php } else if(basename($_SERVER['PHP_SELF'])=="settings.php") { ?>
<script>
	$(".click-large-logo").click(function(){

		$(".show-large-logo").trigger("click");

	});
	$(".click-logo").click(function(){

		$(".show-logo").trigger("click");

	});
	$(".click-favicon").click(function(){

		$(".show-favicon").trigger("click");

	});
</script>
<?php } else if(basename($_SERVER['PHP_SELF'])=="websites.php") {?>
<script type="text/javascript">
    $( document ).ready(function() 
	{
		$( "#deletewebsite" ).hide();
		$("button[name='delete_selected']").click(function() { 
			var count_checked1 = $("[name='checkboxvar[]']:checked").length;
			if(count_checked1 == 0) 
			{
				alert("Please Select Some Websites First.");
				return false;
			}
		});
		$('#selectall').click(function ()
		{
			$('.selectedId').prop('checked', this.checked);
		});
		$('.selectedId').change(function () 
		{
			var check = ($('.selectedId').filter(":checked").length == $('.selectedId').length);
			$('#selectall').prop("checked", check);
		});
    });
	$(document).ajaxStart(function () 
	{
		$(document.body).css({ 'cursor': 'wait' })
	});
	$(document).ajaxComplete(function () 
	{
		$(document.body).css({ 'cursor': 'default' })
	});
</script>

<?php } ?>
<script type="text/javascript">
jQuery(document).ready(function($) 
{
	$(window).load(function()
	{
		$('#preloader').fadeOut('slow',function(){$(this).remove();});
	});
});

$("#subMenu").click(function() 
{
	if ($(this).hasClass('active'))
	{
		$(this).removeClass('active');
	}
	else
	{
		$(this).addClass("active");
	}
});

$(".SMTP").click(function(){
	$("#email-form").removeClass('hide');
});
	
$(".simple-mail").click(function(){
	$("#email-form").addClass('hide');
});
</script>
</body>
</html>