<?php
include 'includes/header.php';

$error = "";

$is_deleted = false;

function deletePage($id) {

	$id = (int)mres($id);
	
	$permalink = fetchPagePermalinkFromId($id);
	
	mysqlQuery("DELETE FROM `pagesContent` WHERE `pid`='$id'");
	
	mysqlQuery("DELETE FROM `pages` WHERE `id`='$id'");
	
	$cache = phpFastCache();
		
	$cache->delete("fetchPageData_$permalink");
	
	unset($cache);

	$is_deleted = true;

}

if(isset($_POST['arrayorder'])){
	$order = $_POST['arrayorder'];
	for ($i = 0; $i < count($order); $i++) 
	{
		mysql_query("UPDATE `pages` SET `display_order`=" . $i . " WHERE `id`='" . $order[$i] . "'")or die(mysql_error());
	}
}

if (isset($_GET['delete']) && is_numeric($_GET['delete']) && isset($_GET['csrf'])) {

	if($_SESSION['csrf'] != $_GET['csrf'])
		die("CSRF Attack Blocked");	

	deletePage($_GET['delete']);

}

$key = sha1(microtime());

unset($_SESSION['csrf']);

$_SESSION['csrf'] = $key;
?>

	<title>Page Settings: <?php echo(getMetaTitle()) ?></title>
	
<?php include 'includes/header_under.php'; ?>
			<li class="active"><i class="fa fa-copy"></i> All Pages</li>
		</ol>
	</div>
</div>

<div class="row" id="main_row">
	<div class="col-md-8">
		<div class="add-new-btn">
			<a href="add_page.php" class="btn btn-md btn-success pull-right"><i class="fa fa-plus-square-o"></i> Add New Page</a>
		</div>
		
		<div class="clearfix"></div>
		
		<?php if (isset($_GET['delete']) && $is_deleted) { ?>
		
			<div class="alert alert-success alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button><i class="fa fa-check"></i> Page Deleted Successfully</div>
		
		<?php } ?>
		
		<div class="awidget">
			<?php
			$query = "SELECT * FROM `pages` ORDER BY `display_order` ASC";
			
			$result = mysqlQuery($query);
			
			$count_rows = mysql_num_rows($result);
			
			if ($count_rows == 0) {
			
				echo ('<div class="not-found"><h3>No Pages Found</h3><div>
					<a href="add_page.php" class="btn btn-success"><i class="fa fa-plus-square-o"></i> Add New Page</a>');
			
			} else { ?>
			
			<div class="awidget-body">
				<div class="table_header">
					<div class="page-name">Page Name</div>
					<div class="action hidden-xs" id="smalli">Action</div>
					<div class="action visible-xs"  id="smalli">Action</div>
					<div class="hidden-xs action">Status</div>
				</div>
				
				<div id="list">
					<ul>
						<?Php
						while($row = mysql_fetch_array($result)) {
								
						$id = $row["id"];
								
						$text = xssClean($row["title"]);
								
							$edit = "<a href='edit_page.php?id=" . $row["id"] . "' title='Edit " . xssClean($row["title"]) . "' class='btn btn-info btn-sm p-a'><i class='fa fa-pencil'></i></a>";
							
							$delete = "<a class='btn btn-danger btn-sm p-a' data-toggle='modal' id='del' class='open-dialog' href='#delete_modal_" .
							
							$row["id"] . "' title='Delete " . xssClean($row["title"]) . "' data-id=". $row["id"] . "><i class='fa fa-times'></i></a>";
							
							$stat   = stripslashes($row['status']); ?>
							
							<li id="arrayorder_<?php echo $id; ?>">
								<div class="small page-details">
									<div class="page-text">
										<?php echo $text; ?>
									</div>
									<div class="small smalli hidden-xs page-action">
										<?php echo ($edit . "  " . $delete); ?>
									</div>
									<div class="page-action-lg small smalli visible-xs">
										<?php echo ($edit . "  " . $delete); ?>
									</div>
									<div class="page-status hidden-xs">
										<?php if ($stat == 0) { echo ('Pending'); } else { echo ('Published'); } ?>
									</div>
								</div>
							</li>
							<div class="modal fade" id="delete_modal_<?php echo($row['id']) ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
								<div class="modal-dialog">
									<div class="modal-content">
										<div class="modal-header btn-green text-center">
											<button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
											<h3 class="modal-title">Delete Page</h3>
										</div>
										<div class="modal-body">
											<center>
												<h5>Are you sure you want to delete this page?</h5>
											</center>
										</div>
										<div class="modal-footer">
											<a name="action" class="btn btn-danger" href="./pages.php?delete=<?php
										echo($row['id']); ?>&csrf=<?php echo($key); ?>" id="delete" value="Delete">Yes</a>
											<button type="button" class="btn btn-info" data-dismiss="modal">No</button>	
										</div>
									</div>
								</div>
							</div>
						<?php } } ?>
					</ul>
				</div>
			<?php if ($_GET['delete'] && $is_deleted) { ?>
				<br/>
				<div class="form-group">
					<div class="col-lg-6">
						<span class="label label-success">
						Page Deleted Successfully
						</span>
					</div>
				</div>
			<?php } ?>
				<div class="clearfix"></div>
			</div>
		</div>
	</div>
</div>	
<?php
include 'includes/footer.php';
?>