<?php
include "includes/header.php";

$error = false;

$csrfVariable = 'csrf_' . basename($_SERVER['PHP_SELF']);

function updateSocialProfiles($facebook, $twitter, $google) {

	$rows = mysql_num_rows(mysqlQuery("SELECT * FROM `socialProfiles`"));
	
	if($rows>0) {
    
    mysqlQuery("UPDATE `socialProfiles` SET `facebook`='$facebook',`twitter`='$twitter',`google`='$google'");
	
	} else {
	
	mysqlQuery("INSERT INTO `socialProfiles`(facebook,twitter,google) VALUES('$facebook','$twitter','$google')");
	
	}
	
	$cache = phpFastCache();
	
	$array = @mysql_fetch_array(mysqlQuery("SELECT * FROM `socialProfiles`"));
	
	$cache->set("getSocialInfo", $array);
	
	unset($cache);

}

function validFacebookID($id) {
    
    if($id=="")
    
    return true;

    if (preg_match('/^[a-z\d.]{5,}$/i', $id))
    
    return true;

    return false;
}
function validTwitterUsername($id) {
    if($id=="")
    
    return true;

    if (preg_match('/^[A-Za-z0-9_]+$/', $id))
    
    return true;

    return false;
}
function validGooglePlusID($id) {
    if($id=="")
    
    return true;

    if (preg_match('/^([0-9]{1,21})$/', $id))
    
    return true;

    return false;
}
if(isset($_POST["submit"])) {

	if($_SESSION[$csrfVariable] != $_POST['csrf'])
        $error = true;
		
    $facebook = mres($_POST["facebook"]);
    
    $twitter = mres($_POST["twitter"]);
    
    $google = mres($_POST["google"]);
    
    if(!validFacebookID($facebook))
    $error = true;
    else if(!validTwitterUsername($twitter))
    $error = true;
    else if(!validGooglePlusID($google))
    $error = true;
    
    if(!$error)
    updateSocialProfiles($facebook,$twitter,$google);
}

$key = sha1(microtime());

$_SESSION[$csrfVariable] = $key;

$socialInfo = getSocialInfo();
?>
<title>Edit Social Profiles: <?php echo(getMetaTitle()) ?></title>
<?php include "includes/header_under.php"; ?>
                <li class="active"><i class="fa fa-users"></i> Social Profiles</li>
            </ol>
        </div>
    </div>
        <div class="row" id="main_row">
            <div class="col-lg-8">
                <?php if(isset($_POST['facebook']) && !$error) { ?>
                    <div class="alert alert-success alert-dismissable">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                        <i class="fa fa-check-square-o"></i> Social Profiles Updated Successfully
                    </div>
                <?php } ?>
                
                <form action="social.php" method="POST">
                    <div class="form-group">
                        <label>Facebook Fanpage ID</label>
                        <div class="input-group">
                            <span class="input-group-addon">
                                <i class="fa fa-facebook">&nbsp;&nbsp;</i>
                            </span>
                            <?php if(isset($_POST['facebook'])) { ?>
                            <input class="form-control" name="facebook" value="<?php echo(trim($_POST['facebook'])); ?>">
                            <?php }  else { ?>
                            <input class="form-control" name="facebook" value="<?php echo($socialInfo['facebook']); ?>">
                            <?php }  ?>
                        </div>
                        <?php if(isset($_POST['facebook']) && !validFacebookID(trim($_POST['facebook']))) { ?>
                        <span class="label label-danger">
                            Invalid Facebook Fanpage ID/Name
                        </span>
                        <?php }  ?>
                    </div>
                    
                    <div class="form-group">
                        <label>Twitter Username</label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-twitter"></i></span>
                            <?php if(isset($_POST['twitter'])) { ?>
                            <input class="form-control" name="twitter" value="<?php echo(trim($_POST['twitter'])) ?>">
                            <?php }  else { ?>
                            <input class="form-control" name="twitter" value="<?php echo($socialInfo['twitter']); ?>">
                            <?php } ?>
                        </div>
                        <?php if(isset($_POST['twitter']) && !validTwitterUsername(trim($_POST['twitter']))) { ?>
                            <span class="label label-danger">
                                Invalid Twitter Username
                            </span>
                        <?php } ?>
                    </div>
                    
                    <div class="form-group">
                        <label>Google+ Page ID</label>
                        <div class="input-group">
                            <span class="input-group-addon"><i class="fa fa-google-plus"></i></span>
                            <?php if(isset($_POST['google'])) { ?>
                            <input class="form-control" name="google" value="<?php echo(trim($_POST['google'])); ?>">
                            <?php } else { ?>
                            <input class="form-control" name="google" value="<?php echo($socialInfo['google']); ?>">
                            <?php } ?>
                        </div>
                        <?php if(isset($_POST['google']) && !validGooglePlusID(trim($_POST['google']))) { ?>
                            <span class="label label-danger">Invalid Google+ Page ID</span>
                        <?php } ?>
                    </div>
					<input type="hidden" name="csrf" value="<?php echo $key; ?>" />
                    <hr>
                    
                    <div class="form-group">
                        <button type="submit" name="submit" class="btn btn-success"><i class="fa fa-check-square-o"></i> Update</button> 
                    </div>
                </form>
            </div>
        </div>
        
        <div class="row">
            <?php include "includes/footer.php"; ?>
        </div>
    </div>
</div>

</body>
</html>