<?php
include "includes/header.php";

$csrfVariable = 'csrf_' . basename($_SERVER['PHP_SELF']);

$search  = "";

$page_no = "";

$qs = "";

$is_deleted = false;

foreach ($_GET as $variable => $value) {
	
	$value = xssClean($value);
	
	if ($variable == "search")
		$search = $value;
	else if ($variable == "p")
		$page_no = $value;
	if ($search != "" && $page_no == "")
		$qs = "&search=$search";
	if ($search == "" && $page_no != "")
		$qs = "&p=$page_no";
	if ($search != "" && $page_no != "")
		$qs = "&search=$search&p=$page_no";
	
}
	
$error = "";

$page  = 1;

$limit = 10;

$next  = 2;

$prev  = 1;

if (isset($_GET['search'])) {

	 $search_string = xssClean(xssClean($_GET['search']));
	
	$data = mysqlQuery("SELECT * FROM `users` WHERE `userName` LIKE '%$search_string%'");

} else {

	$data = mysqlQuery("SELECT * FROM `users`");

}

$rows = mysql_num_rows($data);

$last = ceil($rows / $limit);


if (isset($_GET['p']) && $_GET['p'] != '' && ($_GET['p'] >= 1 && $_GET['p'] <= $last)) {

	$page = xssClean($_GET['p']);
	if ($page > 1)
	$prev = $page - 1;
	else
	$prev = $page;
	if ($page < $last)
	$next = $page + 1;
	else
	$next = $page;

}

if (isset($_GET['delete']) && is_numeric($_GET['delete'])) {

	deleteUser($_GET['delete']);

	$is_deleted   = true;

}

function deleteUser($userId) {
	
	$userWebsites = mysqlQuery("SELECT * FROM `userWebsites` WHERE `uid`='$userId'");
	
	while($uWebRecord = mysql_fetch_array($userWebsites))
	{
		$webId = $uWebRecord['id'];
		
		$url = $uWebRecord['url'];
		
		$cRec = mysqlQuery("SELECT * FROM `conversations` WHERE `url`='$url'");
	
		while($row = mysql_fetch_array($cRec))
		{
			$id = $row['id'];
			
			mysqlQuery("DELETE FROM `messages` WHERE `cid`='$id'");
			
			mysqlQuery("DELETE FROM `conversations` WHERE `id`='$id'");
		}
		
		mysqlQuery("DELETE FROM `userWebsites` WHERE `id`='$webId'");
	}
	
	$sql = "DELETE FROM `users` WHERE `id`='$userId'";

	mysqlQuery($sql);
}

if (isset($_POST['delete'])) {

	if($_SESSION[$csrfVariable] != $_POST['csrf'])
        $error = true;

	if (sizeof($_POST['checkboxvar']) > 0) {
	
		foreach ($_POST['checkboxvar'] as $val) {
		
			deleteUser($val);
			
			$is_deleted = true;
		
		}
	
	}

}

$key = sha1(microtime());

$_SESSION[$csrfVariable] = $key;
?>

	<title> Manage Users: <?php echo(getMetaTitle()) ?></title>
	
<?php include "includes/header_under.php"; ?>

            <li class="active"><i class="fa fa-list-alt"></i> Manage Users</li>
        </ol>
    </div>
</div>

<div class="row" id="main_row">

    <?php if(isset($_GET['delete']) && $is_deleted) { ?>
	<div style="padding: 0px 15px;">
        <div class="alert alert-success alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                <i class="fa fa-check-square-o"></i> User Deleted Successfully
        </div>
	</div>
    <?php } else if (isset($_POST['delete']) && $is_deleted) { ?>
	<div style="padding: 0px 15px;">
		<div class="alert alert-success alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                <i class="fa fa-check-square-o"></i> Selected Users Deleted Successfully
        </div>
	</div>
	<?php } ?>
    
	<div class="col-lg-4 col-md-4 col-sm-4 col-xs-6 sort-btn">
      <a href="add_user.php"><span class="btn btn-success btn-md active"><i class="fa fa-plus-square-o"></i> Add New User</span></a>
    </div>
	
    <div class="col-lg-4 col-md-4 col-sm-4 col-xs-6 pull-right">
        <form action="users.php" method="GET">
            <div class="input-group">
                <?php
                    if (isset($_GET['search'])) {
                ?>
                    <input class="form-control search_textbox" placeholder="Search User" name="search" type="text" value="<?php echo (xssClean($_GET['search'])); ?>">
                <?php
                    } else {
                ?>
                    <input class="form-control search_textbox" placeholder="Search User" name="search" type="text">
                <?php
                    }
                ?>
				<input type="hidden" name="csrf" value="<?php echo $key; ?>" />
                <span class="input-group-btn">
                    <button class="btn btn-info search_button" type="submit"><i class="fa fa-search white"></i></button>
                </span>
            </div>
        </form>
    </div>
    <br />
    <br />
    
    <form action="users.php" method="POST">
        <?php
        $start_result = ($page - 1) * $limit;
        if (isset($_GET['search'])) {
        $search_string = xssClean(xssClean($_GET['search']));
        $sql = "SELECT * FROM `users` WHERE `userName` LIKE '%$search_string%' ORDER BY `userName` ASC LIMIT $start_result,$limit";
        }
        else {
        $sql = "SELECT * FROM `users` ORDER BY `userName` ASC LIMIT $start_result,$limit";
        }
        $query = mysqlQuery($sql);
        $count_rows = mysql_num_rows($query);
        if ($count_rows > 0) {
        ?>
        <br>
        
        <div class="table-responsive manage-webs">
            <table class="table table-bordered table-hover">
                <thead>
                    <tr>
                        <td width="5%" style="text-align:center;">
                            <input type="checkbox" id="selectall" />
                        </td>
                        <td><b>User Name</b></td>
                        <td width="150px" style="text-align:center;"><b>Action</b></td>
                    </tr>
                </thead>
                
                <?php
                    $i = 0;
                    
                    while ($fetch = mysql_fetch_array($query)) {
                        
                    $name = $fetch['userName'];
                    
                    if ($name != "") {
                ?>
                
                <tbody>
                    <tr>
                        <td style="text-align:center;"><input class="selectedId" type="checkbox" id="multicheck" name="checkboxvar[]" value="<?php echo $fetch['id'] ?>"/></td>
                        <td><a href="user_websites.php?uid=<?php echo $fetch['id']?>"><?php echo $name; ?></a></td>
                        <td style="text-align:center;">
                                <a href="<?php echo rootpath()."/admin/edit_user.php?id=". $fetch['id']; ?>" class="btn btn-info btn-sm"><i class="fa fa-pencil"></i> </a>
                                <a id="delete" data-toggle="modal" href="#deleteModal-<?php echo $fetch['id']?>" data-id="<?php echo $fetch['id'] ?>" title="Delete" class="btn btn-sm btn-danger"><i class="fa fa-times"></i></a>
                        </td>
                    </tr>
                </tbody>
                
                <?php
                    }
                    
                    $i += 1;
                ?>
            
                <div class="modal fade" id="deleteModal-<?php echo $fetch['id']?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header btn-green text-center">
                                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                                <h3 class="modal-title">Delete User</h3>
                            </div>
                            <div class="modal-body">
                                <input type="hidden" name="delete" id="vId" value=""/>
                                <center>
                                    <h5>Are you sure you want to delete this user? </h5>
                                </center>
                            </div>
                            <div class="modal-footer">
							<?php if(isset($_GET['search']) && xssClean($_GET['search'])!="") { ?>
							 <a name="action" id="del_link" class="btn btn-danger" href="users.php?delete=<?php echo $fetch['id']?>&p=<?php echo($page . "&search=" . xssClean($_GET['search'])); ?>"  value="Delete">Yes</a>
							<?php } else { ?>
                                <a name="action" id="del_link" class="btn btn-danger" href="users.php?delete=<?php echo $fetch['id']?>&p=<?php echo($page); ?>"  value="Delete">Yes</a>
							<?php } ?>
                                <button type="button" class="btn btn-info" data-dismiss="modal">No</button>
                            </div>
                        </div>
                    </div>
                </div>
                <?php }
                ?>
                <div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header btn-green text-center">
                                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                                <h3 class="modal-title">Delete User</h3>
                            </div>
                            <div class="modal-body">
                                <input type="hidden" name="delete" id="vId" value=""/>
                                <center>
                                <h5>Are you sure you want to delete this User? </h5>
                                </center>
                            </div>
                            <div class="modal-footer">
                                <a name="action" id="del_link" class="btn btn-danger" href=""  value="Delete">Yes</a>
                                <button type="button" class="btn btn-info" data-dismiss="modal">No</button>
                            </div>
                        </div>
                    </div>
                </div>
            </table>
        </div>
        <div style="padding: 0px 15px;">
		<?php if($rows>$limit) { ?>
        <ul class="pagination pagination-sm">
            <?php
                if (isset($_GET['search']))
                
                    echo ('<li class="hidden-xs"><a href="'.rootpath().'/admin/users.php?search=' . xssClean($_GET['search']) . '" class="page gradient">First</a></li>');
                
                else
                
                    echo ('<li class="hidden-xs"><a href="'.rootpath().'/admin/users.php" class="page gradient">First</a></li>');
                
                if ($page > 1) {
                
                    $i = ((int) $page / 5) * 5 - 1;
                
                if (!($i + 5 > $last)) {
                
                    $temp_last = $i + 5;
                
                } else {
                
                if (($last - 5) > 1)
                
                    $i = $last - 5;
                
                else
                
                    $i = 1;
                    
                        $temp_last = $last;
                    
                    }
                
                } else {
                
                    $i = 1;
                    
                    if (!($i + 5 > $last))
                    
                        $temp_last = 5;
                    
                    else
                    
                        $temp_last = $last;
                
                }
                
                for ($i; $i <= $temp_last; $i++) {
                
                    if (isset($_GET['search'])) {
                    
                    if ($i == $page)
                    
                        echo ('<li class="active"><a href="'.rootpath().'/admin/user.php?p=' . $i . '&search=' . $search_string . '" class="page active">' . $i . '</a></li>');
                    
                    else
                    
                        echo ('<li><a href="'.rootpath().'/admin/users.php?p=' . $i . '&search=' . $search_string . '" class="page gradient">' . $i . '</a></li>');
                    
                    } else {
                    
                    if ($i == $page)
                    
                        echo ('<li class="active"><a href="'.rootpath().'/admin/users.php?p=' . $i . '" class="page active">' . $i . '</a></li>');
                    
                    else
                    
                        echo ('<li><a href="'.rootpath().'/admin/users.php?p=' . $i . '" class="page gradient">' . $i . '</a></li>');
                    
                    }
                    
                }
                
                if (isset($_GET['search']))
                
                    echo ('<li class="hidden-xs"><a href="'.rootpath().'/admin/users.php?p=' . $last . '&search=' . $search_string . '" class="page gradient">Last</a></li>');
                
                else
                
                    echo ('<li class="hidden-xs"><a href="'.rootpath().'/admin/users.php?p=' . $last . '" class="page gradient">Last</a></li>');
                
            ?>
        </ul>
		<?php } ?>
        <a data-toggle="modal" href="#deleteModel" class="visible-xs pull-right">
            <button class="btn btn-danger btn-sm deleteall"><i class="fa fa-times"></i> Delete Selected</button>
        </a>
        <a data-toggle="modal" href="#deleteModel" class="hidden-xs"><button name="delete_selected" type="button" class="btn btn-danger btn-sm deleteall pull-right"><i class="fa fa-times"></i> Delete Selected</button></a>
        <div class="modal fade" id="deleteModel" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header btn-green text-center">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                        <h3 class="modal-title">Delete Users</h3>
                    </div>
                    <div class="modal-body">
                        <input type="hidden" name="delete" id="vId" value=""/>
                        <center>
                        <h5>Are you sure you want to delete selected Users? </h5>
                        </center>
                    </div>
					<input type="hidden" name="csrf" value="<?php echo $key; ?>" />
                    <div class="modal-footer">
                        <input type="submit" name="delete" id="del_link" class="btn btn-danger" value="Yes" />
                        <button type="button" class="btn btn-info" data-dismiss="modal">No</button>
                    </div>
                </div>
            </div>
        </div>
		</div>
    </form>
</div>
        <?php
            } else {
        ?>
        <div class="not-found"><li class="fa fa-user"></li> No User Found</div>
		</div>
        <?php } ?>
        <div class="row">
                <?php include "includes/footer.php"; ?>
				<script type="text/javascript">
    $( document ).ready(function() {
		$( "#deletewebsite" ).hide();
		$("button[name='delete_selected']").click(function() { 
			var count_checked1 = $("[name='checkboxvar[]']:checked").length;
			if(count_checked1 == 0) {
				alert("Please Select Some Users First.");
				return false;
			}
		});
		$('#selectall').click(function () {
			$('.selectedId').prop('checked', this.checked);
		});
		$('.selectedId').change(function () {
			var check = ($('.selectedId').filter(":checked").length == $('.selectedId').length);
			$('#selectall').prop("checked", check);
		});
    });
	$(document).ajaxStart(function () {
    $(document.body).css({ 'cursor': 'wait' })
	});
	$(document).ajaxComplete(function () {
		$(document.body).css({ 'cursor': 'default' })
	});
</script>
        </div>
    </div>
</div>