<?php
include "includes/header.php";

$csrfVariable = 'csrf_' . basename($_SERVER['PHP_SELF']);

$search  = "";

$page_no = "";

$qs = "";

$is_deleted = false;

function idExists($id) {

	$id = (int)mres($id);
	
	if(mysql_num_rows(mysqlQuery("SELECT `url` FROM `stats` WHERE `id`='$id'")))
	return true;

return false;

}

foreach ($_GET as $variable => $value) {
	
	$value = xssClean($value);
	
	if ($variable == "search")
		$search = $value;
	else if ($variable == "p")
		$page_no = $value;
	if ($search != "" && $page_no == "")
		$qs = "&search=$search";
	if ($search == "" && $page_no != "")
		$qs = "&p=$page_no";
	if ($search != "" && $page_no != "")
		$qs = "&search=$search&p=$page_no";
	
}
if (isset($_GET['sort_order'])) {

	if (trim($_GET['sort_order']) == "ASC" || trim($_GET['sort_order']) == "DESC")
	$_SESSION['sort_order'] = trim($_GET['sort_order']);

}

$search_string = xssClean(xssClean($_GET['search']));

if (isset($_GET['sort_by'])) {

	if (trim($_GET['sort_by']) == "recent" || trim($_GET['sort_by']) == "worth") {
	if (trim($_GET['sort_by']) == "recent")
		$_SESSION['sort_by'] = "dateUpdated";
	else if (trim($_GET['sort_by']) == "worth")
		$_SESSION['sort_by'] = "worth";
	else
		$_SESSION['sort_by'] = "dateUpdated";
}	
}
if (!isset($_SESSION['sort_by']))
	$_SESSION['sort_by'] = "dateUpdated";
if (!isset($_SESSION['sort_order']))
	$_SESSION['sort_order'] = "DESC";
if ($_SESSION['sort_by'] == "dateUpdated")
	$sort_by = "dateUpdated";
else if ($_SESSION['sort_by'] == "worth")
	$sort_by = "worth";
else
	$sort_by = "dateUpdated";
	
$error = "";

$page  = 1;

$limit = 10;

$next  = 2;

$prev  = 1;

if (isset($_GET['search'])) {

	$domain = getdomain(trim(xssClean($_GET['search'])));
	
	$data = mysqlQuery("SELECT `id` FROM `stats` WHERE `url` LIKE '%$domain%'");

} else {

	$data = mysqlQuery("SELECT `id` FROM `stats`");

}

$rows = mysql_num_rows($data);

$last = ceil($rows / $limit);


if (isset($_GET['p']) && $_GET['p'] != '' && ($_GET['p'] >= 1 && $_GET['p'] <= $last)) {

	$page = xssClean($_GET['p']);
	if ($page > 1)
	$prev = $page - 1;
	else
	$prev = $page;
	if ($page < $last)
	$next = $page + 1;
	else
	$next = $page;

}

if (isset($_GET['delete']) && is_numeric($_GET['delete']) && idExists($_GET['delete'])) {

	deleteWebsite($_GET['delete']);

	$is_deleted   = true;

}

function deleteWebsite($id) {

	$url = fetchWebsiteUrlFromId($id);
	
	$sql = "DELETE FROM `stats` WHERE `id`='$id'";

	mysqlQuery($sql);
	
	mysqlQuery("DELETE FROM `history` WHERE `url`='$url'");
	
	mysqlQuery("DELETE FROM `favoriteWebsites` WHERE `url`='$url'");
	
	mysqlQuery("DELETE FROM `userWebsites` WHERE `url`='$url'");
	
	$cRec = mysqlQuery("SELECT * FROM `conversations` WHERE `url`='$url'");
	
	while($row = mysql_fetch_array($cRec))
	{
		$id = $row['id'];
		
		mysqlQuery("DELETE FROM `messages` WHERE `cid`='$id'");
		
		mysqlQuery("DELETE FROM `conversations` WHERE `id`='$id'");
	}

	$cache = phpFastCache();
		
	$cache->delete("stats_$url");
	
	unset($cache);
}
if (isset($_POST['delete'])) {

	if($_SESSION[$csrfVariable] != $_POST['csrf'])
        $error = true;

	if (sizeof($_POST['checkboxvar']) > 0) {
	
	foreach ($_POST['checkboxvar'] as $val) {
	if(idExists($val)) {
	
		deleteWebsite($val);
		
		$is_deleted = true;
	
	}
	
	}
	
	}

}

$key = sha1(microtime());

$_SESSION[$csrfVariable] = $key;
?>

	<title> Manage Websites: <?php echo(getMetaTitle()) ?></title>
	
<?php include "includes/header_under.php"; ?>

            <li class="active"><i class="fa fa-list-alt"></i> Manage Websites</li>
        </ol>
    </div>
</div>

<div class="row" id="main_row">

    <?php if(isset($_GET['delete']) && $is_deleted) { ?>
	<div style="padding: 0px 15px;">
        <div class="alert alert-success alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                <i class="fa fa-check-square-o"></i> Website Deleted Successfully
        </div>
	</div>
    <?php } else if (isset($_POST['delete']) && $is_deleted) { ?>
	<div style="padding: 0px 15px;">
		<div class="alert alert-success alert-dismissable">
            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                <i class="fa fa-check-square-o"></i> Selected Websites Deleted Successfully
        </div>
	</div>
	<?php } ?>
    <div class="top_recent col-lg-4 col-md-4 col-sm-4 col-xs-12">
        <select class="form-control" onchange="self.location='<?php
            echo (rootpath()); ?>/admin/websites.php?sort_by='+this.options[this.selectedIndex].value+'<?php echo ($qs); ?>'">
           
            <?php if ($_SESSION['sort_by'] == "dateUpdated") { ?>
            <option value="recent" selected>Recent</option>
            <option value="worth">Top</option>
            <?php
                } else if ($_SESSION['sort_by'] == "worth") {
            ?>
            <option value="worth" selected>Top</option>
            <option value="recent" >Recent</option>
            <?php
                }
            ?>
        </select>
    </div>
    <div class="col-lg-4 col-md-4 col-sm-4 col-xs-6 sort-btn">
        <label class="hidden-xs">Sort: </label>
        <?php
            if ($_SESSION['sort_order'] == "ASC") {
        ?>
        <a href="<?php echo (rootpath()); ?>/admin/websites.php?sort_order=ASC<?php echo ($qs); ?>" class="btn btn-info btn-md active" ><span class="fa fa-arrow-up"></span></a>
        <a href="<?php echo (rootpath()); ?>/admin/websites.php?sort_order=DESC<?php echo ($qs); ?>" class="btn btn-info btn-md" ><span class="fa fa-arrow-down"></span></a>
        <?php
            } else if ($_SESSION['sort_order'] == "DESC") {
        ?>
        <a href="<?php echo (rootpath()); ?>/admin/websites.php?sort_order=ASC<?php echo ($qs); ?>" class="btn btn-info btn-md" ><span class="fa fa-arrow-up"></span></a>
        <a href="<?php echo (rootpath()); ?>/admin/websites.php?sort_order=DESC<?php echo ($qs); ?>" class="btn btn-info btn-md active" ><span class="fa fa-arrow-down"></span></a>
        <?php
            }
        ?>
    </div>
    
    <div class="col-lg-4 col-md-4 col-sm-4 col-xs-6 pull-right">
        <form action="websites.php" method="GET">
            <div class="input-group">
                <?php
                    if (isset($_GET['search'])) {
                ?>
                    <input class="form-control search_textbox" placeholder="Search Website" name="search" type="text" value="<?php echo (xssClean($_GET['search'])); ?>">
                <?php
                    } else {
                ?>
                    <input class="form-control search_textbox" placeholder="Search Website" name="search" type="text">
                <?php
                    }
                ?>
				<input type="hidden" name="csrf" value="<?php echo $key; ?>" />
                <span class="input-group-btn">
                    <button class="btn btn-info search_button" type="submit"><i class="fa fa-search white"></i></button>
                </span>
            </div>
        </form>
    </div>
    <br />
    <br />
    
    <form action="websites.php" method="POST">
        <?php
        $start_result = ($page - 1) * $limit;
        if (isset($_GET['search'])) {
        $domain = mres(getdomain(trim(xssClean($_GET['search']))));
        $sql = "SELECT id, url,worth FROM `stats` WHERE `url` LIKE '%$domain%' ORDER BY $sort_by " . $_SESSION['sort_order'] . " LIMIT $start_result,$limit";
        }
        else {
        $sql = "SELECT * FROM `stats` WHERE `status`='1' ORDER BY $sort_by " . $_SESSION['sort_order'] . " LIMIT $start_result,$limit";
        }
        $query = mysqlQuery($sql);
        $count_rows = mysql_num_rows($query);
        if ($count_rows > 0) {
        ?>
        <br>
        
        <div class="table-responsive manage-webs">
            <table class="table table-bordered table-hover">
                <thead>
                    <tr>
                        <td width="5%" style="text-align:center;">
                            <input type="checkbox" id="selectall" />
                        </td>
                        <td>Websites</td>
                        <td width="170px">Worth</td>
                        <td width="150px" style="text-align:center;">Action</td>
                    </tr>
                </thead>
                
                <?php
                    $i = 0;
                    
                    while ($fetch = mysql_fetch_array($query)) {
                        
                    $url = $fetch['url'];
                    
                    if ($url != "") {
                ?>
                
                <tbody>
                    <tr>
                        <td style="text-align:center;"><input class="selectedId" type="checkbox" id="multicheck" name="checkboxvar[]" value="<?php echo $fetch['id'] ?>"/></td>
                        <td><a href="<?php echo rootpath()?>/<?php echo $url ?>.html">http://www.<?php echo $url; ?></a></td>
                        <td>
                            <?php
                                echo(convert_currency($fetch['worth']));
                            ?>
                        </td>
                        <td style="text-align:center;">
                                <a href="<?php echo rootpath()."/admin/edit_web.php?id=". $fetch['id']; ?>" class="btn btn-info btn-sm"><i class="fa fa-pencil"></i> </a>
                                <a id="delete" data-toggle="modal" href="#deleteModal-<?php echo $fetch['id']?>" data-id="<?php echo $fetch['id'] ?>" title="Delete" class="btn btn-sm btn-danger"><i class="fa fa-times"></i></a>
                        </td>
                    </tr>
                </tbody>
                
                <?php
                    }
                    
                    $i += 1;
                ?>
            
                <div class="modal fade" id="deleteModal-<?php echo $fetch['id']?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header btn-green text-center">
                                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                                <h3 class="modal-title">Delete website</h3>
                            </div>
                            <div class="modal-body">
                                <input type="hidden" name="delete" id="vId" value=""/>
                                <center>
                                    <h5>Are you sure you want to delete this website? </h5>
                                </center>
                            </div>
                            <div class="modal-footer">
							<?php if(isset($_GET['search']) && xssClean($_GET['search'])!="") { ?>
							 <a name="action" id="del_link" class="btn btn-danger" href="websites.php?delete=<?php echo $fetch['id']?>&p=<?php echo($page . "&search=" . xssClean($_GET['search'])); ?>"  value="Delete">Yes</a>
							<?php } else { ?>
                                <a name="action" id="del_link" class="btn btn-danger" href="websites.php?delete=<?php echo $fetch['id']?>&p=<?php echo($page); ?>"  value="Delete">Yes</a>
							<?php } ?>
                                <button type="button" class="btn btn-info" data-dismiss="modal">No</button>
                            </div>
                        </div>
                    </div>
                </div>
                <?php }
                ?>
                <div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                    <div class="modal-dialog">
                        <div class="modal-content">
                            <div class="modal-header btn-green text-center">
                                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                                <h3 class="modal-title">Delete website</h3>
                            </div>
                            <div class="modal-body">
                                <input type="hidden" name="delete" id="vId" value=""/>
                                <center>
                                <h5>Are you sure you want to delete this website? </h5>
                                </center>
                            </div>
                            <div class="modal-footer">
                                <a name="action" id="del_link" class="btn btn-danger" href=""  value="Delete">Yes</a>
                                <button type="button" class="btn btn-info" data-dismiss="modal">No</button>
                            </div>
                        </div>
                    </div>
                </div>
            </table>
        </div>
        <div style="padding: 0px 15px;">
		<?php if($rows>$limit) { ?>
        <ul class="pagination pagination-sm">
            <?php
                if (isset($_GET['search']))
                
                    echo ('<li class="hidden-xs"><a href="'.rootpath().'/admin/websites.php?search=' . xssClean($_GET['search']) . '" class="page gradient">First</a></li>');
                
                else
                
                    echo ('<li class="hidden-xs"><a href="'.rootpath().'/admin/websites.php" class="page gradient">First</a></li>');
                
                if ($page > 1) {
                
                    $i = ((int) $page / 5) * 5 - 1;
                
                if (!($i + 5 > $last)) {
                
                    $temp_last = $i + 5;
                
                } else {
                
                if (($last - 5) > 1)
                
                    $i = $last - 5;
                
                else
                
                    $i = 1;
                    
                        $temp_last = $last;
                    
                    }
                
                } else {
                
                    $i = 1;
                    
                    if (!($i + 5 > $last))
                    
                        $temp_last = 5;
                    
                    else
                    
                        $temp_last = $last;
                
                }
                
                for ($i; $i <= $temp_last; $i++) {
                
                    if (isset($_GET['search'])) {
                    
                    if ($i == $page)
                    
                        echo ('<li class="active"><a href="'.rootpath().'/admin/websites.php?p=' . $i . '&search=' . $search_string . '" class="page active">' . $i . '</a></li>');
                    
                    else
                    
                        echo ('<li><a href="'.rootpath().'/admin/websites.php?p=' . $i . '&search=' . $search_string . '" class="page gradient">' . $i . '</a></li>');
                    
                    } else {
                    
                    if ($i == $page)
                    
                        echo ('<li class="active"><a href="'.rootpath().'/admin/websites.php?p=' . $i . '" class="page active">' . $i . '</a></li>');
                    
                    else
                    
                        echo ('<li><a href="'.rootpath().'/admin/websites.php?p=' . $i . '" class="page gradient">' . $i . '</a></li>');
                    
                    }
                    
                }
                
                if (isset($_GET['search']))
                
                    echo ('<li class="hidden-xs"><a href="'.rootpath().'/admin/websites.php?p=' . $last . '&search=' . $search_string . '" class="page gradient">Last</a></li>');
                
                else
                
                    echo ('<li class="hidden-xs"><a href="'.rootpath().'/admin/websites.php?p=' . $last . '" class="page gradient">Last</a></li>');
                
            ?>
        </ul>
		<?php } ?>
        <a data-toggle="modal" href="#deleteModel" class="visible-xs pull-right">
            <button class="btn btn-danger btn-sm deleteall"><i class="fa fa-times"></i> Delete Selected</button>
        </a>
        <a data-toggle="modal" href="#deleteModel" class="hidden-xs"><button name="delete_selected" type="button" class="btn btn-danger btn-sm deleteall pull-right"><i class="fa fa-times"></i> Delete Selected</button></a>
        <div class="modal fade" id="deleteModel" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header btn-green text-center">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
                        <h3 class="modal-title">Delete websites</h3>
                    </div>
                    <div class="modal-body">
                        <input type="hidden" name="delete" id="vId" value=""/>
                        <center>
                        <h5>Are you sure you want to delete selected websites? </h5>
                        </center>
                    </div>
					<input type="hidden" name="csrf" value="<?php echo $key; ?>" />
                    <div class="modal-footer">
                        <input type="submit" name="delete" id="del_link" class="btn btn-danger" value="Yes" />
                        <button type="button" class="btn btn-info" data-dismiss="modal">No</button>
                    </div>
                </div>
            </div>
        </div>
		</div>
    </form>
</div>
        <?php
            } else {
        ?>
        <div class="not-found"><li class="fa fa-folder-open-o"></li> No Websites Found</div>
		</div>
        <?php } ?>
        <div class="row">
                <?php include "includes/footer.php"; ?>
        </div>
    </div>
</div>