<?php
include 'config/config.php';

include 'includes/functions.php';

include 'includes/http.php';

include 'includes/oauth_client.php';

$client = new oauth_client_class;

$client->server = 'Facebook';

$client->debug = false;

$client->debug_http = true;

$client->redirect_uri = 'http://'.$_SERVER['HTTP_HOST'].dirname(strtok($_SERVER['REQUEST_URI'],'?')).'/fbRegister.php';

$client->client_id = getFacebookClientID();

$client->client_secret = getFacebookClientSecret();

$client->scope = 'email,user_about_me';

$application_line = __LINE__;

if(($success = $client->Initialize()))
{
	if(($success = $client->Process()))
	{
		if(strlen($client->authorization_error))
		{
		
			$client->error = $client->authorization_error;
			
			$success = false;
		} 
		else if(strlen($client->access_token))
		{
			$success = $client->CallAPI('https://graph.facebook.com/me', 'GET', array(), array('FailOnAccessError'=>true), $user);
			
			if($success)
			{
				$email=$user->email;
				
				$name=$user->name;
				
				$array = explode(" ",$name);
				
				$fbUsername = $array[0].$array[1];
				
				$_SESSION['fbRegistration'] = true;
				
				header('Location: '.rootPath().'/user/signup&fbregister=fbregister&fbUsername='.$fbUsername.'&fbEmail='.$email);
			}
			
		}
		
	}
	
	$success = $client->Finalize($success);
}
?>