<?php
if (!isset($_SESSION)) session_start();

require "../config/config.php";

require "functions.php";

include "NEXstats.php";

$json = file_get_contents('../language/'.$_SESSION['language'].'.php');

$language=json_decode($json, true);

$url = rtrim(trim($_POST['url']),".");

$url = getdomain($url);

if(captchaStatsStatus()) 
{
	if(!isset($_SESSION['captcha']))
	{
		$_SESSION['captcha']=false;
	}
	if((basename($_SERVER['HTTP_REFERER'])=="blukupload.php") || ($_SESSION['captcha'])) 
	{
		$captcha = true;
	} 
	else 
	{
		$captcha = false;
	} 
} 
else 
{
	$captcha = true;
}


if($_POST['csrf']==$_SESSION['csrf'] || $_POST['csrf_bulkupload']==$_SESSION['csrf_bulkupload'] || $_POST['csrf_updatestats']==$_SESSION['csrf_updatestats']) 
{
	if($captcha)
	{
		if(urlExists($url)) 
		{
			echo '2';
			
			exit();
		} 
		else if(!validURL($url)) 
		{
			echo '0';
			
			exit();
		}
		else if(validURL($url)) 
		{
			saveURL($url);
			
			calculateTrafficStats();
			
			searchEnginesIndexStats($url);
			
			rankingStats($url);
			
			websiteSafetyStats($url);
			
			seoStats($url);
			
			socialMediaStats($url);
			
			domainInformation($url);
			
			webServerInformation($url);
			
			calculateWorth($url,$language);
			
			countSearches();
			
			echo '1';
			
			exit();
		}
	}
}
?>