CREATE TABLE IF NOT EXISTS `cacheSettings`(`id` int NOT NULL AUTO_INCREMENT, `indexCacheEnable` tinyint(4), `indexCacheExpireTime` int(11), `topCacheEnable` tinyint(4), `topCacheExpireTime` int(11), `recentCacheEnable` tinyint(4), `recentCacheExpireTime` int(11), `showCacheEnable` tinyint(4), `showCacheExpireTime` int(11), `sidebarCacheEnable` tinyint(4), `sidebarCacheExpireTime` int(11), `pageCacheEnable` tinyint(4), `pageCacheExpireTime` int(11), `tagCacheEnable` tinyint(4), `tagCacheExpireTime` int(11), PRIMARY KEY (id));

ALTER TABLE `contentSettings` ADD `updateInterval` INT NOT NULL AFTER `id`, ADD `layout` TINYINT NOT NULL AFTER `updateInterval`;

UPDATE `contentSettings` SET `updateInterval`=7;

TRUNCATE TABLE `cacheSettings`;

INSERT INTO `cacheSettings` (`id`, `indexCacheEnable`, `indexCacheExpireTime`, `topCacheEnable`, `topCacheExpireTime`, `recentCacheEnable`, `recentCacheExpireTime`, `showCacheEnable`, `showCacheExpireTime`, `sidebarCacheEnable`, `sidebarCacheExpireTime`, `pageCacheEnable`, `pageCacheExpireTime`, `tagCacheEnable`, `tagCacheExpireTime`) VALUES ('1', '0', '3600', '0', '3600', '0', '3600', '0', '86400', '0', '3600', '0', '3600', '0', '3600');

ALTER TABLE `cacheSettings` ADD PRIMARY KEY(`id`);

ALTER TABLE `contentSettings` ADD PRIMARY KEY(`id`);

ALTER TABLE `currencySettings` ADD PRIMARY KEY(`id`);

ALTER TABLE `rssSettings` ADD PRIMARY KEY(`id`);

ALTER TABLE `settings` ADD PRIMARY KEY(`id`);

ALTER TABLE `sitemaps` ADD PRIMARY KEY(`id`);

ALTER TABLE `socialProfiles` ADD PRIMARY KEY(`id`);

ALTER TABLE `websiteStats` ADD PRIMARY KEY(`id`);

ALTER TABLE `license` ADD PRIMARY KEY(`id`);

ALTER TABLE `commentSettings` ADD PRIMARY KEY(`id`);

ALTER TABLE `captchaSettings` ADD PRIMARY KEY(`id`);

ALTER TABLE `badWords` ADD PRIMARY KEY(`id`);

ALTER TABLE `apiSettings` ADD PRIMARY KEY(`id`);

ALTER TABLE `analytics` ADD PRIMARY KEY(`id`);

ALTER TABLE `ads` ADD PRIMARY KEY(`id`);