<?php
if(!isset($_SESSION)) session_start();

require "config/config.php";

require "includes/functions.php";

require 'includes/NEXstats.php';

include "includes/captcha/captcha.php";

if(!marketplaceStatus())
{
	header("Location: " . rootPath());
}

$_SESSION['captcha'] = simple_php_captcha();

$key = sha1(microtime());

$_SESSION['csrf_updatestats']=$key;

if(!recentWebStatus() && recentWebLimit()>0)
{
	header("Location: " . rootPath());
}

function categoryNameByPermalink($permalink)
{	
	$languageName = $_SESSION['language'];
	
	$fetch=mysql_fetch_array(mysqlQuery("SELECT `name` FROM `categoryLanguage` WHERE permalink='$permalink' AND `language`='$languageName'"));
	
	return $fetch['name'];
}

$adsInfo = getAdsInfo();

$socialInfo = getSocialInfo();

$key = sha1(microtime());

include "includes/header.php";
?>

	<title><?php echo($language['market_place_categories']); ?></title>
	<meta name="description" content="<?php echo($language['categories_meta_description']); ?>" />
	<meta name="keywords" content="<?php echo($language['categories_meta_keywords']); ?>" />
	
	<meta name="twitter:card" content="<?php echo($language['market_place_categories']); ?>" />
	<meta name="twitter:site" content="@<?php echo($socialInfo['twitter']); ?>">
	<meta name="twitter:title" content="<?php echo($language['market_place_categories'] . " " . $language['dash-page'] . " " . $currentPage); ?>" />
	<meta name="twitter:description" content="<?php echo($language['categories_meta_description']); ?>" />
	<meta name="twitter:creator" content="@<?php echo($socialInfo['twitter']); ?>">
	<meta name="twitter:image" content="<?php echo(rootPath()); ?>/static/images/cover.jpg?<?php echo(time()); ?>" />
	<meta property="og:title" content="<?php echo($language['market_place_categories']); ?> - Page <?php echo($currentPage); ?>" />
	<meta property="og:type" content="article" />
	<meta property="og:url" content="<?php echo(currentPageURL()); ?>" />
	<meta property="og:image" content="<?php echo(rootPath()); ?>/static/images/cover.jpg?<?php echo(time()); ?>" />
	<meta property="og:description" content="<?php echo($language['categories_meta_description']); ?>" /> 
	<meta property="og:site_name" content="<?php echo(getMetaTitle()); ?>" />
	
<?php
include "includes/header_under.php";
?>
<div class="container">
	<div class="row">
		<?php if(isRTLLayout()) { ?>
		<div class="col-lg-8 col-md-12 col-sm-12 col-xs-12 col-lg-push-4">
			<?php } else { ?>
			<div class="col-lg-8 col-xs-12">
			<?php } ?>
				<div class="brdr bgc-fff pad-10 box-shad property-listing web-lists-title">
					<span class="title"><?php echo $language['market_place']?></span>
					<span class="sub-title"><?php echo $language['market_place_categories']?></span>
				</div>
				<div class="mypage theme-card box shadow-1 marketPlace">
				<h2><i class="fa fa-shopping-cart fa-lg"></i><?php echo $language['market_place'] ?></h2>
				<?php
				$query=mysqlQuery("SELECT * FROM `categories` WHERE `status`='1' ORDER BY displayOrder");
				while($fetch=mysql_fetch_array($query)){ ?>
					<a href="<?php echo rootPath()?>/marketplace/<?php echo $fetch['permalink']?>">
					<div class="col-lg-3 col-md-2 col-sm-3 col-xs-4">
						<div class="cat <?php echo (isRTLLayout() ? 'cat-RTL' : "") ?>">
						<i class="fa <?php echo $fetch['icon'] ?>"></i> <?php echo categoryNameByPermalink($fetch['permalink']).' '.totalProducts($fetch['permalink'])?>
						</div>
					</div></a>
				<?php } ?>
				</div>
				<?php
				if($adsInfo['leaderboardAdStatus']) { ?>
				<div class="clearfix"></div>
				<div class="ad-tray-728 <?php echo ($adsInfo['leaderboardAdResponsiveStatus'] ? "" : "hidden-xss") ?>">
					<?php echo($adsInfo['leaderboardAd']); ?>
				</div>
				<?php } ?>
			</div>
			
			<?php if(isRTLLayout()) { ?>
			<div class="col-lg-4 col-lg-pull-8 visible-lg sidebar-main sidebar-main-mrg">
				<?php } else { ?>
				<div class="col-lg-4 visible-lg sidebar-main sidebar-main-mrg">
				<?php } ?>
					<?php include 'includes/sidebar.php'; ?>
				</div>
			</div>
		</div>
</div>
<?php
include "includes/footer.php";
?>