<?php
if(!isset($_SESSION)) session_start();

require "config/config.php";

require "includes/functions.php";

if(!isset($_SESSION['useRName']) || !isset($_SESSION['EmAIl']) || !isset($_SESSION['uid']))
{
	header('Location: '.rootPath());
}

include 'includes/header.php';

$metaInfo = getMetaInfo();

if(isset($_GET['delConversation']) && isset($_GET['deluser']))
{
	$cid = $_GET['delConversation']; 
	
	$aUser = $_SESSION['uid'];
	
	$oUser = $_GET['deluser'];
	
	$updateMessagesArray = mysqlQuery("SELECT * FROM `messages` WHERE (`sid`='$aUser' AND `rid`='$oUser') OR (`sid`='$oUser' AND `rid`='$aUser') AND `cid`='$cid'");
	
	while($rec = mysql_fetch_array($updateMessagesArray))
	{
		if($rec['sid'] == $aUser)
		{
			mysqlQuery("UPDATE `messages` SET `sStatus` = '0' WHERE `sid`='$aUser' AND `cid`='$cid'");
			$delMsg = 1;
		}
		else if($rec['rid'] == $aUser)
		{
			mysqlQuery("UPDATE `messages` SET `rStatus` = '0' WHERE `rid`='$aUser' AND `cid`='$cid'");
			$delMsg = 1;
		}
	}
	
	$DeleteMessagesArray = mysqlQuery("SELECT * FROM `messages` WHERE (`sid`='$aUser' AND `rid`='$oUser') OR (`sid`='$oUser' AND `rid`='$aUser') AND `cid`='$cid'");
	
	while($rec = mysql_fetch_array($DeleteMessagesArray))
	{
		$id = $rec['id'];
		
		if($rec['sStatus'] ==0 && $rec['rStatus'] == 0)
		{
			mysqlQuery("DELETE FROM `messages` WHERE `id`='$id'");
		}
	}
	
	$conversationRecord = mysql_fetch_array(mysqlQuery("SELECT * FROM `conversations` WHERE `id`='$cid'"));
	
	if($conversationRecord['sid'] == $aUser)
	{
		mysqlQuery("UPDATE `conversations` SET `sStatus` = '0' WHERE `sid`='$aUser' AND `id`='$cid'");
		$delCon = 1;
	}
	else if($conversationRecord['rid'] == $aUser)
	{
		mysqlQuery("UPDATE `conversations` SET `rStatus` = '0' WHERE `rid`='$aUser' AND `id`='$cid'");
		$delCon = 1;
	}
	
	$conversationRecord = mysql_fetch_array(mysqlQuery("SELECT * FROM `conversations` WHERE `id`='$cid'"));
	
	if($conversationRecord['sStatus'] == 0 && $conversationRecord['rStatus'] == 0)
	{
		mysqlQuery("DELETE FROM `conversations` WHERE `id`='$cid'");
	}
}

if(isset($_GET['user']) && isset($_GET['conversation']))
{
	$oUser = $_GET['user'];
	$cid = $_GET['conversation'];
	mysqlQuery("UPDATE `conversations` SET `readStatus`='1' WHERE `sid`='$oUser' AND `id`='$cid'");
}
?>

<title><?php echo($language['conversations']); ?></title>
<meta name="description" content="<?php echo($metaInfo['description']); ?>"/>
<meta name="keywords" content="<?php echo($metaInfo['metaTags']); ?>"/>
<meta property="og:title" content="<?php echo($metaInfo['title']); ?>"/>
<meta property="og:type" content="website"/>
<meta property="og:url" content="<?php echo(rootPath()); ?>"/>
<meta property="og:image" content="<?php echo(rootPath()); ?>/static/images/cover.jpg?<?php echo(time()); ?>"/>
<meta property="og:description" content="<?php echo($metaInfo['description']); ?>"/>
	
<?php
include 'includes/header_under.php';
?>

<div class="container">
	<div class="side-menu">
		<div class="mypage theme-card theme-page shadow-1 box">
			<?php include "includes/userHeader.php" ?>
			<div class="row">
				<?php include "includes/userSidebar.php" ?>
				<div class="col-sm-9">
                    <div class="admin-content" id="home">
						<h4 class="primary-text-color"><i class="fa fa-comments-o"></i> <?php echo $language['conversations'] ?></h4>
						<small class="secondary-text-color <?php echo (isRTLLayout() ? 'pull-right' : 'pull-left')?>"><em><?php echo $language['manage_your_conversations'] ?></em></small>
						<div class="clerafix"></div>
						<?php
						$uid = $_SESSION['uid'];
						$arrayData = mysqlQuery("SELECT * FROM `conversations` WHERE (`rid`='$uid' AND `rStatus`='1') OR (`sid`='$uid' AND `sStatus`='1') ORDER BY `readStatus`");
						if(mysql_num_rows($arrayData) > 0)
						{
							?>
							<div class="conBox <?php echo (isRTLLayout() ? 'pull-left' : 'pull-right') ?>">
								<div class="form-group">
									<?php $unreadMessages = unreadMessages($uid) ?>
									<button class="message-btn btn btn-default btn-md" type="button"><?php echo $language['conversations'].($unreadMessages > 0 ? '&nbsp; &nbsp; <span class="label label-info unreadMsgs">'.$unreadMessages.'<span>' : '&nbsp; &nbsp; <span class="hide label label-info unreadMsgs">'.$unreadMessages.'<span>')?></button>  
								</div>
								<div class="msg-box shadow-1 theme-card <?php echo (isRTLLayout() ? 'con-left-15' : 'con-right-15') ?>" id="msg-box">
									<?php
									while($row = mysql_fetch_array($arrayData))
									{
										if($row['rid'] == $uid && $row['rStatus'] == '1') 
										{
											?>
											<a href="<?php echo rootPath() ?>/messages?user=<?php echo $row['sid'] ?>&conversation=<?php echo $row['id'] ?>">
												<div class="chat-users transition <?php echo ($row['readStatus']=='0' ? 'unread' : "") ?>" id="lastMessage-<?php echo $row['id'] ?>">
													<div class="header">
														<strong class="primary-text-color"><?php echo $row['sUsername'] ?></strong>
														<small class="<?php echo (isRTLLayout() ? 'left-10' : 'right-10')?> pull-right text-muted">
															<span class="fa fa-clock-o"></span> <?php echo timeAgo($row['dateTime']) ?>
														</small>
													</div>
													<p class="secondary-text-color line-clamp line-clamp-1">
														<?php echo $row['lastMessage'] ?>
													</p>
												</div>
											</a>
											<?php
										}
										else if($row['sid'] == $uid && $row['sStatus'] == '1')
										{
											?>
											<a href="<?php echo rootPath() ?>/messages?user=<?php echo $row['rid'] ?>&conversation=<?php echo $row['id'] ?>">
												<div class="chat-users transition" id="lastMessage-<?php echo $row['id'] ?>">
													<div class="header">
														<i><?php echo $language['you'] ?> : </i>
														<strong class="primary-text-color"><?php echo $row['rUsername'] ?></strong>
														<small class="<?php echo (isRTLLayout() ? 'left-10' : 'right-10')?> pull-right text-muted">
															<span class="fa fa-clock-o"></span> <?php echo timeAgo($row['dateTime']) ?>
														</small>
													</div>
													<p class="secondary-text-color line-clamp line-clamp-1">
														<?php echo $row['lastMessage'] ?>
													</p>
												</div>
											</a>
											<?php
										}
									}
									?>
								</div>
							</div>
							<?php
							if($delCon == 1 && $delMsg == 1)
							{
								?>
								<div class="clearfix"></div>
								<div class="alert alert-success alert-dismissible" role="alert">
									<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span 	aria-hidden="true">&times;</span></button>
									<strong><?php echo $language['success'] ?>!</strong> <?php echo $language['conversation_deleted_successfully'] ?>.
								</div>
								<?php
							}
							if(isset($_GET['user']))
							{
								$uid = $_SESSION['uid'];
								$aUser = $_SESSION['uid'];
								$oUser = $_GET['user'];
								$cid = $_GET['conversation'];
								$messageArray = mysqlQuery("SELECT * FROM `messages` WHERE (`sid`='$aUser' AND `rid`='$oUser' AND `sStatus`='1') OR (`sid`='$oUser' AND `rid`='$aUser' AND `rStatus`='1') ORDER BY `id`");
								if(mysql_num_rows($messageArray) > 0)
								{
									?>
									<div class="modal fade in modal-form" id="deleteConversation" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="false">
										<div class="modal-dialog">
											<div class="modal-content shadow-1">
												<div class="modal-header primary-bg-color">
													<button type="button" class="close" data-dismiss="modal" aria-label="Close"><i class="fa fa-close"></i></button>
													<h4 class="modal-title" id="myModalLabel"><?php echo $language['delete_conversation']?></h4>
												</div>
												<div class="modal-body">
													<div class="row">
														<div class="col-xs-12" style="text-align:center; padding:10px 0">     
															<?php echo $language['delete_confirm_conversation'] ?>
														</div>
													</div> 
												</div>
												<div class="modal-footer">
													<a href="<?php echo rootPath() ?>/messages?delConversation=<?php echo $cid ?>&deluser=<?php echo $oUser ?>" class="btn-success btn btn-md"><?php echo $language['delete'] ?></a>
													<button type="button" class="btn-primary btn btn-md" data-dismiss="modal"><?php echo $language['close'] ?></button>
												</div>
											</div><!-- /.modal-content -->
										</div><!-- /.modal-dialog -->
									</div><!-- /.modal -->
									<div class="row">
										<div class="col-xs-12">
											<a href="#" style="text-decoration:none" data-toggle="modal" data-target="#deleteConversation"><?php echo $language['delete_this_conversation']?> <i class="fa fa-trash"></i></a>
											<div class="chat" id="chat">
												<input type="hidden" id="totalMessages" value="<?php echo mysql_num_rows($messageArray) ?>">
												<ul id="userConversation">
													<?php
													while($row = mysql_fetch_array($messageArray))
													{
														if($row['rid'] == $uid && $row['rStatus'] == '1') 
														{
															?>
															<li class="grey-user">
																<div class="chat-box">
																	<div class="header">
																		<strong><?php echo $row['sUsername'] ?></strong>
																		<small class="<?php echo (isRTLLayout() ? 'pull-left' : 'pull-right')?> text-muted">
																			<span class="fa fa-clock-o"></span> <?php echo timeAgo($row['dateTime']) ?>
																		</small>
																	</div>
																	<p>
																		<?php echo $row['message'] ?>
																	</p>
																</div>
															</li>
															<?php
														}
														else if($row['sid'] == $uid && $row['sStatus'] == '1')
														{
															?>
															 <li class="blue-user">
																<div class="chat-box">
																	<div class="header">
																		<small class="text-muted">
																			<span class="fa fa-clock-o"></span><?php echo timeAgo($row['dateTime']) ?>
																		</small>
																		<strong class="<?php echo (isRTLLayout() ? 'pull-left' : 'pull-right')?>"><?php echo $row['sUsername'] ?></strong>
																	</div>
																	<p>
																		<?php echo $row['message'] ?>
																	</p>
																</div>
															</li>
															<?php
														}
													}
													?>
												</ul>
											</div>
											<br>
											<form method="post" id="reply">
												<div class="form-group">
													<textarea id="replyMessage" name="message" class="form-control" rows="5"></textarea>
												</div>
												<div class="form-group">
													<button type="submit" id="reply-btn" name="submit" class="btn btn-primary btn-md btn-send"><i class="fa fa-reply"></i> <?php echo $language['reply'] ?></button>
												</div>
											</form>
										</div>
									</div>
									<?php
								}
								else
								{
									?>
									<div class="N_C text-center">
										<h1>No Conversation Found</h1>
									</div>
									<?php
								}
							}
							else
							{
								?>
								<div class="N_C text-center">
									<h1>Select a Conversation</h1>
								</div>
								<?php
							}
						}
						else
						{
							?>
							<div class="N_C text-center">
								<h1>No Conversations Found</h1>
							</div>
							<?php
						}
						?>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
<?php include 'includes/footer.php'; ?>