<?php
if(!isset($_SESSION)) session_start();

require "config/config.php";

require "includes/functions.php";

require 'includes/NEXstats.php';

include "includes/captcha/captcha.php";

$_SESSION['captcha'] = simple_php_captcha();

$key = sha1(microtime());

$_SESSION['csrf_updatestats']=$key;

if(!validPage($_GET["permalink"])) {
	
	header('HTTP/1.0 404 Not Found');
	readfile(rootpath() . '/404.php');
	exit();
} 

$adsInfo = getAdsInfo();

$socialInfo = getSocialInfo();

function validPage($permalink) {

	$permalink = mres($permalink);
	
	if(mysql_num_rows(mysqlQuery("SELECT `id` FROM `pages` WHERE `permalink`='$permalink'"))>0)
		return true;
		
return false;
}

if(isset($_GET["permalink"]) && trim($_GET["permalink"]) != "") {

	$permalink = trim($_GET["permalink"]);
	$array = fetchPageData($permalink);
	
	if ($array['id']) {
		
		$title = $array['title'];
		$content = $array['content'];
		$description = $array['description'];
		$keywords = $array['keywords'];
		
	} else {
	
		header('HTTP/1.0 404 Not Found');
		readfile(rootpath() . '/404.php');
		exit();
	} 
}
 
else {

	header("HTTP/1.1 301 Moved Permanently");
	header("Location: " . rootpath());
	exit();
}

$key = sha1(microtime());

include "includes/header.php";
?>

	<title><?php echo($title); ?></title>
	<meta name="description" content="<?php echo($description); ?>" />
	<meta name="keywords" content="<?php echo ($keywords); ?>" />
	<meta property="og:title" content="<?php echo($title); ?>"/>
	<meta property="og:type" content="website"/>
	<meta property="og:url" content="<?php echo(rootPath() . "/page/" . $permalink); ?>"/>
	<meta property="og:image" content="<?php echo(rootPath()); ?>/static/images/cover.jpg?<?php echo(time()); ?>"/>
	<meta property="og:description" content="<?php echo($description); ?>"/>

<?php
include "includes/header_under.php";
?>
<div class="clearfix"></div>
	<div class="container container-pad">
		<div class="row">
			<div class="row hidden-lg <?php echo ($adsInfo['leaderboardAdResponsiveStatus'] ? "" : "hidden-xs") ?>">
				<div class="col-lg-12">
					<?php if($adsInfo['leaderboardAdStatus']) { ?>
					
						<div class="ad-tray-728">
							<?php echo($adsInfo['leaderboardAd']); ?>
						</div>
						
					<?php } ?>
				</div>
			</div>
			<?php if(isRTLLayout()) { ?>
			<div class="col-lg-8 col-md-12 col-sm-12 col-xs-12 col-lg-push-4">
			<?php } else { ?>
			<div class="col-lg-8 col-md-12 col-sm-12 col-xs-12">
			<?php } ?>
				<div class="panel panel-default">
					<div class="panel-heading table-title">
						<i class="fa fa-page"></i>
						<b><?php echo($title); ?></b>
					</div>
					<div class="panel-body panel-page-min-height">
						<div class="col-md-12">
							<?php echo htmlspecialchars_decode($content); ?>
						</div>
					</div>
				</div>
				<?php if($adsInfo['leaderboardAdStatus']) { ?>
				
					<div class="ad-tray-728 <?php echo ($adsInfo['leaderboardAdResponsiveStatus'] ? "" : "hidden-xs visible-lg") ?>">
						<?php echo($adsInfo['leaderboardAd']); ?>
					</div>
					
				<?php } ?>
			</div>
			<?php if(isRTLLayout()) { ?>
			<div class="col-lg-4 col-md-4 col-lg-pull-8 col-md-pull-8 visible-lg visible-md sidebar-main sidebar-main-mrg">
			<?php } else { ?>
			<div class="col-lg-4 col-md-4 visible-lg visible-md sidebar-main sidebar-main-mrg">
			<?php } ?>
				<?php include "includes/sidebar.php"; ?>
			</div>
		</div>
	</div>
<?php
include "includes/footer.php";
?>