<?php
if(!isset($_SESSION)) session_start();

require "config/config.php";

require "includes/functions.php";

if(!isset($_SESSION['useRName']) || !isset($_SESSION['EmAIl']) || !isset($_SESSION['uid']))
{
	header('Location: '.rootPath());
}

include 'includes/header.php';

$limit=10;

$slug = 'userWebsites';

$currentPage = (isset($_GET['page']) && is_numeric($_GET['page']) && $_GET['page']>0) ? ((int) mres($_GET['page'])) : 1;

$lastPage = ceil(totalUserWebsites()/$limit);

$nextPage = ($currentPage < $lastPage) ? $currentPage+1 : $currentPage;

$prevPage = ($currentPage > 1) ? $currentPage+1 : $currentPage;

$i=($currentPage*$limit)-$limit;

if(isset($_GET['delete']))
{
	$uid = $_SESSION['uid'];
	
	$url = $_GET['delete'];
		
	$cRec = mysqlQuery("SELECT * FROM `conversations` WHERE `url`='$url'");

	while($row = mysql_fetch_array($cRec))
	{
		$id = $row['id'];
		
		mysqlQuery("DELETE FROM `messages` WHERE `cid`='$id'");
		
		mysqlQuery("DELETE FROM `conversations` WHERE `id`='$id'");
	}
	
	mysqlQuery("DELETE FROM `userWebsites` Where `url` ='$url' AND `uid`='$uid'");
	
	$deleteSuccess = '<div class="alert alert-success alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>'.$language['website_delete_success'].'</div>';
}

if(isset($_GET['unblock']))
{
	$url = $_GET['unblock'];
	
	mysqlQuery("UPDATE `userWebsites` SET `forSale`=1 WHERE `url`='$url'");
}

$metaInfo = getMetaInfo();
?>

<title><?php echo($language['your_websites']); ?></title>
<meta name="description" content="<?php echo($metaInfo['description']); ?>"/>
<meta name="keywords" content="<?php echo($metaInfo['metaTags']); ?>"/>
<meta property="og:title" content="<?php echo($metaInfo['title']); ?>"/>
<meta property="og:type" content="website"/>
<meta property="og:url" content="<?php echo(rootPath()); ?>"/>
<meta property="og:image" content="<?php echo(rootPath()); ?>/static/images/cover.jpg?<?php echo(time()); ?>"/>
<meta property="og:description" content="<?php echo($metaInfo['description']); ?>"/>
	
<?php
include 'includes/header_under.php';
?>

<div class="container">
	<div class="side-menu">
		<div class="mypage theme-card shadow-1 box">
			<?php include "includes/userHeader.php" ?>
			<div class="row">
				<?php include "includes/userSidebar.php" ?>
				<div class="col-sm-9">
                    <div class="admin-content" id="home">
						<div class="row">
							<div class="col-sm-9 <?php echo (isRTLLayout() ? 'pull-right' : 'pull-left') ?>">
								<h4 class="primary-text-color"><i class="fa fa-clock-o"></i> <?php echo $language['your_websites'] ?></h4>
								<small class="secondary-text-color <?php echo (isRTLLayout()? 'pull-right' : 'pull-left')?>"><em><?php echo $language['websites_for_sale'] ?></em></small>
							</div>
							<div class="col-sm-3 <?php echo (isRTLLayout() ? 'pull-right' : 'pull-left') ?>">
								<a style="margin-bottom:10px" href="<?php echo rootPath() ?>/addWebsite" class="<?php echo (isRTLLayout()? 'pull-left' : 'pull-right')?> btn btn-success"><i class="fa fa-plus"></i> <?php echo $language['add_website'] ?></a>
							</div>
						</div>
						<?php
						$uid = $_SESSION['uid'];
						$startResult = ($currentPage-1)*$limit;
						$arrayData = mysqlQuery("SELECT * FROM `userWebsites` WHERE `uid`='$uid' AND `status`='1' AND `forSale`='0' LIMIT $startResult,$limit");
						if($deleteSuccess) echo $deleteSuccess;
						if(mysql_num_rows($arrayData) > 0)
						{
							if($successMessage) 
							{
								echo $successMessage; 
							}
							if($warningMessage)
							{
								echo $warningMessage;
							}
							?>
							<div class="table-responsive">
								<table class="table table-striped">
									<thead>
										<tr>
											<th>#</th>
											<?php if(isRTLLayout())
											{
												?>
												<th class="text-right"><?php echo $language['website'] ?></th>
												<th class="text-right"><?php echo $language['price'] ?></th>
												<th class="text-right"><?php echo $language['category'] ?></th>
												<th class="text-right"><?php echo $language['action'] ?></th>
												<?php
											}
											else
											{
												?>
												<th><?php echo $language['website'] ?></th>
												<th><?php echo $language['price'] ?></th>
												<th><?php echo $language['category'] ?></th>
												<th><?php echo $language['action'] ?></th>
												<?php
											}
											?>
										
										</tr>
									</thead>
									<tbody>
										<?php
										while($row = mysql_fetch_array($arrayData))
										{
											$i++;
											?>
											<tr>
												<th scope="row"><?php echo $i ?></th>
												<td>
													<a target="_blank" href="<?php echo rootPath() ?>/<?php echo $row['url'] ?>.html"><?php echo $row['url'] ?><a>
												</td>
												<td>$ <?php echo $row['price'] ?></td>
												<td><?php echo categoryNameById($row['cid']) ?></td>
												<td>
													<?php 
													if($row['status'] == '1')
													{
														?>
														<a data-toggle="tooltip" data-placement="top" title="" data-original-title="<?php echo $language['verified'] ?>" class="btn btn-sm btn-primary btn-edit"><i class="fa fa-check-square"></i></a>
														<?php
													}
													if($row['forSale'] == '0')
													{
														?>
														<a href="<?php echo rootPath() ?>/userWebsites?page=<?php echo $currentPage ?>&unblock=<?php echo $row['url'] ?>" data-toggle="tooltip" data-placement="top" title="" data-original-title="<?php echo $language['not_available_for_sale'] ?>" class="btn btn-sm btn-danger btn-edit"><i class="fa fa-times"></i></a>
														<?php
													}
													?>
													<a href="#delete-<?php echo $row['id'] ?>" data-toggle="modal" title="<?php echo $language['delete_from_sale'] ?>" class="btn btn-sm btn-danger btn-trash"><i class="fa fa-trash"></i></a>
													
													<a href="<?php echo rootPath() ?>/editWebsite.php?uid=<?php echo $row['uid'] ?>&sid=<?php echo $row['id'] ?>" data-toggle="tooltip" data-placement="top" title="" data-original-title="<?php echo $language['edit_website'] ?>" class="btn btn-sm btn-info btn-edit"><i class="fa fa-pencil"></i></a>
													
													<div class="modal fade in modal-form" id="delete-<?php echo $row['id'] ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="false">
													<div class="modal-dialog">
														<div class="modal-content shadow-1">
															<div class="modal-header primary-bg-color">
																<button type="button" class="close" data-dismiss="modal" aria-label="Close"><i class="fa fa-close"></i></button>
																<h4 class="modal-title" id="myModalLabel"><?php echo $language['delete_website']?></h4>
															</div>
															<div class="modal-body">
																<div class="row">
																	<div class="col-xs-12" style="text-align:center; padding:10px 0">     
																		<?php echo $language['delete_confirm'] ?>
																	</div>
																</div> 
															</div>
															<div class="modal-footer">
																<a href="<?php echo rootPath() ?>/userWebsites?page=<?php echo $currentPage ?>&delete=<?php echo $row['url'] ?>" class="btn-success btn btn-md"><?php echo $language['delete'] ?></a>
																<button type="button" class="btn-primary btn btn-md" data-dismiss="modal"><?php echo $language['close'] ?></button>
															</div>
														</div><!-- /.modal-content -->
													</div><!-- /.modal-dialog -->
													</div><!-- /.modal -->
												</td>
											</tr>
											<?php
										}
										?>
									</tbody>
								</table>
							</div>
							<?php
						}
						else 
						{ 
							?>
							<div class="bgc-fff shadow-1 property-listing web-lists-error" style="height: 570px;">
								<span class="error" style="margin-top: 30vh;">
									<?php echo $language['currently_no_website_added'] ?>
								</span>
							</div>
							<?php 
						} 
						?>
						<div class="clearfix"></div>
						<?php genPagination($currentPage,$lastPage,$prevPage,$nextPage,$slug,$language); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<?php include 'includes/footer.php'; ?>