<?php
if(!isset($_SESSION)) session_start();

require "config/config.php";

require "includes/functions.php";

include "includes/language.php";

include "includes/header.php";
?>

	<title><?php echo($language['404_page_not_found']); ?></title>
	<meta name="description" content="<?php echo($language['404_meta_description']); ?>">
	
<?php
include "includes/header_under.php";
?>

<div class="clearfix"></div>
	<div class="container">
		<div class="panel panel-default notfound-panel">
			<div class="panel-body">
				<h1 class="page-title">
					<p>
						<span class="fa fa-exclamation-triangle"></span> <?php echo $language['oops'];?>
					</p>
				</h1>
				<h1 class="page-info">
					<p>
						<?php echo $language['404_page_not_found'];?>
					</p>
				</h1>
				<div class="notfound-btns">
					<button class="btn btn-md btn-primary" type="button" onclick="window.location='<?php echo rootpath()?>/';">
						<li class="fa fa-home"></li> <span class="visible-xs"><?php echo $language['back_to_home'];?></span><span class="hidden-xs"><?php echo $language['take_me_home'];?></span>
					</button>
					<button class="btn btn-md btn-info" type="button" onclick="window.location='<?php echo rootpath()?>/contact';">
						<li class="fa fa-envelope"></li> <span class="visible-xs"><?php echo $language['contact'];?></span><span class="hidden-xs"><?php echo $language['contact_us'];?></span>
					</button>
				</div>
			</div>
		</div>
	</div>
<?php
include "includes/footer.php";
?>