<?php
if(!isset($_SESSION)) session_start();
 
require "config/config.php";

require "includes/functions.php";

if(!isset($_SESSION['useRName']) || !isset($_SESSION['EmAIl']) || !isset($_SESSION['uid']))
{
	header('Location: '.rootPath());
}

include 'includes/header.php';

$metaInfo = getMetaInfo();
?>

<title><?php echo($language['add_new_website']); ?></title>
<meta name="description" content="<?php echo($metaInfo['description']); ?>"/>
<meta name="keywords" content="<?php echo($metaInfo['metaTags']); ?>"/>
<meta property="og:title" content="<?php echo($metaInfo['title']); ?>"/>
<meta property="og:type" content="website"/>
<meta property="og:url" content="<?php echo(rootPath()); ?>"/>
<meta property="og:image" content="<?php echo(rootPath()); ?>/static/images/cover.jpg?<?php echo(time()); ?>"/>
<meta property="og:description" content="<?php echo($metaInfo['description']); ?>"/>
	
<?php
include 'includes/header_under.php';
?>

<div class="container">
   <div class="side-menu">
		<div class="mypage theme-card shadow-1 box">
			<?php include "includes/userHeader.php" ?>
			<div class="row">
				<?php include "includes/userSidebar.php" ?>  
				<div class="col-sm-9">
                    <div class="admin-content" id="home">
						<h4 class="primary-text-color"><i class="fa fa-plus"></i> <?php echo $language['add_new_website'] ?></h4>
						<small class="secondary-text-color <?php echo (isRTLLayout() ? 'pull-right' : 'pull-left')?>"><em><?php echo $language['add_new_website_for_sale'] ?></em></small>
						<div class="clearfix"></div>
						<div class="sMsg"></div>
						<div class="msg-bg">
							<div class="col-lg-6 col-lg-offset-3 col-md-6 col-md-offset-3 col-sm-6 col-sm-offset-3 msg">
								<div class="panel panel default">
									<div class="panel-heading header_of_table">
										<span class="headerOfTableText"></span>
										<span class="float-right">
											<span class="three-quarters">
												<?php echo $language['loading'] ?>
											</span>
										</span>
									</div>
									<div class="panel-body captcha-body">
										<div class="progress progress-sh progress-striped active">
											<div id="progress_bar" class="progress-bar progress-bar-info progress-percentage">
											</div>
										</div>
										<div class="calculation-progress">
											<span class="msg-m">
											<?php echo($language['statistics']); ?>
											</span>
										</div>
									</div>
								</div>
							</div>
						</div>
						<form role="form" method="post">
                            <div class="form-group">
                                <input type="text" name="url" id="d_name" class="form-control input-lg" placeholder="<?php echo $language['enter_url'] ?>"  value="<?php echo $url?>"/>
                            </div>
							<div class="form-group">
                                <select name="cid" id="catId" class="form-control">
								<?php
								if(isset($_POST['cid']))
								{
									$cid=$_POST['cid'];
									$query=mysqlQuery("SELECT * FROM `categories` WHERE id!='$cid' AND `status`='1' ORDER BY displayOrder");
									?>
									<option value="<?php echo $cid?>"><?php echo categoryNameById($cid)?></option><?php
									while($fetch=mysql_fetch_array($query))
									{
										?>
										<option value="<?php echo $fetch['id']?>"><?php echo $fetch['name']?></option>
										<?php 
									}
								}
								else 
								{
									$query=mysqlQuery("SELECT * FROM `categories` WHERE `status`='1' ORDER BY displayOrder");
									while($fetch=mysql_fetch_array($query))
									{
										?>
										<option value="<?php echo $fetch['id']?>"><?php echo $fetch['name']?></option>
										<?php 
									}
								}
								?>
								</select>
                            </div>
                            <hr>
                            <div class="form-group">
                                <button type="button" onclick="calculate_stats()" class="type btn btn-primary btn-md addWebsite">
									<i class="fa fa-plus"></i> <?php echo $language['add'] ?>
								</button>
								<button type="button" style="display:none" class="type btn btn-primary btn-md verifyWebsite">
									<i class="fa fa-check"></i> <?php echo $language['verify_this_website'] ?>
								</button>
                            </div>
                            <br>
                        </form>
					</div>
				</div>
			</div>
		</div>
   </div>
</div>
<?php include 'includes/footer.php'; ?>