<?php
include "includes/header.php";

$error = false;

function addLink($title, $url,$status, $showIn, $newTab ,$display_order) {

	mysqlQuery("INSERT INTO links(title,status,showIn,newTab,displayOrder) VALUES('$title','$status','$showIn','$newTab','$display_order')");
	
	$lid = mysql_insert_id();
	
	$languageData = mysqlQuery("SELECT * FROM `languages`");
	
	while($row = mysql_fetch_array($languageData))
	{
		$language = $row['languageName'];
		
		mysqlQuery("INSERT INTO `linksContent` (lid, language ,title, url) VALUES ('$lid' ,'$language', '$title' ,'$url')");
	}
}
$csrfVariable = 'csrf_' . basename($_SERVER['PHP_SELF']);

if (isset($_POST["submit"])) 
{
	if($_SESSION[$csrfVariable] != $_POST['csrf'])
	{
        $error = true;
	}

	$title = mres(trim($_POST["title"]));
	
	if($title == "")
	{
		$error = true;
		
		$titleError = "<span class='label label-danger'>Should Not be Empty</span>";
	}
	
	$url = mres(trim($_POST["url"]));
	
	if(!valid_url($url))
	{
		$error = true;
		
		$urlError = "<span class='label label-danger'>Invalid URL</span>";
	}

	$status = $_POST["status"];
	
	$showIn = $_POST["showIn"];
	
	$newTab = $_POST["newTab"];

	$display_order = getDisplayOrder();
	
	if (!$error)
	{
		addLink($title, $url,$status, $showIn, $newTab ,$display_order);
	}
}

$key = sha1(microtime());

$_SESSION[$csrfVariable] = $key;

function getDisplayOrder() 
{
	$array = mysql_fetch_array(mysqlQuery("SELECT MAX(display_order) AS disp_order FROM links"));
	
	$total = $array["disp_order"];
	
	if($total>0)
	{
		$display_order = $total + 1;
	}
	else
	{
		$display_order = 1;
	}
	return $display_order;
	
}
?>
	
	<title>Add New Link: <?php echo(getMetaTitle()) ?></title>
	
	<?php include "includes/header_under.php"; ?>
	
				<li class="active"><i class="fa fa-link"></i> Add New Link</li>
			</ol>
		</div>
	</div>
	
<div class="row" id="main_row">
	<div class="col-lg-8">
		<?php if(isset($_POST['submit']) && !$error) { ?>
		
			<div class="alert alert-success alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button><i class="fa fa-check-square-o"></i> Link Added Successfully</div>
			
		<?php } ?>
		
		<form action="addLink.php" method="POST">
		
			<div class="form-group">
			
				<label>Title</label>
				<?php if(isset($_POST['title'])) { ?>
				
					<input class="form-control" maxlength="70" name="title" value="<?php echo($_POST['title']); ?>" required="required"/>
					
				<?php } else { ?>
				
					<input class="form-control" maxlength="70" name="title" placeholder="Enter Link Title"required="required" />
				
				<?php } 
				if($titleError) echo $titleError;
				?>
				
			</div>
			
			<div class="form-group">
			
				<label>URL</label>
				<?php if(isset($_POST['url'])) { ?>
				
				<input class="form-control" name="url" value="<?php echo($_POST['url']); ?>">
				
				<?php } else { ?>
				
				<input class="form-control" name="url" placeholder="Enter Link URL">
				
				<?php } 
				if($urlError) echo $urlError;
				?>
				
			</div>
			
			<div class="form-group">
			
				<label>Action</label>
				
				<div class="radio">
					<input  type="radio" name="status" value="1" checked><i class="fa fa-file-o"></i> Publish
				</div>
				
				<div class="radio">
					<input type="radio" name="status" value="0"><i class="fa fa-floppy-o"></i> Save
				</div>
				
			</div>
			
			
			<div class="form-group">
			
				<label>Show IN</label>
				
				<div class="radio">
					<input  type="radio" name="showIn" value="1" checked> Header
				</div>
				
				<div class="radio">
					<input type="radio" name="showIn" value="2"> Footer
				</div>
				
				<div class="radio">
					<input type="radio" name="showIn" value="0"> Both
				</div>
				
			</div>
			
			<div class="form-group">
			
				<label>New Tab</label>
				
				<div class="radio">
					<input  type="radio" name="newTab" value="1" checked> Yes
				</div>
				
				<div class="radio">
					<input type="radio" name="newTab" value="0"> No
				</div>
				
			</div>
			
			<input type="hidden" name="csrf" value="<?php echo $key; ?>" />
			<hr>
			<div class="form-group">
			
				<a href="links.php"><button type="button" class="btn btn-info"><i class="fa fa-caret-square-o-left"></i> Back</button></a>
				
				<button type="submit" name="submit" class="btn btn-success"><i class="fa fa-plus-square-o"></i> Add
				</button>
				
			</div>
			
		</form>
	</div>
</div>
<?php include 'includes/footer.php'; ?>