<?php
include "includes/header.php";

$error = false;

function addCategory($name, $permalink, $description, $keywords,$icon ,$displayOrder, $status) {

	mysqlQuery("INSERT INTO `categories`(`name`,`permalink`,`icon`,`displayOrder`,`status`) VALUES('$name','$permalink','$icon',$displayOrder,'$status')");

	$cid = mysql_insert_id();
	
	$languageData = mysqlQuery("SELECT * FROM `languages`");
	
	while($row = mysql_fetch_array($languageData))
	{
		$language = $row['languageName'];
		
		mysqlQuery("INSERT INTO `categoryLanguage` (cid, name , permalink, language,description,keywords) VALUES ('$cid' ,'$name','$permalink', '$language','$description','$keywords')");
	}
}
$csrfVariable = 'csrf_' . basename($_SERVER['PHP_SELF']);

if (isset($_POST["submit"])) {

	if($_SESSION[$csrfVariable] != $_POST['csrf'])
        $error = true;

	$name = mres(trim($_POST["name"]));
	if(categoryExists($name))
		$error1='Category already exists';
	$status = $_POST["status"];
	
	if (isset($_POST["permalink"]) && trim($_POST["permalink"]) != "")
		$permalink = genCategoryPermalink($_POST["permalink"]);
	else
		$permalink = genCategoryPermalink($_POST["name"]);
		
	$description=strip_tags($_POST['description']);
	
	if(strlen($description) <1)
		$error2='feild must not be empty';
	if (strlen($description) > 170)
		$error2='description max length is 170 char';
	
	$keywords=trim($_POST['keywords']);
	
	if($keywords=="")
		$error3='feild must not be empty';
	
	$order = mysql_fetch_array(mysqlQuery("SELECT MAX(displayOrder) AS `disp` FROM `categories`"));
	
	$displayOrder = $order["disp"];
	
	$displayOrder=$displayOrder+1;
	
	$icon = $_POST['icon'];
		
	if ($error == "" && $error1=="" && $error2=="" && $error3=="")
	{
		addCategory($name, $permalink, $description, $keywords, $icon,$displayOrder, $status);
	}
	
}

$key = sha1(microtime());

$_SESSION[$csrfVariable] = $key;
?>
	
	<title>Add New Category: <?php echo(getMetaTitle()) ?></title>
	<link rel="stylesheet" type="text/css" href="<?php echo(rootpath()); ?>/admin/style/css/jquery.tagsinput.css"/>
	<link rel="stylesheet" type="text/css" href="<?php echo(rootpath()); ?>/admin/includes/iconPicker/bootstrap-iconpicker/css/bootstrap-iconpicker.min.css"/>
	<?php include "includes/header_under.php"; ?>
	
				<li class="active"><i class="fa fa-plus-square-o"></i> Add New Category</li>
			</ol>
		</div>
	</div>
	
<div class="row" id="main_row">
	<div class="col-lg-8">
		<?php if(isset($_POST['name']) && !$error && !$error1 && !$error2 && !$error3) { ?>
		
			<div class="alert alert-success alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button><i class="fa fa-check-square-o"></i> Category Added Successfully</div>
			
		<?php } ?>
		
		<form action="add_category.php" method="POST">
		
			<div class="form-group">
			
				<label>Name</label>
				<?php if(isset($_POST['name'])) { ?>
				
					<input class="form-control" maxlength="70" id="name" name="name" placeholder="Enter Category Name" value="<?php echo($_POST['name']); ?>" required="required"/>
					<?php
						if($error1!="")
							echo('<span class="label label-danger">' . $error1 . '</span>');
					} else { ?>
				
					<input class="form-control" maxlength="70" id="name" name="name" placeholder="Enter Category Name" required="required" />
				
				<?php } ?>
				
			</div>
			
			<div class="form-group">
			
				<label>Permalink</label>
				<?php if(isset($_POST['permalink'])) { ?>
				
				<input class="form-control" name="permalink" id="permalink" placeholder="Enter Category Permalink (Optional)" value="<?php echo($_POST['permalink']); ?>">
				
				<?php } else { ?>
				
				<input class="form-control" name="permalink" id="permalink" placeholder="Enter Category Permalink (Optional)">
				
				<?php } ?>
				
			</div>
			
			<div class="form-group">
				<label>Icon</label>
				<button type="button" name="icon" class="btn btn-default" data-icon="<?php echo (isset($_POST['submit']) ? $_POST['icon'] : '' ) ?>" data-iconset="fontawesome" role="iconpicker"></button>
			</div>
			
			
			
			<div class="form-group">
			
				<label>Meta Description</label>
				
				<?php if(isset($_POST['description'])) { ?>
				
				<textarea class="form-control" maxlength="170" placeholder="Enter Meta Description up to 170 Characters" style="width:100%;height:100px" rows="15" id="description"  name="description" ><?php echo($_POST['description']); ?></textarea>
					
				<?php
					if($error2!="")
						echo('<span class="label label-danger">' . $error2 . '</span>');
				} else { ?>
				
					<textarea class="form-control" maxlength="170" style="width:100%;height:100px" rows="15" id="description" name="description" placeholder="Enter Meta Description up to 170 Characters" ></textarea>
					
				<?php } ?>
				
			</div>
			
			<div class="form-group">
			
				<label>Meta Keywords</label>
				
				<?php if(isset($_POST['keywords'])){ ?>
				
					<textarea class="form-control" maxlength="60" style="width:100%;height:80px" rows="15" id="keywords" name="keywords" placeholder="Enter Max 6 Words Comma Separated up to 60 Characters"><?php echo($_POST['keywords']); ?></textarea>
					
				<?php
					if($error3!="")
						echo('<span class="label label-danger">' . $error3 . '</span>');
				} else { ?>
				
					<textarea class="form-control" maxlength="60" style="width:100%;height:80px" rows="15" id="keywords" name="keywords" placeholder="Enter Max 6 Words Comma Separated up to 60 Characters" ></textarea>
				
				<?php } ?>
				
			</div>
			
			<div class="form-group">
			
				<label>Action</label>
				
				<div class="radio">
					<input  type="radio" name="status" value="1" checked><i class="fa fa-file-o"></i> Publish
				</div>
				
				<div class="radio">
					<input type="radio" name="status" value="0"><i class="fa fa-floppy-o"></i> Save
				</div>
				
			</div>
			<input type="hidden" name="csrf" value="<?php echo $key; ?>" />
			<hr>
			<div class="form-group">
			
				<a href="categories.php"><button type="button" class="btn btn-info"><i class="fa fa-caret-square-o-left"></i> Back</button></a>
				
				<button type="submit" name="submit" class="btn btn-success"><i class="fa fa-plus-square-o"></i> Add
				</button>
				
			</div>
			
		</form>
	</div>
</div>
<?php include 'includes/footer.php'; ?>
<script type="text/javascript" src="<?php echo(rootpath()); ?>/admin/includes/iconPicker/bootstrap-iconpicker/js/iconset/iconset-fontawesome-4.2.0.min.js"></script>
<script type="text/javascript" src="<?php echo(rootpath()); ?>/admin/includes/iconPicker/bootstrap-iconpicker/js/bootstrap-iconpicker.min.js"></script>
<script type="text/javascript" src="<?php echo(rootpath()); ?>/admin/style/js/jquery.tagsinput.js"></script>
<script type="text/javascript">
	$(function() {$("#keywords").tagsInput({width:"auto"});});	
</script>
<?php if(isset($_POST['submit']) && !$error && !$error1 && !$error2 && !$error3){
	?>
	<script>
	$('#name').val('');
	$('#permalink').val('');
	$('#description').val('');
	$('#keywords').val('');
	</script>
	<?php
}?>