<?php
include "includes/header.php";

$error = false;

function addPage($permalink, $title, $content, $description, $keywords, $status, $display_order) {

	mysqlQuery("INSERT INTO pages(permalink,title,status,display_order) VALUES('$permalink','$title','$status','$display_order')");
	
	$pid = mysql_insert_id();
	
	$languageData = mysqlQuery("SELECT * FROM `languages`");
	
	while($row = mysql_fetch_array($languageData))
	{
		$language = $row['languageName'];
		
		mysqlQuery("INSERT INTO `pagesContent` (pid, language ,title, permalink, content,description,keywords) VALUES ('$pid' ,'$language', '$title' ,'$permalink', '$content','$description','$keywords')");
	}
}
$csrfVariable = 'csrf_' . basename($_SERVER['PHP_SELF']);

if (isset($_POST["submit"])) {

	if($_SESSION[$csrfVariable] != $_POST['csrf'])
        $error = true;

	$title = mres(trim($_POST["title"]));
	
	$content = mres(trim($_POST["content"]));
	
	$description = mres(trim($_POST["description"]));
	
	$keywords = mres(trim($_POST["keywords"]));
	
	$status = $_POST["status"];
	
	if (isset($_POST["permalink"]) && trim($_POST["permalink"]) != "")
		$permalink = gen_permalink($_POST["permalink"]);
	else
		$permalink = gen_permalink($_POST["title"]);
		
	$display_order = getDisplayOrder();
	
	if (strlen($title) > 70 || strlen($title) <1)
		$error = true;
		
	if ($error == "")
		addPage($permalink, $title, $content, $description, $keywords, $status, $display_order);
	
}

$key = sha1(microtime());

$_SESSION[$csrfVariable] = $key;

function getDisplayOrder() {

	$array = mysql_fetch_array(mysqlQuery("SELECT MAX(display_order) AS disp_order FROM pages"));
	
	$total = $array["disp_order"];
	
	if($total>0)
		$display_order = $total + 1;
	else
		$display_order = 1;
		
return $display_order;
	
}
?>
	
	<title>Add New Page: <?php echo(getMetaTitle()) ?></title>
	<link rel="stylesheet" type="text/css" href="<?php echo(rootpath()); ?>/admin/style/css/jquery.tagsinput.css"/>
	
	<?php include "includes/header_under.php"; ?>
	
				<li class="active"><i class="fa fa-plus-square-o"></i> Add New Page</li>
			</ol>
		</div>
	</div>
	
<div class="row" id="main_row">
	<div class="col-lg-8">
		<?php if(isset($_POST['title'])) { ?>
		
			<div class="alert alert-success alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button><i class="fa fa-check-square-o"></i> Page Added Successfully</div>
			
		<?php } ?>
		
		<form action="add_page.php" method="POST">
		
			<div class="form-group">
			
				<label>Title</label>
				<?php if(isset($_POST['title'])) { ?>
				
					<input class="form-control" maxlength="70" name="title" value="<?php echo($_POST['title']); ?>" required="required"/>
					
				<?php } else { ?>
				
					<input class="form-control" maxlength="70" name="title" placeholder="Enter Page Title"required="required" />
				
				<?php } ?>
				
			</div>
			
			<div class="form-group">
			
				<label>Permalink</label>
				<?php if(isset($_POST['permalink'])) { ?>
				
				<input class="form-control" name="permalink" value="<?php echo($_POST['permalink']); ?>">
				
				<?php } else { ?>
				
				<input class="form-control" name="permalink" placeholder="Enter Page Permalink (Optional)">
				
				<?php } ?>
				
			</div>
			
			<div class="form-group">
			
				<label>Content</label>
				
				<?php if(isset($_POST['content'])) { ?>
				
				<textarea class="form-control" style="width:100%;height:200px" rows="15" id="content" name="content"><?php echo($_POST['content']); ?></textarea>
				
				<?php } else { ?>
				
					<textarea class="form-control" style="width:100%;height:200px" rows="15" id="content" name="content" placeholder="Enter Page Content"></textarea>
				
				<?php } ?>
				
				<script src="<?php echo rootpath()?>/admin/style/js/nicEdit-latest.js" type="text/javascript"></script>
				
				<script type="text/javascript">
					nicEditors.editors.push(
					new nicEditor().panelInstance(
					document.getElementById('content')
					));
				</script>
				
			</div>
			
			<div class="form-group">
			
				<label>Meta Description</label>
				
				<?php if(isset($_POST['description'])) { ?>
				
					<textarea class="form-control" maxlength="160" style="width:100%;height:100px" rows="15" name="description" required><?php echo($_POST['description']); ?></textarea>
					
				<?php } else { ?>
				
					<textarea class="form-control" maxlength="160" style="width:100%;height:100px" rows="15" name="description" placeholder="Enter Meta Description up to 160 Characters" required></textarea>
					
				<?php } ?>
				
			</div>
			
			<div class="form-group">
			
				<label>Meta Keywords</label>
				
				<?php if(isset($_POST['keywords'])){ ?>
				
					<textarea class="form-control" maxlength="60" style="width:100%;height:80px" rows="15" id="keywords" name="keywords" required><?php echo($_POST['keywords']); ?></textarea>
					
				<?php } else { ?>
				
					<textarea class="form-control" maxlength="60" style="width:100%;height:80px" rows="15" id="keywords" name="keywords" placeholder="Enter Max 6 Words Comma Separated up to 60 Characters" required></textarea>
				
				<?php } ?>
				
			</div>
			
			<div class="form-group">
			
				<label>Action</label>
				
				<div class="radio">
					<input  type="radio" name="status" value="1" checked><i class="fa fa-file-o"></i> Publish
				</div>
				
				<div class="radio">
					<input type="radio" name="status" value="0"><i class="fa fa-floppy-o"></i> Save
				</div>
				
			</div>
			<input type="hidden" name="csrf" value="<?php echo $key; ?>" />
			<hr>
			<div class="form-group">
			
				<a href="pages.php"><button type="button" class="btn btn-info"><i class="fa fa-caret-square-o-left"></i> Back</button></a>
				
				<button type="submit" name="submit" class="btn btn-success"><i class="fa fa-plus-square-o"></i> Add
				</button>
				
			</div>
			
		</form>
	</div>
</div>
<?php include 'includes/footer.php'; ?>
<script type="text/javascript" src="<?php echo(rootpath()); ?>/admin/style/js/jquery.tagsinput.js"></script>
<script type="text/javascript">
	$(function() {$("#keywords").tagsInput({width:"auto"});});	
</script>