<?php
include "includes/header.php";

$error = false;

function addUser($userName, $email, $password,$status) {

mysqlQuery("INSERT INTO `users` (`userName`,`email`,`password`,`status`) VALUES('$userName','$email','".md5($password)."','$status')");
	
}
$csrfVariable = 'csrf_' . basename($_SERVER['PHP_SELF']);

if (isset($_POST["submit"])) {
	if($_SESSION[$csrfVariable] != $_POST['csrf'])
        $error = true;
	$userName = mres(trim($_POST["userName"]));
	$email = mres(trim($_POST["email"]));
	$password = mres(trim($_POST["password"]));
	$conPassword = mres(trim($_POST["conPassword"]));
	
	if($userName!="" && !is_alphaNum($userName))
		$error1='Invalid user name';
	else if(userNameExists($userName,$id))
		$error1='User name already exists';
	
	if(!checkEmail($email))
		$error2='Invalid email';
	else if(givenEmailExists($email,$id))
		$error2='Email already exists';
	
	if($password=="")
		$error3='Enter password';
	else if($password!="" && strlen($password) < 5)
		$error3='Minimum length is 5 char';
	else if($password !=$conPassword)
		$error4='Password does not match';
	$status = $_POST["status"];
		
	if ($error1 == "" && $error2=="" && $error3 == "" && $error4==""){
		AddUser($userName, $email, $password, $status);
	}
	
}

$key = sha1(microtime());

$_SESSION[$csrfVariable] = $key;
?>
	
	<title>Add User: <?php echo(getMetaTitle()) ?></title>
	
	<?php include "includes/header_under.php"; ?>
	
				<li class="active"><i class="fa fa-plus-square-o"></i> Add User</li>
			</ol>
		</div>
	</div>
	
<div class="row" id="main_row">
	<div class="col-lg-8">
		<?php if(isset($_POST['userName']) && $error1=="" && $error2 == "" && $error3=="" && $error4=="") { ?>
		
			<div class="alert alert-success alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button><i class="fa fa-check-squre-o"></i> User Updated Successfully</div>
			
		<?php }
		?>
		
		<form action="add_user.php" method="POST">
		
			<div class="form-group">
			
				<label>User Name</label>
				<?php if(isset($_POST['userName'])) { ?>
				
					<input class="form-control" maxlength="70" name="userName" value="<?php echo($_POST['userName']); ?>" required="required"/>
					<?php
						if($error1!="")
							echo('<span class="label label-danger">' . $error1 . '</span>');
				} else { ?>
				
					<input class="form-control" name="userName" placeholder="Enter User Name" required="required" />
				
				<?php } ?>
				
			</div>
			
			<div class="form-group">
			
				<label>Email</label>
				<?php if(isset($_POST['email'])) { ?>
				
					<input type="email" class="form-control"  name="email" value="<?php echo($_POST['email']); ?>" required="required"/>
					<?php
						if($error2!="")
							echo('<span class="label label-danger">' . $error2 . '</span>');
						 } else { ?>
					<input class="form-control"  name="email" placeholder="Enter Email" required="required" />
				
				<?php } ?>
				
			</div>
			
			<div class="form-group">
			
				<label>Password</label>
				<?php if(isset($_POST['password'])) { ?>
				
					<input class="form-control" type="password" name="password" value="<?php echo($_POST['password']); ?>" />
					<?php
						if($error3!="")
							echo('<span class="label label-danger">' . $error3 . '</span>');
					
				} else { ?>
				
					<input class="form-control" type="password" name="password" placeholder="Enter password"/>
				
				<?php } ?>
				
			</div>
			
			<div class="form-group">
			
				<label>Confirm Password</label>
				<?php if(isset($_POST['conPassword'])) { ?>
				
					<input class="form-control" type="password" name="conPassword" value="<?php echo($_POST['conPassword']); ?>" />
					<?php
						if($error4!="")
							echo('<span class="label label-danger">' . $error4 . '</span>');
					} else { ?>
				
					<input class="form-control" type="password" name="conPassword" placeholder="Enter Confirm Password" />
				
				<?php } ?>
				
			</div>
			
			<div class="form-group">
			
				<label>Action</label>
				<?php if(isset($_POST['submit'])){ ?>
				<div class="radio">
					<input  type="radio" name="status" value="0" <?php echo ($status==0 ? 'checked' : '')?>> Block
				</div>
				
				<div class="radio">
					<input type="radio" name="status" value="1" <?php echo ($status==1 ? 'checked' : '')?>> Unblock
				</div>
				<?php
				}
				else
				{ ?>
				<div class="radio">
					<input type="radio" name="status" value="0"> Block
				</div>
				
				<div class="radio">
					<input  type="radio" name="status" value="1" checked> UnBlock
				</div>
				<?php
				}
				?>
			</div>
			<input type="hidden" name="csrf" value="<?php echo $key; ?>" />
			<hr>
			<div class="form-group">
			
				<a href="categories.php"><button type="button" class="btn btn-info"><i class="fa fa-caret-square-o-left"></i> Back</button></a>
				
				<button type="submit" name="submit" class="btn btn-success"><i class="fa fa-plus-square-o"></i> Add
				</button>
				
			</div>
			
		</form>
	</div>
</div>
<?php include 'includes/footer.php'; ?>