<?php
include "includes/header.php";

$error = false;

$csrfVariable = 'csrf_' . basename($_SERVER['PHP_SELF']);

function updateApiSettings($mozAccessID,$mozSecretKey,$speedScoreKey,$facebookID,$facebookSecret) {

	$rows = mysql_num_rows(mysqlQuery("SELECT * FROM `apiSettings`"));
	
	if($rows>0) {

	mysqlQuery("UPDATE `apiSettings` SET `mozAccessID`='$mozAccessID',`mozSecretKey`='$mozSecretKey',`speedScoreKey`='$speedScoreKey',facebookID = '$facebookID', `facebookSecret`='$facebookSecret'");
	
	} else {
	
	mysqlQuery("INSERT INTO `apiSettings`(mozAccessID,mozSecretKey,speedScoreKey, facebookID, facebookSecret) VALUES('$mozAccessID','$mozSecretKey','$speedScoreKey','$facebookID','$facebookSecret')");
	
	}
	
}

if(isset($_POST['submit'])) {

	if($_SESSION[$csrfVariable] != $_POST['csrf'])
        $error = true;

	$mozAccessID = mres(trim($_POST["mozAccessID"]));
	
	$mozSecretKey = mres(trim($_POST["mozSecretKey"]));
	
	$speedScoreKey = mres(trim($_POST["speedScore"]));
	
	$facebookID = mres(trim($_POST["facebookID"]));
	
	$facebookSecret = mres(trim($_POST["facebookSecret"]));
	
	if(!$error)
	updateApiSettings($mozAccessID,$mozSecretKey,$speedScoreKey,$facebookID,$facebookSecret);
}

$key = sha1(microtime());

$_SESSION[$csrfVariable] = $key;
?>

	<title>API Settings: <?php echo(getMetaTitle()) ?></title>
	
<?php include "includes/header_under.php"; ?>

			<li class="active"><i class="fa fa-cogs"></i> API Settings</li>
		</ol>
	</div>
</div>

<div class="row" id="main_row">
	<div class="col-lg-8">
	
		<span class="label label-danger">Note: Domain Authority Stats Will Not Work Without Free Moz API</span><br/><br/>
		
		<form role="form" action="apis.php" method="POST">
			<?php if(isset($_POST['mozAccessID'])) { ?>
			
				<div class="alert alert-success alert-dismissable">
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					<i class="fa fa-check-square-o"></i> API Settings Updated successfully
				</div>
				<div class="form-group">
					<label>MOZ AccessID</label>
					<input type="text" class="form-control" name="mozAccessID" value="<?php echo $_POST['mozAccessID']; ?>" placeholder="Enter MOZ Access ID"  />
				</div>
				<div class="form-group">
					<label>MOZ Secret Key</label>
					<input type="password" class="form-control" name="mozSecretKey" value="<?php echo $_POST['mozSecretKey']; ?>" placeholder="Enter MOZ Secret Key" />
				</div>
				<div class="form-group">
					<label>Get Free Moz API Key From Here <a href="https://moz.com/community/join?redirect=/products/api/keys">Moz Analytics or free community account</a></label>
					
				</div>
				<div class="form-group">
					<label>Speed Score Key</label>
					<input type="text" class="form-control" name="speedScore" value="<?php echo $_POST['speedScore']; ?>" placeholder="Enter Speed Score Key" />
				</div>
				<div class="form-group">
					<label>Get Free Speed Score Key From Here <a href="https://console.developers.google.com">Speed Score</a></label>
				</div>
				<div class="form-group">
					<label>Facebook Client ID</label>
					<input type="text" class="form-control" name="facebookID" placeholder="Enter facebook client ID" value="<?php echo($_POST['facebookID']); ?>" />
				</div>
				<div class="form-group">
					<label>Facebook Client Secret</label>
					<input type="text" class="form-control" name="facebookSecret" placeholder="Enter facebook client secret" value="<?php echo($_POST['facebookSecret']); ?>" />
				</div>
				<?php } else {
				
				$array = mysql_fetch_array(mysqlQuery("SELECT * FROM `apiSettings`"));   
				
				$mozAccessID = $array['mozAccessID'];
				
				$mozSecretKey = $array['mozSecretKey'];
				
				$speedScoreKey = $array['speedScoreKey'];
				
				$facebookID = $array['facebookID'];
				
				$facebookSecret = $array['facebookSecret'];
				
				?>
				<div class="form-group">
					<label>MOZ AccessID</label>
					<input type="text" class="form-control" name="mozAccessID" value="<?php echo($mozAccessID); ?>" placeholder="Enter MOZ Access ID" />
				</div>
				<div class="form-group">
					<label>MOZ Secret Key</label>
					<input type="password" class="form-control" name="mozSecretKey" value="<?php echo($mozSecretKey); ?>" placeholder="Enter MOZ Secret Key" />
				</div>
				<div class="form-group">
					<label>Get Free Moz API Key From Here <a href="https://moz.com/community/join?redirect=/products/api/keys" target="_blank">Moz Analytics or free community account</a></label>
				</div>
				<div class="form-group">
					<label>Speed Score Key</label>
					<input type="text" class="form-control" name="speedScore" placeholder="Enter Speed Score Key" value="<?php echo($speedScoreKey); ?>" />
				</div>
				<div class="form-group">
					<label>Get Free Speed Score Key From Here <a href="https://console.developers.google.com">Speed Score</a></label>
				</div>
				<div class="form-group">
					<label>Facebook Client ID</label>
					<input type="text" class="form-control" name="facebookID" placeholder="Enter facebook client ID" value="<?php echo($facebookID); ?>" />
				</div>
				<div class="form-group">
					<label>Facebook Client Secret</label>
					<input type="text" class="form-control" name="facebookSecret" placeholder="Enter facebook client secret" value="<?php echo($facebookSecret); ?>" />
				</div>
			<?php } ?>
			<input type="hidden" name="csrf" value="<?php echo $key; ?>" />
			<hr>
			<div class="form-group">
				<button type="submit" name="submit" class="btn btn-success"><i class="fa fa-check-square-o"></i> Update</button>
			</div>
		</form>
	</div>	
</div>
<?php include "includes/footer.php"; ?>