<?php
include "includes/header.php";

$error = false;

$csrfVariable = 'csrf_' . basename($_SERVER['PHP_SELF']);

if(isset($_POST["submit"])) {

	if($_SESSION[$csrfVariable] != $_POST['csrf'])
        $error = true;

	$words = xssClean(mres(trim($_POST["words"])));
	
	updateBadwords($words);
	
} else {

	$array = mysql_fetch_array(mysqlQuery("SELECT `words` FROM `badWords`"));
	$words = $array['words'];

}

function updateBadwords($words) {

	$rows = mysql_num_rows(mysqlQuery("SELECT * FROM `badWords`"));
	
	if($rows>0) {

	mysqlQuery("UPDATE `badWords` SET `words`='$words'");

	} else {
	
	mysqlQuery("INSERT INTO (badWords) VALUES('$words')");
	
	}
}

$key = sha1(microtime());

$_SESSION[$csrfVariable] = $key;
?>
	<title>Edit Bad Words: <?php echo(getMetaTitle()) ?></title>
	<link rel="stylesheet" type="text/css" href="<?php echo(rootpath()); ?>/admin/style/css/jquery.tagsinput.css"/>

<?php include "includes/header_under.php"; ?>
<li class="active"><i class="fa fa-filter"></i> Bad Words Filter</li>
			</ol>
		</div>
	</div>
<div class="row" id="main_row">
	<div class="col-lg-8">
		<form action="badwords.php" method="POST">
			<div class="form-group">
				<?php if(isset($_POST['words'])) { ?>
				
				<div class="alert alert-success alert-dismissable">
					<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
					<i class="fa fa-check-square-o"></i> 
					Bad Words Updated Successfully
				</div>
				
				<?php } ?>
				<label>Enter Comma Separated Bad Words</label>
				<textarea id="badwords" type="text" rows="8" name="words" class="form-control tags">
				<?php echo($words); ?>
				</textarea>
			</div>
			<input type="hidden" name="csrf" value="<?php echo $key; ?>" />
			<hr>
			<div class="form-group">
				<button type="submit" name="submit" class="btn btn-success"><i class="fa fa-pencil"></i> Update</button> 
			</div>
		</form>
	</div>
</div>
<?php include 'includes/footer.php'; ?>
<script type="text/javascript" src="<?php echo(rootpath()); ?>/admin/style/js/jquery.tagsinput.js"></script>
<script type="text/javascript">
	$(function() {$("#badwords").tagsInput({width:"auto"});});	
</script>