<?php
include "includes/header.php";

$csrfVariable = 'csrf_' . basename($_SERVER['PHP_SELF']);

if (isset($_POST['submit'])) {
  
	if($_SESSION[$csrfVariable] != $_POST['csrf'])
        $error = true;

	$captchaContactStatus = ($_POST['captchaContactStatus'] == 'on') ? '1' : '0';
	
	$captchaAdminLoginStatus = ($_POST['captchaAdminLoginStatus'] == 'on') ? '1' : '0';
	
	$captchaStatsStatus = ($_POST['captchaStatsStatus'] == 'on') ? '1' : '0';
	
	function updateCaptchaSettings($captchaStatsStatus,$captchaContactStatus, $captchaAdminLoginStatus) {
	
		$rows = mysql_num_rows(mysqlQuery("SELECT * FROM `captchaSettings`"));
	
		if($rows>0) {
	
		mysqlQuery("UPDATE `captchaSettings` SET captchaStatsStatus='$captchaStatsStatus',captchaContactStatus='$captchaContactStatus',captchaAdminLoginStatus='$captchaAdminLoginStatus'");
		
		} else {
		
		mysqlQuery("INSERT INTO `captchaSettings`(captchaStatsStatus,captchaContactStatus,captchaAdminLoginStatus) VALUES('$captchaStatsStatus','$captchaContactStatus','$captchaAdminLoginStatus')");
		
		}
		
	}
	
	updateCaptchaSettings($captchaStatsStatus, $captchaContactStatus, $captchaAdminLoginStatus);
	
}

$key = sha1(microtime());

$_SESSION[$csrfVariable] = $key;
?>

	<title>Captcha Settings: <?php echo (getMetaTitle()) ?></title>
	
<?php include "includes/header_under.php"; ?>

				<li class="active"><i class="fa fa-cog"></i> Captcha Settings</li>
			</ol>
		</div>
	</div>
<div class="row" id="main_row">
	<div class="col-lg-8">
		<?php if (isset($_POST['submit'])) {
		
		if($error != "") { ?>
		
			<div class="alert alert-danger alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button><i class="fa fa-times-circle"></i> <?php echo ($error); ?></div>
			
		<?php } else { ?>
		
			<div class="alert alert-success alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button><i class="fa fa-check-square-o"></i> Captcha Settings Updated Successfully</div>
		
		<?php } } ?>
		<form role="form" action="captcha.php" method="POST">
			<div class="form-group">
				<label>Captcha On Stats</label>
				<div class="switch res-switch">
					<?php if (captchaStatsStatus()) { ?>
					
						<input type="checkbox" name="captchaStatsStatus" checked>
						<label><i></i></label>
						
					<?php } else { ?>
					
						<input type="checkbox" name="captchaStatsStatus">
						<label><i></i></label>
						
					<?php } ?>
				</div>
			</div>
			<div class="form-group">
				<label>Captcha On Contact Form</label>
				<div class="switch res-switch">
					<?php if (captchaContactStatus()) { ?>
					
						<input type="checkbox" name="captchaContactStatus" checked>
						<label><i></i></label>
						
					<?php } else { ?>
					
						<input type="checkbox" name="captchaContactStatus">
						<label><i></i></label>
						
					<?php } ?>
				</div>
			</div>
			<div class="form-group">
				<label>Captcha On Admin Login</label>
				<div class="switch res-switch">
					<?php if (captchaAdminLoginStatus()) { ?>
					
						<input type="checkbox" name="captchaAdminLoginStatus" checked>
						<label><i></i></label>
					
					<?php } else { ?>
					
						<input type="checkbox" name="captchaAdminLoginStatus">
						<label><i></i></label>
					
					<?php } ?>
				</div>
			</div>
			<input type="hidden" name="csrf" value="<?php echo $key; ?>" />
			<hr>
			<div class="form-group">
				<button type="submit" name="submit" class="btn btn-success"><i class="fa fa-pencil"></i> Update</button>
			</div>
		</form>
	</div>
</div>
<?php include "includes/footer.php"; ?>