<?php
include "includes/header.php";

$error = false;

$csrfVariable = 'csrf_' . basename($_SERVER['PHP_SELF']);

function updateContentSettings($updateInterval,$recentWebStatus,$topWebStatus,$marketplaceStatus,$userAccountStatus,$sidebarWebStatus,$topWebCount,$recentWebCount,$sideWebCount,$historyWebCount,$favoriteWebCount, $marketWebCount) {

	$rows = mysql_num_rows(mysqlQuery("SELECT * FROM `contentSettings`"));
	
	if($rows>0) {
	
	mysqlQuery("UPDATE `contentSettings` SET `updateInterval`='$updateInterval',`recentWebStatus`='$recentWebStatus',recentWebCount='$recentWebCount',topWebStatus='$topWebStatus',marketplaceStatus='$marketplaceStatus',userAccountStatus='$userAccountStatus',topWebCount='$topWebCount',sideWebStatus='$sidebarWebStatus',sideWebCount='$sideWebCount',historyWebCount='$historyWebCount',favoriteWebCount='$favoriteWebCount',marketWebCount='$marketWebCount'");
	
	} else {
	
	mysqlQuery("INSERT INTO `contentSettings`(updateInterval,recentWebStatus,recentWebCount,topWebStatus,marketplaceStatus,userAccountStatus,topWebCount,sideWebStatus,sideWebCount,historyWebCount,favoriteWebCount,marketWebCount) VALUES('$updateInterval','$recentWebStatus','$recentWebCount','$topWebStatus','$marketplaceStatus','$userAccountStatus','$topWebCount','$sidebarWebStatus','$sideWebCount','$historyWebCount','$favoriteWebCount','$marketWebCount')");
	
	}

}

if (isset($_POST['submit'])) {

	if($_SESSION[$csrfVariable] != $_POST['csrf'])
        $error = true;
	
	$updateInterval=mres($_POST['updateInterval']);
	
	$recentWebStatus = ($_POST['recentWebStatus'] == 'on') ? 1 : 0;
	
	$topWebStatus = ($_POST['topWebStatus'] == 'on') ? 1 : 0;
	
	$marketplaceStatus = ($_POST['marketplaceStatus'] == 'on') ? 1 : 0;
	
	$userAccountStatus = ($_POST['userAccountStatus'] == 'on') ? 1 : 0;
	
	$sidebarWebStatus = ($_POST['sidebarWebStatus'] == 'on') ? 1 : 0;
	
	$topWebCount = mres($_POST['topWebCount']);
	
	$sideWebCount = mres($_POST['sideWebCount']);
	
	$recentWebCount = mres($_POST['recentWebCount']);
	
	$historyWebCount = mres($_POST['historyWebCount']);
	
	$favoriteWebCount = mres($_POST['favoriteWebCount']);
	
	$marketWebCount = mres($_POST['marketWebCount']);
	
	if(!is_numeric($topWebCount) || !is_numeric($recentWebCount) || !is_numeric($sideWebCount) || !is_numeric($historyWebCount) || !is_numeric($favoriteWebCount) || !is_numeric($marketWebCount))
	{
		$error=true;
	}
	
	if(!$error)
	updateContentSettings($updateInterval,$recentWebStatus,$topWebStatus,$marketplaceStatus,$userAccountStatus,$sidebarWebStatus,$topWebCount,$recentWebCount,$sideWebCount,$historyWebCount,$favoriteWebCount, $marketWebCount);

}

$query = mysqlQuery("SELECT * FROM `contentSettings`");

$array = mysql_fetch_array($query);

$updateInterval = $array['updateInterval'];

$recentWebStatus = $array['recentWebStatus'];

$topWebStatus = $array['topWebStatus'];

$marketplaceStatus = $array['marketplaceStatus'];

$userAccountStatus = $array['userAccountStatus'];

$sidebarWebStatus = $array["sideWebStatus"];

$topWebCount = $array["topWebCount"];

$recentWebCount = $array["recentWebCount"];

$sideWebCount = $array["sideWebCount"];

$historyWebCount = $array["historyWebCount"];

$favoriteWebCount = $array["favoriteWebCount"];

$marketWebCount = $array["marketWebCount"];

$key = sha1(microtime());

$_SESSION[$csrfVariable] = $key;
?>

	<title>Content Setting: <?php echo(getMetaTitle()) ?></title>
	
<?php include "includes/header_under.php"; ?>

				<li class="active"><i class="fa fa-wrench"></i> Content Setting</li>
			</ol>
		</div>
	</div>
<div class="row" id="main_row">
	<div class="col-lg-8"> 
		<?php if (isset($_POST['submit'])) {
		
		if($error) { ?>
		
			<div class="alert alert-danger alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button><i class="fa fa-times-circle"></i> Invalid Data Can't Be Updated</div>
			
		<?php } else { ?>
		
			<div class="alert alert-success alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button><i class="fa fa-check-square-o"></i> Content Settings Updated Successfully</div>
			
		<?php } } ?>
		
		<form role="form" action="content.php" method="post">
			<div class="form-group">
				<label>Set Update Stats Interval</label>
				<input type="number" class="form-control" value="<?php echo($updateInterval); ?>" name="updateInterval" placeholder="Enter Days" required/>
			</div>
			<div class="form-group">
				<label>Recent Websites</label>
				<div class="switch res-switch">
					<?php if ($recentWebStatus) { ?>
					
						<input type="checkbox" name="recentWebStatus" checked>
						<label><i></i></label>
					
					<?php } else { ?>
					
						<input type="checkbox" name="recentWebStatus">
						<label><i></i></label>
					
					<?php } ?>
				</div>
					<label>Recent Websites Per Page</label>
					<input type="number" class="form-control" value="<?php echo($recentWebCount); ?>" name="recentWebCount" placeholder="Enter Count" required/>
			</div>
			<div class="form-group">
				<label>Top Websites</label>
				<div class="switch res-switch">
					<?php if ($topWebStatus) { ?>
					
						<input type="checkbox" name="topWebStatus" checked>
						<label><i></i></label>
					
					<?php } else { ?>
					
						<input type="checkbox" name="topWebStatus">
						<label><i></i></label>
					
					<?php } ?>
				</div>
				<label>Top Websites Per Page</label>
				<input type="number" class="form-control" value="<?php echo($topWebCount); ?>" name="topWebCount" placeholder="Enter Count" required/>
			</div>
			<div class="form-group">
				<label>Sidebar Websites</label>
				<div class="switch res-switch">
					<?php if ($sidebarWebStatus) { ?>
					
						<input type="checkbox" name="sidebarWebStatus" checked>
						<label><i></i></label>
					
					<?php } else { ?>
					
						<input type="checkbox" name="sidebarWebStatus">
						<label><i></i></label>
					
					<?php } ?>
				</div>
				<label>Sidebar Websites Per Page</label>
				<input type="number" class="form-control" value="<?php echo($sideWebCount); ?>" name="sideWebCount" placeholder="Enter Count" required/>
			</div>
			<div class="form-group">
				<label>Marketplace</label>
				<div class="switch res-switch">
					<?php if ($marketplaceStatus) { ?>
					
						<input type="checkbox" name="marketplaceStatus" checked>
						<label><i></i></label>
					
					<?php } else { ?>
					
						<input type="checkbox" name="marketplaceStatus">
						<label><i></i></label>
					
					<?php } ?>
				</div>
			</div>
			<div class="form-group">
				<label>User Accounts</label>
				<div class="switch res-switch">
					<?php if ($userAccountStatus) { ?>
					
						<input type="checkbox" name="userAccountStatus" checked>
						<label><i></i></label>
					
					<?php } else { ?>
					
						<input type="checkbox" name="userAccountStatus">
						<label><i></i></label>
					
					<?php } ?>
				</div>
			</div>
			<div class="form-group">
				<label>History Websites Per Page</label>
				<input type="number" class="form-control" value="<?php echo($historyWebCount); ?>" name="historyWebCount" placeholder="Enter Count" required/>
			</div>
			<div class="form-group">
				<label>Bookmark Websites Per Page</label>
				<input type="number" class="form-control" value="<?php echo($favoriteWebCount); ?>" name="favoriteWebCount" placeholder="Enter Count" required/>
			</div>
			<div class="form-group">
				<label>Marketplace Websites Per Page</label>
				<input type="number" class="form-control" value="<?php echo($marketWebCount); ?>" name="marketWebCount" placeholder="Enter Count" required/>
			</div>
			<input type="hidden" name="csrf" value="<?php echo $key; ?>" />
			<hr>
			<div class="form-group">
				<button type="submit" name="submit" class="btn btn-success"><i class="fa fa-check-square-o"></i> Update</button>
			</div>
		</form>
	</div>	
</div>
<?php include "includes/footer.php"; ?>