<?php
include "includes/header.php";

$csrfVariable = 'csrf_' . basename($_SERVER['PHP_SELF']);

function updatePage($id, $permalink, $title, $description, $keywords, $content, $status) {

	mysqlQuery("UPDATE `pages` SET permalink='$permalink',status='$status' WHERE id='$id'");
	
	if(isset($_GET['language']))
	{
		$language = $_GET['language'];
		
		mysqlQuery("UPDATE `pagesContent` SET `language`='$language',`title`='$title',`permalink`='$permalink',`description`='$description',`keywords`='$keywords',`content`='$content' WHERE `pid`='$id' AND `language`='$language'");
	}
	mysqlQuery("UPDATE `pagesContent` SET `permalink`='$permalink' WHERE `pid`='$id'");
}
if (isset($_GET['id']) && is_numeric($_GET['id'])) {

	$id = (int)mres(trim($_GET['id']));
	
	$array = mysql_fetch_array(mysqlQuery("SELECT * FROM `pages` WHERE `id`='$id'"));
	
	$permalink = $array['permalink'];
	
	$status = $array['status'];

} else if (isset($_POST['submit'])) {

	if($_SESSION[$csrfVariable] != $_POST['csrf'])
        $error = true;

	$id = (int)mres(trim($_POST['id']));
	
	$title = xssClean(mres($_POST['title']));
	
	$content = xssClean(mres($_POST['content']));
	
	$permalink = xssClean(mres($_POST['permalink']));
	
	$description = xssClean(mres($_POST['description']));
	
	$keywords = xssClean(mres($_POST['keywords']));
	
	$status = (int)xssClean(mres($_POST['status']));
	
	$content = xssClean(mres($_POST["content"]));
	
	$array = mysql_fetch_array(mysqlQuery("SELECT title,permalink FROM pages WHERE id='$id'"));
	
	if (trim($_POST['permalink']) == "")
		$permalink = gen_permalink($title);
	else
		$permalink = gen_permalink(trim($_POST['permalink']));
		
	$permalink = xssClean(mres($permalink));
	
	
	if(isset($_GET['language']))
	{
		if (strlen($title) > 70 || strlen($title) < 1)
		{
			$error = true;
		}
	}
	
	if (!$error) {
		
		updatePage($id, $permalink, $title, $description, $keywords, $content, $status);
		
		if(pageCacheEnable()) {
	
			if(isset($_GET['language']))
			{
				$language = $_GET['language'];
		
				$cache = phpFastCache();    
				
				$pageCachevar = "fetchPageData_".$permalink.$language;
				
				$cache->delete($pageCachevar);
				
				$pageCacheExpireTime = pageCacheExpireTime();
		
				$fetchPageData =  mysql_fetch_array(mysqlQuery("SELECT a.status,b.* FROM `pages` a, `pagesContent` b WHERE b.`permalink`='$permalink' AND b.`language`='$language' AND a.status='1'"));
					
				$cache->set($pageCachevar, $fetchPageData,$pageCacheExpireTime);
				
				unset($cache);
			}			
		}
	}
	
} else {

	header("Location: pages.php");
	exit();

}

$key = sha1(microtime());

$_SESSION[$csrfVariable] = $key;
?>

	<title>Edit Page: <?php echo(getMetaTitle()) ?></title>
	<link rel="stylesheet" type="text/css" href="<?php echo(rootpath()); ?>/admin/style/css/jquery.tagsinput.css"/>
	
<?php include "includes/header_under.php"; ?>

			<li class="active"><i class="fa fa-edit"></i> Edit Page</li>
		</ol>
	</div>
</div>
	
	<div class="row" id="main_row">
		<div class="col-lg-8">
		<?php if(isset($_POST['title'])) { ?>
		
		<div class="alert alert-success alert-dismissable">
			<button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
			<i class="fa fa-check"></i> 
			Page Updated Successfully
		</div>
		
		<?php } ?>
		
			<?php if(isset($_GET['language']))
			{
				?>
				<form action="<?php echo basename($_SERVER["PHP_SELF"]) ?>?language=<?php echo $_GET['language']?>" method="POST">
				<?php
			}
			else
			{
				?>
				<form action="<?php echo basename($_SERVER["PHP_SELF"]) ?>" method="POST">
				<?php
			}
			?>
				<input type="hidden" id="id" name="id" value="<?php echo $id; ?>" >
				<?php 
				$lang = mysqlQuery("SELECT * FROM `languages`");
				?>
				<div class="form-group">
					<label>Language</label>
					<select id="language" onchange="selectLanguage()" class="form-control">
						<?php if($_GET['language']) 
						{ 
							?>
							<option><?php echo $_GET['language'] ?></option>
							<?php
						} 
						else 
						{
							?>
							<option>Select Language</option>
							<?php
						}
						while($row = mysql_fetch_array($lang))
						{
							if($_GET['language'] != $row['languageName'])
							{
								?>
									<option value="<?php echo $row['languageName'] ?>"><?php echo $row['languageName'] ?></option>
								<?php
							}
						}
						?>
					</select>
				</div>
				<div class="form-group">
					<label>Permalink</label>
					<input type="text" class="form-control" name="permalink" placeholder="Permalink" value="<?php echo ($permalink); ?>"/>
				</div>
				<?php if(isset($_GET['language'])) 
				{ 
					$language = $_GET['language'];
					$content = mysql_fetch_array(mysqlQuery("SELECT * FROM `pagesContent` WHERE `pid`='$id' AND `language`='$language'"));
					?>
					<div class="form-group">
						<label>Page Name</label>
						<input type="text" class="form-control" name="title" placeholder="Page Name" value="<?php echo ($content['title']);?>" required/>
						<?php if (isset($_POST['title']) && $error != "")
						echo ('<span class="label label-danger">' . $error . '</span>');
						?>
					</div>
					
						<div class="form-group">
							<label>Content</label>
							<textarea class="form-control" rows="15" id="content" name="content"><?php echo $content['content']; ?></textarea>
						</div>
					<script src="<?php echo rootpath()?>/admin/style/js/nicEdit-latest.js" type="text/javascript"></script>
					<script type="text/javascript">
						nicEditors.editors.push(
						new nicEditor().panelInstance(
						document.getElementById('content')
						));
					</script>
					<div class="form-group">
						<label>Meta Description</label>
						<?php if(isset($_POST['description'])) { ?>
						
							<textarea class="form-control" maxlength="160" style="width:100%;height:100px" rows="15" name="description" required><?php echo($_POST['description']); ?></textarea>
							
						<?php } else { ?>
						
							<textarea class="form-control" maxlength="160" style="width:100%;height:100px" rows="15" name="description" placeholder="Enter Meta Description up to 160 Characters" required><?php echo ($content['description']); ?></textarea>
						
						<?php } ?>
					</div>
					<div class="form-group">
						<label>Meta Keywords</label>
						<?php if(isset($_POST['keywords'])){ ?>
						
						<textarea class="form-control" maxlength="60" style="width:100%;height:80px" rows="15" id="keywords" name="keywords" required><?php echo($_POST['keywords']); ?></textarea>
						
						<?php } else { ?>
						
						<textarea class="form-control" maxlength="60" style="width:100%;height:80px" rows="15" id="keywords" name="keywords" placeholder="Enter Max 6 Words Comma Separated up to 60 Characters" required><?php echo ($content['keywords']); ?></textarea>
						
						<?php } ?>
					</div>
					<?php 
				} 
				?>
				<div class="form-group">
					<label>Action</label>
					<?php if ($status) { ?>
					
					<div class="radio">
						<input type="radio" name="status" value="1" checked><i class="fa fa-file-o"></i> Publish
					</div>
					<div class="radio">
						<input type="radio" name="status" value="0"><i class="fa fa-floppy-o"></i> Save
					</div>
					
					<?php } else { ?>
					
					<div class="radio">
						<input type="radio" name="status" value="1"><i class="fa fa-file-o"></i> Publish
					</div>
					<div class="radio">
						<input type="radio" name="status" value="0" checked><i class="fa fa-floppy-o"></i> Save
					</div>
				</div>
				<?php } ?>
				<input type="hidden" name="csrf" value="<?php echo $key; ?>" />
				<hr>
				<div class="form-group">
					<a href="pages.php"><button type="button" class="btn btn-info"><i class="fa fa-arrow-circle-o-left"></i> Back</button></a>
					<button type="submit" name="submit" class="btn btn-success"><i class="fa fa-edit"></i> Update</button>
				</div>
			</form>
		</div>
	</div>
</div>
<?php include "includes/footer.php"; ?>
<script type="text/javascript" src="<?php echo(rootpath()); ?>/admin/style/js/jquery.tagsinput.js"></script>
<script type="text/javascript">
	$(function() {$("#keywords").tagsInput({width:"auto"});});	
	function selectLanguage()
	{
		var language = document.getElementById("language").value;
		var id = document.getElementById("id").value;
		window.location = "edit_page.php?id="+id+"&language="+language+"";
	}
</script>