<?php
include "includes/header.php";
$error = false;

$csrfVariable = 'csrf_' . basename($_SERVER['PHP_SELF']);

function updateSettings($title, $description, $keywords, $rootpath, $urlStructure, $https, $logo, $favicon, $largeLogo) {

	$title = strip_tags(htmlspecialchars(mres($title)));
	
	$description = strip_tags(htmlspecialchars(mres($description)));
	
	$keywords = strip_tags(htmlspecialchars(mres($keywords)));
	
	$rows = mysql_num_rows(mysqlQuery("SELECT * FROM `settings`"));
	
	if($rows>0) {
	
	mysqlQuery("UPDATE settings SET title='$title',description='$description',metaTags='$keywords',rootPath='$rootpath',urlStructure='$urlStructure', httpsStatus='$https', logo='$logo',favicon='$favicon',largeLogo='$largeLogo'") or die(mysql_error());
	
	} else {
	
	mysqlQuery("INSERT INTO settings(title, description, metaTags, rootPath, urlStructure, httpsStatus, logo, favicon, largeLogo) VALUES('$title','$description','$keywords','$rootpath','$urlStructure','$https','$logo','$favicon','$largeLogo')") or die(mysql_error());
	
	}
}

function validFileExtension($ext) {

	$allowedExts = array("gif","jpeg","jpg","png");
		
	if (!in_array($ext, $allowedExts))
		return false;
		
	return true;
}

function validFaviconExtension($ext) {

	$allowedExts = array("ico","png");
		
	if (!in_array($ext, $allowedExts))
		return false;
		
	return true;
}
	
	

if (isset($_POST['submit'])) {

	if($_SESSION[$csrfVariable] != $_POST['csrf'])
        $error = true;
	
	$title   = trim($_POST["title"]);
	
	$description = trim($_POST["description"]);
	
	$keywords= trim($_POST["keywords"]);
	
	$rootpath= cleanUrl(rtrim(trim($_POST["rootpath"]), "/"));
	
	$urlStructure = ($_POST['www']=="on") ? 1 : 0;
	
	$https = ($_POST['https']=="on") ? 1 : 0;
	
	if(strlen($title)<3 || strlen($title)>70) $error=true;
	
	if(strlen($description)>160) $error=true;
	
	if(strlen($keywords)>160) $error=true;
	
	if (!valid_url($rootpath)) $error=true;
	
	if (trim($_FILES["mylogo"]["name"]) != "") {
	
		$base = explode(".", strtolower(basename($_FILES["mylogo"]["name"])));
		
		$ext  = end($base);
		
		if (validFileExtension($ext)) {
		
			$logo = "logo." . $ext;
			
			unlink("../static/images/" . getLogo());
			
			move_uploaded_file($_FILES["mylogo"]["tmp_name"], "../static/images/" . $logo);
		
		} else {
		
			$logo = getLogo();
			
			$error = true;
		
		}
		
	} else {
	
		$logo = getLogo();
		
	}
	
	if (trim($_FILES["myfavicon"]["name"]) != "") {
	
		$base = explode(".", strtolower(basename($_FILES["myfavicon"]["name"])));
		
		$ext  = end($base);
		
		if (validFaviconExtension($ext)) {
		
			$favicon = "favicon." . $ext;
			
			unlink("../static/images/" . getFavicon());
			
			move_uploaded_file($_FILES["myfavicon"]["tmp_name"], "../static/images/" . $favicon);
		
		} else {
		
			$favicon = getFavicon();
			
			$error = true;
		
		}
		
	} else {
	
		$favicon = getFavicon();
		
	}
	if (trim($_FILES["mylargeLogo"]["name"]) != "") {
	
		$base = explode(".", strtolower(basename($_FILES["mylargeLogo"]["name"])));
		
		$ext  = end($base);
		
		if (validFileExtension($ext)) {
		
			$largeLogo = "large_logo." . $ext;
			
			unlink("../static/images/" . getlargeLogo());
			
			move_uploaded_file($_FILES["mylargeLogo"]["tmp_name"], "../static/images/" . $largeLogo);
			
		} else {
		
			$largeLogo = getlargeLogo();
			
			$error = true;
			
		}
		
	} else {
	
		$largeLogo = getlargeLogo();
	
	}

	if (!$error);
		updateSettings($title, $description, $keywords, $rootpath, $urlStructure, $https, $logo, $favicon, $largeLogo);
		header('Cache-Control: no-cache, no-store, must-revalidate');
		header('Pragma: no-cache');
		header('Expires: 0');
		
}

$key = sha1(microtime());

$_SESSION[$csrfVariable] = $key;
?>
	<title>Website Settings: <?php echo(getMetaTitle()); ?></title>
	<link rel="stylesheet" type="text/css" href="<?php echo(rootpath()); ?>/admin/style/css/jquery.tagsinput.css"/>
	<?php include "includes/header_under.php"; ?>

				<li class="active"><i class="fa fa-cog"></i> General Settings</li>
			</ol>
		</div>
	</div>
	
<div class="row" id="main_row">
	<div class="col-lg-8">
		<?php if(isset($_POST['title'])) {
		
			if(!$error) { ?>
			
				<div class="alert alert-success alert-dismissable"><button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button><i class="fa fa-check-square-o"></i> Website Settings Updated Successfully</div>
			
			<?php }
			
		} ?>
		
		<form role="form" action="settings.php" method="post" enctype="multipart/form-data">
			<div class="form-group">
				<label>Title</label>
				<?php if(isset($_POST['title'])) { ?>
				
					<input class="form-control field-size" name="title" value="<?php echo($_POST['title']); ?>" maxlength="70" required />
				
				<?php if(strlen(trim($_POST['title']))<3 || strlen(trim($_POST['title']))>70) { ?>
				
					<p class="label label-danger">Title length must be less then 70 characters</p>
				
				<?php } } else { ?>
				
					<input class="form-control field-size" name="title" value="<?php echo(getMetaTitle()); ?>" maxlength="70" required />
				
				<?php } ?>
			</div>
			<div class="form-group">
				<label>Description</label>
				<?php if(isset($_POST['description'])) { ?>
				
					<textarea class="form-control" rows="4" name="description" maxlength="160"><?php echo($_POST['description']); ?></textarea>
				
				<?php if(strlen(trim($_POST['description']))>160) { ?>
				
					<span class="label label-danger">Description Length Must Be Less Then 160 Charecters</span>
				
				<?php } } else { ?>
				
					<textarea class="form-control" rows="4" name="description" maxlength="160"><?php echo(getMetaDescription()); ?></textarea>
				
				<?php } ?>
			</div>
			<div class="form-group">
				<label>Keywords</label>
				<?php if(isset($_POST['keywords'])) { ?>
				
					<textarea class="form-control" rows="4" id="keywords" name="keywords" maxlength="160"><?php echo($_POST['keywords']); ?></textarea>
				
				<?php if(strlen(trim($_POST['keywords']))>160) { ?>
				
					<span class="label label-danger">Keywords Length Must Be Less Then 160 Charecters</span>
				
				<?php } } else { ?>
				
					<textarea class="form-control" rows="4" id="keywords" name="keywords" maxlength="160"><?php echo(getMetaKeywords()); ?></textarea>
				
				<?php } ?>
			</div>
			<div class="form-group">
				<label>Installation Path</label>
				<?php if(isset($_POST['rootpath'])) { ?>
				
					<input type="text" class="form-control field-size" name="rootpath" value="<?php echo($_POST['rootpath']);?>" required/>
				
				<?php if(!valid_url($rootpath)) { ?>
				
					<span class="label label-danger">RootPath Must be A Valid URL</span>
				
				<?php } } else { ?>
				
					<input type="text" class="form-control field-size" name="rootpath" value="<?php echo(cleanUrl(rootPath())); ?>" required="required"/>
				
				<?php } ?>
			</div>
			<div class="form-group">
				<label>Force <strong>WWW</strong> ?</label>
				<div class="switch res-switch">
					<?php if (urlStructure()) { ?>
					
						<input type="checkbox" name="www" checked>
						<label><i></i></label>
					
					<?php } else { ?>
					
						<input type="checkbox" name="www">
						<label><i></i></label>
					
					<?php } ?>
				</div>
			</div>
			
			<div class="form-group">
				<label>Force https:// ?</label>
				<div class="switch res-switch">
					<?php if (httpsStatus()) { ?>
					
						<input type="checkbox" name="https" checked>
						<label><i></i></label>
					
					<?php } else { ?>
					
						<input type="checkbox" name="https">
						<label><i></i></label>
					
					<?php } ?>
				</div>
			</div>
			<div class="form-group">
				<label>Large Logo</label><br>
				<img id="largeLogo" class="largeLogo" src="<?php echo (rootPath() . "/static/images/" . getlargeLogo() . "?" . time()); ?>" />
			</div>
			<div class="form-group">
				<input class="hide show-large-logo" type="file" name="mylargeLogo" onchange="readLargeLogo(this);"/>
				<a class="btn btn-info btn-xs click-large-logo"><i class="fa fa-upload"></i>  Change Large Logo </a>
			</div>
			<script>
			function readLargeLogo(input) {
					if (input.files && input.files[0]) {
						var reader = new FileReader();

						reader.onload = function (e) {
							$('#largeLogo')
								.attr('src', e.target.result)
								.width(565);
						};

						reader.readAsDataURL(input.files[0]);
					}
				}
			</script>
				<div class="form-group">
					<label>Logo</label><br>
					<img id="logo" class="logo" src="<?php echo (rootPath() . "/static/images/" . getLogo() . "?" . time()); ?>" />
				</div>
				<div class="form-group">
					<input class="hide show-logo" type="file" name="mylogo" onchange="readLogo(this);" />
					<a class="btn btn-info btn-xs click-logo"><i class="fa fa-upload"></i>  Change Logo </a>
				</div>
				<script>
				function readLogo(input) {
						if (input.files && input.files[0]) {
							var reader = new FileReader();

							reader.onload = function (e) {
								$('#logo')
									.attr('src', e.target.result)
									.width(222);
							};

							reader.readAsDataURL(input.files[0]);
						}
					}
				</script>
				<div class="form-group">
					<label>Favicon</label><br>
					<img id="favicon" class="favicon" src="<?php echo (rootpath() . "/static/images/" . getFavicon() . "?" . time());?>"/>
				</div>
				<div class="form-group">
					<input class="hide show-favicon" type="file" name="myfavicon" onchange="readFavicon(this);"/>
					<a class="btn btn-info btn-xs click-favicon"><i class="fa fa-upload"></i>  Change Favicon </a>
				</div>
				<script>
				function readFavicon(input) {
						if (input.files && input.files[0]) {
							var reader = new FileReader();

							reader.onload = function (e) {
								$('#favicon')
									.attr('src', e.target.result)
									.width(64);
							};

							reader.readAsDataURL(input.files[0]);
						}
					}
				</script>
			<div class="form-group">
				<input type="hidden" name="csrf" value="<?php echo $key; ?>" />
				<hr>
				<div class="form-group">
					<button type="submit" name="submit" class="btn btn-success"><i class="fa fa-pencil"></i>  Update </button>
				</div>
			</div>
		</form>
	</div>
</div>
<?php include "includes/footer.php"; ?>
<script type="text/javascript" src="<?php echo(rootpath()); ?>/admin/style/js/jquery.tagsinput.js"></script>
<script type="text/javascript">
	$(function() {$("#keywords").tagsInput({width:"auto"});});	
</script>