<?php
if(!isset($_SESSION)) session_start();

require "config/config.php";

require "includes/functions.php";

if(!isset($_SESSION['useRName']) || !isset($_SESSION['EmAIl']) || !isset($_SESSION['uid']))
{
	header('Location: '.rootPath());
}

$uid = $_SESSION['uid'];

if(isset($_GET['deleteWebsite']))
{
	$url = $_GET['deleteWebsite'];
	
	mysqlQuery("DELETE FROM `favoriteWebsites` WHERE `url`='$url' AND `uid`='$uid'");
}

$limit=favoriteWebCount();

$slug = 'bookmark';

$currentPage = (isset($_GET['page']) && is_numeric($_GET['page']) && $_GET['page']>0) ? ((int) mres($_GET['page'])) : 1;

$lastPage = ceil(totalFavoriteStats()/$limit);

$nextPage = ($currentPage < $lastPage) ? $currentPage+1 : $currentPage;

$prevPage = ($currentPage > 1) ? $currentPage+1 : $currentPage;

include 'includes/header.php';

$metaInfo = getMetaInfo();
?>

<title><?php echo($language['bookmark_websites']); ?></title>
<meta name="description" content="<?php echo($metaInfo['description']); ?>"/>
<meta name="keywords" content="<?php echo($metaInfo['metaTags']); ?>"/>
<meta property="og:title" content="<?php echo($metaInfo['title']); ?>"/>
<meta property="og:type" content="website"/>
<meta property="og:url" content="<?php echo(rootPath()); ?>"/>
<meta property="og:image" content="<?php echo(rootPath()); ?>/static/images/cover.jpg?<?php echo(time()); ?>"/>
<meta property="og:description" content="<?php echo($metaInfo['description']); ?>"/>
	
<?php
include 'includes/header_under.php';
?>

<div class="container">
   <div class="side-menu">
		<div class="mypage theme-card shadow-1 box">
			<?php include "includes/userHeader.php" ?>
			<div class="row">
				<?php include "includes/userSidebar.php" ?>
				<div class="col-sm-9">
                    <div class="admin-content" id="home">
						<h4 class="primary-text-color"><i class="fa fa-tasks"></i> <?php echo $language['bookmark_websites']?> </h4>
						<small class="secondary-text-color <?php echo (isRTLLayout() ? 'pull-right' : 'pull-left')?> "><em><?php echo $language['your_bookmark_websites'] ?></em></small>
						<div class="clearfix"></div>
						<?php
						$startResult = ($currentPage-1)*$limit;
						$arrayData = fetchFavoriteResultsArray($currentPage,$startResult,$limit);
						unset($arrayData[count($arrayData)-1]);
						$count = $startResult+1;
						$totalRows = count($arrayData);
						if($totalRows) 
						{
							foreach($arrayData as $row) 
							{
								?>
								<div class="brdr bgc-fff pad-10 shadow-1 btm-mrg-20 property-listing websites-list">
									<div class="media">
										<?php 
										if(isRTLLayout()) 
										{
											?>
											<a class="pull-right" href="<?php echo(rootPath() . "/" . $row['url']); ?>.html" target="_parent">
												<img src="<?php echo(rootPath()) ?>/static/images/blank.png" alt="<?php echo($row['url']); ?>" class="img-responsive brdr" data-echo="<?php echo(pagePeekerURL()); ?>/v2/thumbs.php?size=x&amp;url=<?php echo($row['url']); ?>">
											</a>
											<?php 
										} 
										else 
										{ 
											?>
											<a class="pull-left" href="<?php echo(rootPath() . "/" . $row['url']); ?>.html" target="_parent">
												<img src="<?php echo(rootPath()) ?>/static/images/blank.png" alt="<?php echo($row['url']); ?>" class="img-responsive brdr" data-echo="<?php echo(pagePeekerURL()); ?>/v2/thumbs.php?size=x&amp;url=<?php echo($row['url']); ?>">
											</a>
											<?php 
										} 
										?>
										<div class="clearfix visible-sm"></div>
										<div class="media-body fnt-smaller">
											<h4 class="media-heading">
												<img alt="<?php echo($row['url']); ?>" src="http://www.google.com/s2/favicons?domain=http://<?php echo($row['url']); ?>"/> <a href="<?php echo(rootPath() . "/" . $row['url']); ?>.html">www.<?php echo(trim_string($row['url'])); ?></a>
											</h4>
											<div class="table-responsive hidden-sm">
												<ul class="list-inline mrg-0 btm-mrg-10 clr-535353">
													<li>
														<img alt="<?php echo($language['page_rank']); ?>" src="<?php echo(rootPath()) ?>/static/images/google.png"> 
														<?php echo($language['page_rank']); ?>: 
														<?php 
														if(isRTLLayout())
														{ 
															?>
															<span class="label label-success pull-left">
															<?php 
														} 
														else 
														{ 
															?>
															<span class="label label-success">
															<?php 
														} 
														echo($row['googlePagerank']); ?>/10
														</span>
													</li>
													<li style="list-style: none">|</li>
													<li>
														<img alt="<?php echo($language['alexa_rank']); ?>" src="<?php echo(rootPath()); ?>/static/images/alexa.gif"> 
														<?php echo($language['alexa_rank']); ?>: 
														<?php 
														if(isRTLLayout()) 
														{ 
															?>
															<span class="label label-primary pull-left">
															<?php 
														} 
														else 
														{ 
															?>
															<span class="label label-primary">
															<?php 
														} 
														?>
														<?php echo(numberFormat($row['alexaRank'])); ?>
														</span>
													</li>
													<li style="list-style: none">|</li>
													<li>
														<img alt="<?php echo($language['backlinks']); ?>" src="<?php echo(rootPath()); ?>/static/images/links.png"> 
														<?php echo($language['backlinks']); ?>: 
														<?php 
														if(isRTLLayout()) 
														{ 
															?>
															<span class="label label-success pull-left">
															<?php
														} 
														else 
														{ 
															?>
															<span class="label label-success">
															<?php 
														} 
														?>
														<?php echo(numberFormat($row['backLinks'])); ?>
														</span>
													</li>
												</ul>
											</div>
											<p class="hidden-xs">
												<?php echo(getDomainDescription($row['url'],$language)); ?>
											</p>
											<img alt="worth" src="<?php echo(rootPath()) ?>/static/images/worth.png"> <span>
												<a href="<?php echo(rootPath() . "/" .$row['url']); ?>.html" target="_parent"><?php echo(convert_currency($row['worth'])); ?> </a>
											</span>
										</div>
										<i style="cursor:pointer" href="#deleteFavourite-<?php echo $row['id'] ?>" data-toggle="modal" class="delete-favourite-btn fa fa-trash fa-2x"></i>
										<div class="modal fade in modal-form" id="deleteFavourite-<?php echo $row['id'] ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="false">
											<div class="modal-dialog">
												<div class="modal-content shadow-1">
													<div class="modal-header primary-bg-color">
														<button type="button" class="close" data-dismiss="modal" aria-label="Close"><i class="fa fa-close"></i></button>
														<h4 class="modal-title" id="myModalLabel"><?php echo $language['delete_website']?></h4>
													</div>
													<div class="modal-body">
														<div class="row">
															<div class="col-xs-12" style="text-align:center; padding:10px 0">     
																<?php echo $language['delete_confirm'] ?>
															</div>
														</div> 
													</div>
													<div class="modal-footer">
														<a href="<?php echo rootPath() ?>/bookmark?deleteWebsite=<?php echo $row['url'] ?>" class="btn-success btn btn-md"><?php echo $language['delete'] ?></a>
														<button type="button" class="btn-primary btn btn-md" data-dismiss="modal"><?php echo $language['close'] ?></button>
													</div>
												</div><!-- /.modal-content -->
											</div><!-- /.modal-dialog -->
										</div><!-- /.modal -->
									</div>
								</div>
								<?php 
							}
						} 
						else 
						{ 
							?>
							<div class="brdr bgc-fff pad-10 shadow-1 property-listing web-lists-error" style="height: 570px;">
								<span class="error" style="margin-top: 30vh;">
									<?php echo($language['currently_no_stats_to_display']); ?>
								</span>
							</div>
							<?php 
						}
						?>
						<div class="clearfix"></div>
						<?php genPagination($currentPage,$lastPage,$prevPage,$nextPage,$slug,$language) ?>
					</div>
				</div>
			</div>
		</div>
   </div>
</div>

<?php include 'includes/footer.php'; ?>