<?php
error_reporting(0);

if(!isset($_SESSION)) session_start();

if(!isset($_SESSION['language']))
{
	$_SESSION['language']=getDefaultLanguage();
}
if(isset($_COOKIE['language']))
{
	$_SESSION['language']=$_COOKIE['language'];
	
	setcookie("language",$_SESSION['language'],time()-1,"");
}

$json = file_get_contents('language/'.$_SESSION['language'].'.php');

$language=json_decode($json, true);

include "cache/phpfastcache.php";

require "whois/whois.main.php";

require "whois/whois.utils.php";

phpFastCache::setup("storage","auto");

libxml_use_internal_errors(true);


function generateResponse($url) {
	
	$whois = new Whois();
	
	$response = $whois->Lookup($url);
	
	unset($whois);
	
	return $response;
}

function xssClean($data) {

	return htmlspecialchars($data, ENT_QUOTES, 'UTF-8');
	
}
function userEmailExists($email) {

	$count  = mysql_num_rows(mysql_query("SELECT * FROM `users` WHERE `email`='$email'"));
	
	if ($count > 0)
		return true;
	
	return false;

}

function userAlreadyExists($username) {

	$count  = mysql_num_rows(mysql_query("SELECT * FROM `users` WHERE `username`='$username'"));
	
	if ($count > 0)
		return true;
	
	return false;

}

function userNameExists($userName,$id) {

	$count  = mysql_num_rows(mysql_query("SELECT * FROM `users` WHERE `userName`='$userName' AND `id`!='$id'"));
	
	if ($count > 0)
		return true;
	
	return false;

}
function cleanUrl($url) {

	$url = preg_replace('#^https?://#', '', $url);

	$url = preg_replace('/^www\./', '', $url);

return $url;
}

if (get_magic_quotes_gpc()) {

	$process = array(&$_GET, &$_POST, &$_COOKIE, &$_REQUEST);
	
	while (list($key, $val) = each($process)) {
	
		foreach ($val as $k => $v) {
		
			unset($process[$key][$k]);
			
			if (is_array($v)) {
			
				$process[$key][stripslashes($k)] = $v;
				$process[] = &$process[$key][stripslashes($k)];
				
			} else {
			
				$process[$key][stripslashes($k)] = stripslashes($v);
			
			}
			
		}
		
	}
	unset($process);
}

function mres($var) {

    if (get_magic_quotes_gpc()) {
	
        $var = stripslashes(trim($var));
		
    }

return mysql_real_escape_string(trim($var));
}

function totalStats() {
	
	$cache = phpFastCache();
	
	$totalStats = $cache->get("totalStats");
	
	if($totalStats==null) {

	$result = @mysql_fetch_array(mysqlQuery("SELECT COUNT(id) as `totalStats` FROM `stats` WHERE `status`='1'"));
	
	$totalStats = $result['totalStats'];
	
	$cache->set("totalStats", $totalStats);
	
	}
	
	unset($cache);
	
	return $totalStats;

}

function totalHistoryStats() {
	
	$uid = $_SESSION['uid'];
	
	if(historyCacheEnable())
	{
		$cache = phpFastCache();
		
		$totalStats = $cache->get("totalHistoryStats_$uid");
		
		if($totalStats==null) {

			$totalStats = mysql_num_rows(mysqlQuery("SELECT s.*,h.url FROM `stats` s ,`history` h WHERE s.`status`='1' AND s.url=h.url AND h.uid='$uid'"));
		
			$cache->set("totalHistoryStats_$uid", $totalStats);
		
		}
		
		unset($cache);
	}
	else
	{
		$totalStats = mysql_num_rows(mysqlQuery("SELECT s.*,h.url FROM `stats` s ,`history` h WHERE s.`status`='1' AND s.url=h.url AND h.uid='$uid'"));
	}
	
	return $totalStats;
}

function totalMarketPlaceStats($categoryPermalink) {
	
	$categoryId=categoryIdByPermalink($categoryPermalink);
	
	if(marketCacheEnable())
	{
		$cache = phpFastCache();
		
		$totalStats = $cache->get("totalMarketPlaceStats");
		
		if($totalStats==null) {

			$totalStats = mysql_num_rows(mysqlQuery("SELECT a.*,b.* FROM `stats` a,`userWebsites` b WHERE a.`url`=b.`url` AND b.`forSale`='1' AND b.`status`='1' AND b.`adminAllow`='1' AND b.`cid`='$categoryId'"));
		
			$cache->set("totalMarketPlaceStats", $totalStats);
		
		}
		
		unset($cache);
	}
	else
	{
		$totalStats = mysql_num_rows(mysqlQuery("SELECT a.*,b.* FROM `stats` a,`userWebsites` b WHERE a.`url`=b.`url` AND b.`forSale`='1' AND b.`status`='1' AND b.`adminAllow`='1' AND b.`cid`='$categoryId'"));
	}
	
	return $totalStats;
}

function totalUserWebsites() {
	
	$uid = $_SESSION['uid'];

	$totalWebsites = mysql_num_rows(mysqlQuery("SELECT * FROM `userWebsites` WHERE `uid`='$uid' AND `status`='1' AND `forSale` = '0'"));
	
	return $totalWebsites;
}

function totalVerifiedWebsites() {
	
	$uid = $_SESSION['uid'];

	$totalWebsites = mysql_num_rows(mysqlQuery("SELECT * FROM `userWebsites` WHERE `uid`='$uid' AND `forSale`='1' AND `status` = '1'"));
	
	return $totalWebsites;
}

function totalFavoriteStats() {
	
	$uid = $_SESSION['uid'];
	
	if(favoriteCacheEnable()) {
	
		$cache = phpFastCache();
		
		$totalStats = $cache->get("totalFavoriteStats");
		
		if($totalStats==null) {  

			$totalStats = mysql_num_rows(mysqlQuery("SELECT s.*,f.url FROM `stats` s ,`favoriteWebsites` f WHERE s.`status`='1' AND s.url=f.url AND f.uid='$uid'"));
			
			$cache->set("totalFavoriteStats", $totalStats);
		}
		
		unset($cache);
		
		return $totalStats;
	
	}
	else
	{
		$totalStats = mysql_num_rows(mysqlQuery("SELECT s.*,f.url FROM `stats` s ,`favoriteWebsites` f WHERE s.`status`='1' AND s.url=f.url AND f.uid='$uid'"));
	}
}

function rootPath() {

	$query = mysqlQuery("SELECT `rootPath` FROM `settings`");
	
	$fetch = @mysql_fetch_array($query);
	
	if ($fetch['rootPath'] != "") {
	
		$www = (urlStructure()) ? 'www.':'';
		$https = (httpsStatus()) ? 'https://':'http://';
		$rootPath = $https . $www . cleanUrl($fetch['rootPath']);
		
	}

return $rootPath;

}

function calculateTrafficStats() {

	return true;

}

function domainAgeDays($date) {

	if($date=="0000-00-00" || !$date)
	return 1;

	$now = date("Y-m-d");

	$diff = ceil((strtotime($now)- strtotime($date))/24/3600); 

return $diff;

}

function calculateWorth($url,$language) {

	if(urlExists2($url)) {

		$arrayStats= @mysql_fetch_array(mysqlQuery("SELECT * FROM `stats` WHERE `url`='$url'"));
		
		$googlePlus= $arrayStats['googlePlus'] * 0.03 * (($arrayStats['googlePagerank']) ? $arrayStats['googlePagerank'] : 1);
		
		$facebookLikes = $arrayStats['facebookLikes'] * 0.01 * (($arrayStats['googlePagerank']) ? $arrayStats['googlePagerank'] : 1);
		
		$facebookShares= $arrayStats['facebookShares'] * 0.02 * (($arrayStats['googlePagerank']) ? $arrayStats['googlePagerank'] : 1);
		
		$facebookComments  = $arrayStats['facebookComments'] * 0.01 * (($arrayStats['googlePagerank']) ? $arrayStats['googlePagerank'] : 1);
		
		$tweets= $arrayStats['tweets'] * 0.01 * (($arrayStats['googlePagerank']) ? $arrayStats['googlePagerank'] : 1);
		
		$linkedIn  = $arrayStats['linkedIn'] * 0.01 * (($arrayStats['googlePagerank']) ? $arrayStats['googlePagerank'] : 1);
		
		$pinterest = $arrayStats['pinterest'] * 0.01 * (($arrayStats['googlePagerank']) ? $arrayStats['googlePagerank'] : 1);
		
		$stumbleUpon   = $arrayStats['stumbleUpon'] * 0.01 * (($arrayStats['googlePagerank']) ? $arrayStats['googlePagerank'] : 1);
		
		$vkontakte = $arrayStats['vkontakte'] * 0.01 * (($arrayStats['googlePagerank']) ? $arrayStats['googlePagerank'] : 1);
		
		$resultsocialWorth = @mysql_fetch_array(mysqlQuery("SELECT $googlePlus+$facebookLikes+$facebookShares+$facebookComments+$tweets+$linkedIn+$pinterest+$stumbleUpon+$vkontakte as socialWorth"));
		
		$backlinksWorth = (($arrayStats['backLinks'] * 1) * (($arrayStats['googlePagerank']) ? $arrayStats['googlePagerank'] : 1)) * (($arrayStats['domainAuthority']) ? $arrayStats['domainAuthority'] : 1);
		
		if($arrayStats['alexaRank']>0 && $arrayStats['alexaRank']<1178050236)
			$alexaWorth = ((1178050236/$arrayStats['alexaRank'])>1) ? (1178050236/$arrayStats['alexaRank']):1;
		else
			$alexaWorth=(($arrayStats['domainAuthority']) ? $arrayStats['domainAuthority'] : 1)*(($arrayStats['googlePagerank']) ? $arrayStats['googlePagerank'] : 1);
			
		$pageRank = (($arrayStats['googlePagerank']) ? $arrayStats['googlePagerank'] : 1);
			
		if($arrayStats['dmoz'])
			$alexaWorth*=1.2;
			
		$pageSpeed = $arrayStats['pageSpeed'];
		
		$result = @mysql_fetch_array(mysqlQuery("UPDATE `stats` SET `worth`=($socialWorth+$backlinksWorth+$alexaWorth) WHERE `url`='$url'"));
		
		$yearsFromNow = yearsFromNow($arrayStats['creationDate']);
		
		$creationDays = domainAgeDays($arrayStats['creationDate']);
		
		mysqlQuery("UPDATE `stats` SET `worth`=`worth`+($creationDays*(0.1*$pageRank)+$pageSpeed) WHERE `url`='$url'");
		
		$description = mres(getDomainDescription($url,$language));
		
		$rating = websiteStarRating($url);
		
		$dateUpdated = date("Y-m-d H:i:s");
		
		mysqlQuery("UPDATE `stats` SET `dateUpdated`='$dateUpdated', `income`=((uniqueVisitors/2)*(0.01*($pageRank/2))), `rating`='$rating', `description`='$description' WHERE `url`='$url'");
		
		mysqlQuery("UPDATE `stats` SET `worth`=(`worth`*$pageRank)+14 WHERE `url`='$url'");
		
		$longDescription = mres(longDescription($url,$language));
		
		mysqlQuery("UPDATE `stats` SET `longDescription`='$longDescription',`status`='1' WHERE `url`='$url'");
		
		$cache = phpFastCache();
		
		if(showCacheEnable()) {
			
			$showCacheExpireTime = showCacheExpireTime();
		
			$websiteStats = @mysql_fetch_array(mysqlQuery("SELECT * FROM `stats` WHERE `url`='$url' AND `status`='1'"));
		
			$cache->set("stats_$url", $websiteStats,$showCacheExpireTime);
			
		}
		
		if(sidebarCacheEnable()) {
			
			$sidebarCacheExpireTime = sidebarCacheExpireTime();
			
			$limitSimilar = ceil(sideWebCount()/2);
			
			$fetchSimilarRanked = array();
			
			$query = mysqlQuery("SELECT `url`, `worth`, `googlePagerank`, `alexaRank`, `backlinks`, `rating` FROM `stats` WHERE `rating` <= " . $rating . " AND `status`='1' ORDER BY `rating` DESC LIMIT $limitSimilar");
			
			while($fetchSimilarRanked[]=mysql_fetch_array($query));
			
			$cache->set("fetchSimilarRanked_$rating", $fetchSimilarRanked, $sidebarCacheExpireTime);
			
			$limitRecent = ceil(sideWebCount()/2);
			
			$fetchRecentWebsitesSidebar = array();
			
			$query = mysqlQuery("SELECT `url`, `worth`, `googlePagerank`, `alexaRank`, `backlinks`, `rating` FROM `stats` WHERE `status`='1' ORDER BY `dateUpdated` DESC LIMIT $limitRecent");
			
			while($fetchRecentWebsitesSidebar[]=mysql_fetch_array($query));
			
			$cache->set("fetchRecentWebsitesSidebar", $fetchRecentWebsitesSidebar, $sidebarCacheExpireTime);
			
			$array = @mysql_fetch_array(mysqlQuery("SELECT url,alexaRank,googlePagerank,backLinks,worth FROM `stats` WHERE `url`='$url'"));
			
			$worth = convert_currency($array['worth']);
			
			$description = ucwords($array['url'] . " " . $language['has_a_globle_traffic_rank'] . number_format($array['alexaRank']) . " " . $language['and_its_google_page_rank_is'] . " " . $array['googlePagerank'] . "/10 " . $language['it_has'] . " " . number_format($array['backLinks']) . " " . $language['backlinks_its_estimated_worth_is'] . " " . convert_currency($array['worth']));
			
			$cache->set("description_$url",$description,$showCacheExpireTime);
		
		}
		if(recentCacheEnable())	{
			
			$recentWebistesLimit = recentWebLimit();
			
			$recentCacheExpireTime = recentCacheExpireTime();
			
			$sortByRecent = $_SESSION['sortByRecent'];
		 
			$sortOrderRecent = $_SESSION['sortOrderRecent'];
			
			$recentCacheVar = "fetchRecentResultsArray_1_".$sortByRecent."_".$sortOrderRecent;
			
			$fetchRecentResultsArray = array();
			
			$query = mysqlQuery("SELECT * FROM `stats` WHERE `status`='1' ORDER BY ".$_SESSION['sortByRecent']." ".$_SESSION['sortOrderRecent']." LIMIT 0,$recentWebistesLimit");
				
			while($fetchRecentResultsArray[]=mysql_fetch_array($query));
					
			$cache->set($recentCacheVar, $fetchRecentResultsArray,$recentCacheExpireTime);
				
		}
		unset($cache);
	}
}

function validURL($url) {

	if (substr($url, 0, 4) != "http")
		$url = "http://" . $url;
		
	if (!valid_url($url) || bad_domain($url) || !isRegisterd($url) || !isAlive($url))
		return false;
	
	return true;
	
}

function getDomain($url) {

	if(preg_match("#https?://#", $url) === 0)
		$url = 'http://' . $url;
	
	return strtolower(str_ireplace('www.', '', parse_url($url, PHP_URL_HOST)));
	
}

function yearsFromNow($date) {

	$date1 = $date;
	
	$date2 = date("Y-m-d");
	
	$diff= abs(strtotime($date2) - strtotime($date1));
	
	$years   = floor($diff / (365 * 60 * 60 * 24));
	
	if($years<=0)
	$years = 1;
		
	return $years;
	
}

function domainAge($date,$language) {

	$date1   = $date;
	$date2   = date("Y-m-d");
	$diff= abs(strtotime($date2) - strtotime($date1));
	$years   = floor($diff / (365 * 60 * 60 * 24));
	$months  = floor(($diff - $years * 365 * 60 * 60 * 24) / (30 * 60 * 60 * 24));
	$days= floor(($diff - $years * 365 * 60 * 60 * 24 - $months * 30 * 60 * 60 * 24) / (60 * 60 * 24));
	$str_age = "";
	
	if($months>0) {
	
		if ($years > 1)
		$str_age .= $years . " " . $language['years'] . ", ";
		else if($years==1)
		$str_age .= $years . " " . $language['years'] . ", ";
		else if($years<1)
		$str_age .="";
		
	} else {
	
		if ($years > 1)
		$str_age .= $years . " " . $language['years'] . " ";
		else if($years==1)
		$str_age .= $years . " " . $language['year'] . " ";
		else if($years<1)
		$str_age .="";
		
	}
	
	if($days>0) {
	
		if ($months > 1)
			$str_age .= $months . " " . $language['months'] . " & ";
		else if($months==1)
			$str_age .= $months . " " . $language['month'] . " & ";
		else if($months<1)
			$str_age .= "";
		
	} else {
	
	if ($months > 1)
		$str_age .= $months . " " . $language['months'] . " ";
	else if($months==1)
		$str_age .= $months . " " . $language['month'] . " ";
	else if($months<1)
		$str_age .= "";
	
	}
	
	if ($days > 1)
		$str_age .= $days . " " . $language['days'] . " ";
	else if ($days==1)
		$str_age .= $days . " " . $language['day'] . " ";
	else if ($days==1)
		$str_age .= $days . " ";
		
	$str_age .= $language['ago'];
	
return $str_age;
	
}

function domainExpiration($date,$language) {

	$date1   = $date;
	
	$date2   = date("Y-m-d");
	
	$diff= abs(strtotime($date2) - strtotime($date1));
	
	$years   = floor($diff / (365 * 60 * 60 * 24));
	
	$months  = floor(($diff - $years * 365 * 60 * 60 * 24) / (30 * 60 * 60 * 24));
	
	$days= floor(($diff - $years * 365 * 60 * 60 * 24 - $months * 30 * 60 * 60 * 24) / (60 * 60 * 24));
	
	$str_age = "";
	
	if($months>0) {
	
	if ($years > 1)
		$str_age .= $years . " " . $language['years'] . ", ";
	else if($years==1)
		$str_age .= $years . " " . $language['year'] . ", ";
	else if($years<1)
		$str_age .="";
	
	} else {
	
		if ($years > 1)
			$str_age .= $years . " " . $language['years'] . " ";
		else if($years==1)
			$str_age .= $years . " " . $language['year'] . " ";
		else if($years<1)
			$str_age .="";
			
	}
	
	if($days>0) {
	
		if ($months > 1)
			$str_age .= $months . " " . $language['months'] . " & ";
		else if($months==1)
			$str_age .= $months . " " . $language['month'] . " & ";
		else if($months<1)
			$str_age .= "";
			
	} else {
	
		if ($months > 1)
			$str_age .= $months . " " . $language['months'] . " ";
		else if($months==1)
			$str_age .= $months . " " . $language['month'] . " ";
		else if($months<1)
			$str_age .= "";
			
	}
	
	if ($days > 1)
		$str_age .= $days . " " . $language['days'] . " ";
	else if ($days==1)
		$str_age .= $days . " " . $language['day'] . " ";
	else if ($days==1)
		$str_age .= $days . " ";
	
	$str_age .= $language['left'];
	
return $str_age;
	
}
function getDomainDescription($url,$language) {
	
	$sidebarCacheEnable = sidebarCacheEnable();
	
	if($sidebarCacheEnable) {
	
			$cache = phpFastCache();
			
			$sidebarCacheExpireTime = sidebarCacheExpireTime();
			
			$description = $cache->get("description_$url");
			
			if($description==null) {

			$array = @mysql_fetch_array(mysqlQuery("SELECT * FROM `stats` WHERE `url`='$url'"));
			
			$worth = convert_currency($array['worth']);
			
			$description = ucwords($array['url'] . " " . $language['has_a_globle_traffic_rank'] . number_format($array['alexaRank']) . " " . $language['and_its_google_page_rank_is'] . " " . $array['googlePagerank'] . "/10 " . $language['it_has'] . " " . number_format($array['backLinks']) . " " . $language['backlinks_its_estimated_worth_is'] . " " . convert_currency($array['worth']));
			
			$cache->set("description_$url",$description,$sidebarCacheExpireTime);
			
			unset($cache);
		}
	}
	else
	{
		$array = @mysql_fetch_array(mysqlQuery("SELECT * FROM `stats` WHERE `url`='$url'"));
			
		$worth = convert_currency($array['worth']);
			
		$description = ucwords($array['url'] . " " . $language['has_a_globle_traffic_rank'] . number_format($array['alexaRank']) . " " . $language['and_its_google_page_rank_is'] . " " . $array['googlePagerank'] . "/10 " . $language['it_has'] . " " . number_format($array['backLinks']) . " " . $language['backlinks_its_estimated_worth_is'] . " " . convert_currency($array['worth']));
	}

	return $description;

}

function currency_symbol() {

	$array = @mysql_fetch_array(mysqlQuery("SELECT currencySymbol FROM currencySettings"));
	
	echo trim($array['currencySymbol']);

}
function convert_currency($value) {

	$array = @mysql_fetch_array(mysqlQuery("SELECT * FROM currencySettings"));
	
	$priceInDollar = $array['priceInDollar'];
	
	$result = mysql_fetch_row(mysqlQuery("SELECT $value * $priceInDollar"));
	
	if (strpos($result[0], '.') !== false) {
	
		$value_final = explode('.', $result[0]);
		$value   = $value_final[0];
	
	} else {
	
		$value = $result[0];
		
	}
	
	$value = number_format($value);
	
	if($value<1)
	return "N/A";
	
	if ($array['showBefore'])
		return $array['currencySymbol'] . ' ' . $value;
	else
		return $value . ' ' . $array['currencySymbol'];

}

function numberFormat($value) {

	if($value<1)
	return "N/A";

return number_format($value);

}

function trim_string($string) {

	$string = (strlen($string) > 25) ? substr($string, 0, 25) . '...' : $string;

	return $string;

}

function currentPageURL() {

	$pageURL = 'http';
	
	if ($_SERVER["HTTPS"] == "on") {
	
		$pageURL .= "s";
	
	}
	$pageURL .= "://";
	
	if ($_SERVER["SERVER_PORT"] != "80") {
	
		$pageURL .= $_SERVER["SERVER_NAME"] . ":" . $_SERVER["SERVER_PORT"] . $_SERVER["REQUEST_URI"];
		
	} else {
	
		$pageURL .= $_SERVER["SERVER_NAME"] . $_SERVER["REQUEST_URI"];
	
	}
	
return htmlentities($pageURL);
	
}
function innerHTML(DOMNode $node) {

	$doc = new DOMDocument();
	
	foreach ($node->childNodes as $child) {
	
		$doc->appendChild($doc->importNode($child, true));
		
	}
	
return $doc->saveHTML();

}

function file_get_contents_curl($url) {

	if (extension_loaded('curl') === true) {
	
		$ch = curl_init();
		
		curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/5.0 (Windows NT 6.2; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/29.0.1547.2 Safari/537.36");
		
		curl_setopt($ch, CURLOPT_HEADER, 0);
		
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		
		curl_setopt($ch, CURLOPT_URL, $url);
		
		curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
		
		$data = curl_exec($ch);
		
		curl_close($ch);
		
	} else {
	
	$data = file_get_contents($url);
	
	}
	
return $data;

}

function alreadyFavorite($id,$url)
{
	$query=mysqlQuery("SELECT * FROM `favoriteWebsites` WHERE `uid`='$id' AND `url`='$url'");
	
	$count=mysql_num_rows($query);
	
	if($count > 0)
		return true;
	else
		return false;
}

function userAlreadyChecked($id,$url)
{
	$query=mysqlQuery("SELECT * FROM `history` WHERE `uid`='$id' AND `url`='$url'");
	
	$count=mysql_num_rows($query);
	
	if($count > 0)
		return true;
	else
		return false;
}

function websiteChecked($id,$url)
{
	mysqlQuery("INSERT INTO `history`(`uid`,`url`) VALUES('$id','$url')");
	
	totalHistoryStats();
}

function saveURL($url) {

	if(!urlExists2($url))
	mysqlQuery("INSERT INTO stats(url) VALUES('$url')");
	$cache = phpFastCache();

	$result = @mysql_fetch_array(mysqlQuery("SELECT COUNT(id) as `totalStats` FROM `stats` WHERE `status`='1'"));
	
	$totalStats = $result['totalStats'];
	
	$cache->set("totalStats", $totalStats);
	
	unset($cache);

}

function seoStats($url) {

	if(urlExists2($url)) {
	
	$stats = new NEXStats($url);
	
	$dmoz  = $stats->getDmozListing();
	
	$mozApi = getMozApi();
	
	$backlinks = $stats->getBacklinks($mozApi['mozAccessID'],$mozApi['mozSecretKey']);
	
	$key = getSpeedScoreKey();
	
	$pagespeed = $stats->getSpeedScore($key);
	
	mysqlQuery("UPDATE `stats` SET `dmoz`='$dmoz',`backlinks`='$backlinks',`pageSpeed`='$pagespeed' WHERE `url`='$url'");
	
	unset($stats);
	
	}

return true;
	
}

function getMozApi() {

	$array = @mysql_fetch_array(mysqlQuery("SELECT mozAccessID,mozSecretKey FROM `apiSettings`"));

return $array;

}

function socialMediaStats($url) {

	if(urlExists2($url)) {

	$stats  = new NEXStats($url);
	
	$googlePlus = $stats->getGooglePlusOneCount();
	
	$twitterShares  = $stats->getTwitterShares();
	
	$linkedInShares = $stats->getLinkedInShares();
	
	$facebookStats  = $stats->getFacebookStats();
	
	if ($facebookStats) {
	
		$facebookLikes= $facebookStats[0]['like_count'];
		
		$facebookShares   = $facebookStats[0]['share_count'];
		
		$facebookComments = $facebookStats[0]['comment_count'];
	
	}
	
	$stumbleUponShares = $stats->getStumbleUponShares();
	
	$pinterestShares   = $stats->getPinterestShares();
	
	$vkShares  = $stats->getVKShares();
	
	mysqlQuery("UPDATE stats SET `googleplus`='$googlePlus',`facebooklikes`='$facebookLikes',`facebookshares`='$facebookShares',`facebookcomments`='$facebookComments',`tweets`='$twitterShares',`linkedin`='$linkedInShares',`pinterest`='$pinterestShares',`stumbleupon`='$stumbleUponShares',`vkontakte`='$vkShares' WHERE `url`='$url'") or die(mysql_error());
	
	unset($stats);
	
	}
}

function searchEnginesIndexStats($url) {

	if(urlExists2($url)) {

	$stats  = new NEXStats($url);
	
	$google_results = $stats->getGoogleCount();
	
	$bing_results   = $stats->getBingCount();
	
	$yahoo_index= $stats->getYahooCount();
	
	mysqlQuery("UPDATE stats SET googleIndex='$google_results', bingIndex='$bing_results', yahooIndex='$yahoo_index' WHERE `url`='$url'");
	
	unset($stats);
	
	}
	
}

function rankingStats($url) {

	if(urlExists2($url)) {
	
	$mozApi = getMozApi();

	$stats  = new NEXStats($url);

	$googleRank = $stats->getGooglePagerank();

	$alexaRank  = $stats->getAlexaRank();
	
	$bounceRate = $stats->getAlexaBounceRate();
	
	$domainAuthority = $stats->domainAuthority($mozApi['mozAccessID'],$mozApi['mozSecretKey']);
	
	if(!$bounceRate)
	$bounceRate = $stats->getBounceRate($domainAuthority,$googleRank);
	
	$dailyUniqueVisitors = $stats->dailyUniqueVisitors($alexaRank);
	
	$dailyPageViews = $stats->dailyPageViews($googleRank,$dailyUniqueVisitors);

	mysqlQuery("UPDATE stats SET googlePagerank='$googleRank', alexaRank='$alexaRank',`bounceRate`='$bounceRate',`domainAuthority`='$domainAuthority',`uniqueVisitors`='$dailyUniqueVisitors',`pageViews`='$dailyPageViews' WHERE `url`='$url'");

	unset($stats);
	
	}

}

function websiteSafetyStats($url) {

	if(urlExists2($url)) {

	$stats  = new NEXStats($url);
	
	$googleSafeBrowsing = $stats->getGoogleSafeBrowsingCheck();
	
	$spamhausCheck  = $stats->getSpamhausCheck();
	
	$update_stats   = "UPDATE stats SET safeBrowsing='$googleSafeBrowsing', spamhausCheck='$spamhausCheck' WHERE `url`='$url'";
	
	mysqlQuery($update_stats);
	
	unset($stats);
	
	}
}

function getRemoteContents($url, $retries=5) {
	
		$USER_AGENT = $_SERVER['HTTP_USER_AGENT'];
		
		$result = "";
	
		if (extension_loaded('curl') === true) {
		
			$ch=curl_init();
			
			curl_setopt($ch, CURLOPT_TIMEOUT, 5);
			
			curl_setopt($ch, CURLOPT_USERAGENT, $USER_AGENT);
			
			curl_setopt($ch, CURLOPT_FOLLOWLOCATION, 1);
			
			curl_setopt($ch, CURLOPT_RETURNTRANSFER,1);
			
			curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
			
			curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
			
			curl_setopt($ch, CURLOPT_URL, $url);
			
			$result = curl_exec($ch);
						
			curl_close($ch);
			
			unset($ch);
			
		} else {
		
			$options  = array('http' => array('user_agent' => $USER_AGENT, 'timeout' => 5));
			
			$context  = stream_context_create($options);
			
			$result = trim(file_get_contents($url,false, $context));
			
		}
		
		if (trim($result)=="") {
			
			$retries-=1;
			
			if ($retries >= 1) {
			
				return getRemoteContents($url, $retries);
				
			}
			
		}
		
	return $result;
	
}

function isRegisterd($domain) {

	$domain = str_replace("http://","",$domain);
	
	$domain = subdomain2domain($domain);
	
	$result  = generateResponse($domain);

	return ($result['regrinfo']['registered']=="yes" || isset($result['regrinfo']['domain']['created']) || isset($result['regrinfo']['domain']['nserver'])) ? true:false;

}

function getAdsInfo() {
	
	$array = @mysql_fetch_array(mysqlQuery("SELECT * FROM `ads`"));

	return $array;

}

function getSocialInfo() {
	
		
	$array = @mysql_fetch_array(mysqlQuery("SELECT * FROM `socialProfiles`"));
	
	return $array;

}

function analyticsCode() {

	$query = mysqlQuery("SELECT trackingCode FROM `analytics`");
	
	$array = @mysql_fetch_array($query);
	
return $array['trackingCode'];

}

function domainInformation($url) {

	if(urlExists2($url)) {
	
	$stats = new NEXStats($url);
	
	$metaData = $stats->getMetaData();
	
	$title = mysql_real_escape_string($metaData['title']);
	
	$description = mysql_real_escape_string($metaData['description']);
	
	$keywords = mysql_real_escape_string($metaData['keywords']);
	
	$result  = generateResponse($url);
	
	$registrar   = $result['regyinfo']['registrar'];
	
	$creation_date   = $result['regrinfo']['domain']['created'];
	
	$updation_date   = $result['regrinfo']['domain']['changed'];
	
	$expiration_date = $result['regrinfo']['domain']['expires'];
	
	mysqlQuery("UPDATE stats SET `registrar`='$registrar', `creationDate`='$creation_date', `expirationDate`='$expiration_date', `updationDate`='$updation_date',`metaTitle`='$title',`metaDescription`='$description',`metaKeywords`='$keywords' WHERE `url`='$url'");
	
	}
}

function webServerInformation($url) {

	if(urlExists2($url)) {
	
	$stats = new NEXStats($url);
	
	$headerResponse = mysql_real_escape_string($stats->getHeaderResponse());
	
	$result = generateResponse($url);
	
	$arrayNsIps = array();
	
	foreach ($result['regrinfo']['domain']['nserver'] as $ns) {
	
		array_push($arrayNsIps, $ns);
		
	}
	$newArray = array_merge(array_keys($result['regrinfo']['domain']['nserver']), $arrayNsIps);
	
	$totalNs  = count($newArray) / 2;
	
	if ($totalNs > 0) {
	
		$host1= $newArray[0];
		
		$ip1  = $newArray[$totalNs];
		
		$data = json_decode(getRemoteContents("http://www.telize.com/geoip/$ip1"), true);
		
		$country1 = $data['country_code'];
	}
	
	if ($totalNs > 1) {
	
		$host2= $newArray[1];
		
		$ip2  = $newArray[$totalNs + 1];
		
		$data = json_decode(getRemoteContents("http://www.telize.com/geoip/$ip2"), true);
		
		$country2 = $data['country_code'];
	}
	
	if ($totalNs > 2) {
	
		$host3= $newArray[2];
		
		$ip3  = $newArray[$totalNs + 2];
		
		$data = json_decode(getRemoteContents("http://www.telize.com/geoip/$ip3"), true);
		
		$country3 = $data['country_code'];
	}
	
	if ($totalNs > 3) {
	
		$host4= $newArray[3];
		
		$ip4  = $newArray[$totalNs + 3];
		
		$data = json_decode(getRemoteContents("http://www.telize.com/geoip/$ip4"), true);
		
		$country4 = $data['country_code'];
		
	}
	
	$latLong   = json_decode(getRemoteContents("http://www.telize.com/geoip/$ip1"), true);
	
	$latitude  = $latLong['latitude'];
	
	$longitude = $latLong['longitude'];
	
	mysqlQuery("UPDATE stats SET `host1`='$host1',`host2`='$host2',`host3`='$host3',`host4`='$host4',`ip1`='$ip1',`ip2`='$ip2',`ip3`='$ip3',`ip4`='$ip4',`country1`='$country1',`country2`='$country2',`country3`='$country3',`country4`='$country4',latitude='$latitude',longitude='$longitude',`headerResponse`='$headerResponse' WHERE `url`='$url'");
	
	}
}

function sencrypt($text) {

	return strtr(base64_encode($text), '+/=', '-_,');

}

function sdecrypt($text) {

	return base64_decode(strtr($text, '-_,', '+/='));

}

function resetPass($email) {

	$query = mysqlQuery("SELECT `username` FROM `settings` WHERE `email`='$email'");
	
	$array = @mysql_fetch_array($query);
	
	$username = $array['username'];
	
	$password = genPassword();
	
	sendEmail(getAdminEmail(), "noreply@" . getDomain(rootPath()), "Password Received", "Your Login Details Updated - " . getMetaTitle() , "Your Login Details Updated<br/>Username: " . $username . "<br/>Your new password is: " . $password . "<br/>Login Here: " . rootPath() . '/admin');
	
	mysqlQuery("UPDATE settings SET password='" . md5($password) . "' WHERE email='$email'");
	
}
function getMetaTitle() {

	$array = @mysql_fetch_array(mysqlQuery("SELECT `title` FROM `settings`"));
	
	if ($array['title'] != "")
		return $array['title'];
		
return "Website Value Calculator";

}

function getMetaInfo() {
	
	$array = @mysql_fetch_array(mysqlQuery("SELECT `title`,`description`,`metaTags` FROM `settings`"));
	
	return $array;

}

function getAdminEmail() {

	$array = @mysql_fetch_array(mysqlQuery("SELECT `email` FROM `settings`"));

return $array['email'];

}
function getMetaDescription() {

	$array = @mysql_fetch_array(mysqlQuery('SELECT `description` FROM settings'));

	if (trim($array['description']))
		return trim($array['description']);

return '';
}

function getMetaKeywords() {

	$array = @mysql_fetch_array(mysqlQuery('SELECT `metaTags` FROM settings'));

	if (trim($array['metaTags']) != "")
		return trim($array['metaTags']);
		
return '';
}

function valid_url($url) {

	$url = httpify($url);
	
	$url = "http://" . getdomain($url);
	
	$validation = filter_var($url, FILTER_VALIDATE_URL, FILTER_FLAG_HOST_REQUIRED) && (preg_match("#^http(s)?://[a-z0-9-_.]+\.[a-z]{2,4}#i", $url));
	
	if ($validation)
		return true;
	else
		return false;
	
}

function httpify($link) {

	if (preg_match("#https?://#", $link) === 0) $link = 'http://' . $link;
		return $link;

}
function sendEmail($to, $from, $name, $subject, $body) {

	if(emailType() == '0')
	{
		$admin = getUser();
		
		$mail = new SimpleMail();
	   
		$mail->setTo($to, 'Admin');
		
		$mail->setSubject($subject);
		
		$mail ->setFrom($from,$name);
		
		$mail->addMailHeader('Reply-To', $from, $name);
		
		$mail->addGenericHeader('X-Mailer', 'PHP/' . phpversion());
		
		$mail->addGenericHeader('Content-Type', 'text/html; charset="utf-8"');
		
		$mail->setMessage("<html><body><p face='Georgia, Times' color='red'><p>Hello! <b>" . ucwords($admin) . "</b>,</p> <p>" . $body . "</p><br /><br /><p>Sent Via <a href='" . rootPath() . "'>" . getMetaTitle() . "</a></p>");
		
		$mail->setWrap(100);
		
		$send = $mail->send();
	}
	else if(emailType() == 1)
	{
		$admin = getUser();
		
		$row = mysql_fetch_array(mysql_query("SELECT * FROM `emailSettings`"));
		
		$host = $row['host'];
		
		$port = $row['port'];
		
		$username = $row['username'];
		
		$password = $row['password'];
		
		$from = $row['email'];
		
		$mail = new PHPMailer; 
		
		$mail->isSMTP();  
		
		$mail->Host = $host;
		
		$mail->SMTPAuth = true; 
		
		$mail->Username = $username;
		
		$mail->Password = $password; 
		
		$mail->SMTPSecure = 'tls'; 
		
		$mail->Port = $port;  
		
		$mail->From = $from;
		
		$mail->FromName = $name;
		
		$mail->addAddress($to,$name);
		
		$mail->addReplyTo($from,"Admin");   
		
		$mail->isHTML(true);  
		
		$mail->Subject = $subject;
		
		$mail->Body = "<html><body><p face='Georgia, Times' color='red'><p>Hello! <b>" . ucwords($admin) . "</b>,</p> <p>" . $body . "</p><br /><br /><p>Sent Via <a href='" . rootPath() . "'>" . getMetaTitle() . "</a></p>";
		
		$mail->send();
	}
}

function sendUserEmail($subject,$message,$to,$from,$name,$link)
{
	if(emailType() == '0')
	{
		$mail = new SimpleMail();
		  
		$mail->setTo($to);
		
		$mail->setSubject($subject);
		
		$mail ->setFrom($from,$name);
		
		$mail->addMailHeader('Reply-To', $from, $name);
		
		$mail->addGenericHeader('X-Mailer', 'PHP/' . phpversion());
		
		$mail->addGenericHeader('Content-Type', 'text/html; charset="utf-8"');
		
		
		if($name == "New Message")
		{
			$mail->setMessage("<h3>'".$subject."'</h3></br></br><div style='padding:0 30px;'><div style='display:block;padding:0 30px 0 15px;border-left:2px solid #aaa;font-size:12px;color:#666;'><p>".$message."</p></div></div><p style='padding:30px;font-family:Arial;font-size:14px;line-height:19px;'><b>See full Conversation</b><br><a style='color:#5B9A29;' href='".$link."' target='_blank'>".$link."</a>
			</p>");
		}
		else if($link == "")
		{
			$mail->setMessage("<h3>'".$subject."'</h3></br></br><div style='padding:0 30px;'><div style='display:block;padding:0 30px 0 15px;border-left:2px solid #aaa;font-size:12px;color:#666;'><p>".$message."</p></div></div>");
		}
		else
		{
			$mail->setMessage("<h3>'".$subject."'</h3></br></br><div style='padding:0 30px;'><div style='display:block;padding:0 30px 0 15px;border-left:2px solid #aaa;font-size:12px;color:#666;'><p>".$message."</p></div></div><p style='padding:30px;font-family:Arial;font-size:14px;line-height:19px;'><b>Enter the Code Above or click the link Below</b><br><a style='color:#5B9A29;' href='".$link."' target='_blank'>".$link."</a></p>");
		}
					
		$mail->setWrap(100);
			  
		$send = $mail->send();	
	}
	else if(emailType() == 1)
	{
		$row = mysql_fetch_array(mysql_query("SELECT * FROM `emailSettings`"));
		
		$host = $row['host'];
		
		$port = $row['port'];
		
		$username = $row['username'];
		
		$password = $row['password'];
		
		$from = $row['email'];
		
		$mail = new PHPMailer; 
		
		$mail->isSMTP();  
		
		$mail->Host = $host;
		
		$mail->SMTPAuth = true; 
		
		$mail->Username = $username;
		
		$mail->Password = $password; 
		
		$mail->SMTPSecure = 'tls'; 
		
		$mail->Port = $port;  
		
		$mail->From = $from;
		
		$mail->FromName = $name;
		
		$mail->addAddress($to,$name);
		
		$mail->addReplyTo($from,"Admin");   
		
		$mail->isHTML(true);  
		
		$mail->Subject = $subject;
		
		if($name == "New Message")
		{
			$mail->Body = "<h3>'".$subject."'</h3></br></br><div style='padding:0 30px;'><div style='display:block;padding:0 30px 0 15px;border-left:2px solid #aaa;font-size:12px;color:#666;'><p>".$message."</p></div></div><p style='padding:30px;font-family:Arial;font-size:14px;line-height:19px;'><b>See full Conversation</b><br><a style='color:#5B9A29;' href='".$link."' target='_blank'>".$link."</a>
			</p>";
		}
		else if($link == "")
		{
			$mail->Body ="<h3>'".$subject."'</h3></br></br><div style='padding:0 30px;'><div style='display:block;padding:0 30px 0 15px;border-left:2px solid #aaa;font-size:12px;color:#666;'><p>".$message."</p></div></div>";
		}
		else
		{
			$mail->Body = "<h3>'".$subject."'</h3></br></br><div style='padding:0 30px;'><div style='display:block;padding:0 30px 0 15px;border-left:2px solid #aaa;font-size:12px;color:#666;'><p>".$message."</p></div></div><p style='padding:30px;font-family:Arial;font-size:14px;line-height:19px;'><b>Enter the Code Above or click the link Below</b><br><a style='color:#5B9A29;' href='".$link."' target='_blank'>".$link."</a></p>";
		}
		$mail->send();
	}
}

function genPassword() {

	$chars = "abcdefghijkmnopqrstuvwxyz023456789";
	
	srand((double) microtime() * 1000000);
	
	$i= 0;
	
	$pass = '';
	
	while ($i <= 8) {
	
	$num  = rand() % 33;
	
	$tmp  = substr($chars, $num, 1);
	
	$pass = $pass . $tmp;
	
	$i++;
	
	}

return $pass;

}

function is_alpha($val) {

	return (bool) preg_match("/^([a-zA-Z ])+$/i", $val);

}

function is_alphaNum($val) {

	return (bool) preg_match("/^([a-zA-Z0-9 ])+$/i", $val);

}

function checkEmail($email) {

	return preg_match('/^\S+@[\w\d.-]{2,}\.[\w]{2,6}$/iU', $email) ? true : false;
	
}

function emailExists($email) {

	$query  = mysqlQuery("SELECT `username` FROM `settings` WHERE `email`='$email'");
	
	if (@mysql_num_rows($query) > 0)
		return true;
	
	return false;

}

function givenEmailExists($email,$id) {

	$query  = mysqlQuery("SELECT `userName` FROM `users` WHERE `email`='$email' AND `id`!='$id'");
	
	if (@mysql_num_rows($query) > 0)
		return true;
	
	return false;

}

function bad_domain($url) {

	$str   = strtolower($url);
	
	$fetch = @mysql_fetch_array(mysqlQuery("SELECT words FROM badWords"));
	
	if (trim($fetch['words']) != "") {
	
		if (strpos($fetch['words'],',') !== false) {
		
			$list = explode(",", strtolower($fetch['words']));
			
			foreach ($list as $list_word) {
			
				if (preg_match('/' . trim($list_word) . '/', $str))
					return true;
			}	} else {
			
		$list_word = trim(strtolower($fetch['words']));
		
		if (preg_match('/' . trim($list_word) . '/', $str))
		return true;
		
		}
	}
	
return false;
	
}
function get_badwords() {

	$sql = "SELECT words FROM badwords";
	
	$query = mysqlQuery($sql);
	
	$fetch = @mysql_fetch_array($query);
	
return $fetch['words'];
	
}
function clean_feed($title) {

	$to_clean = array("#","%","&","$","*","{","}","(",")","@","^","|","/",";",".",",","`","!","\\",":","<",">","?","/","+",'"',"'");
	
	foreach ($to_clean as $symbol)
		$title = str_replace($symbol, "", $title);
		
return $title;

}

function getLargeLogo() {

	$fetch = @mysql_fetch_array(mysqlQuery("SELECT `largeLogo` FROM settings"));

return $fetch['largeLogo'];

}

function getLogo() {

	$fetch = @mysql_fetch_array(mysqlQuery("SELECT `logo` FROM `settings`"));
	
return $fetch['logo'];

}

function getFavicon() {

	$fetch = @mysql_fetch_array(mysqlQuery("SELECT `favicon` FROM `settings`"));

return $fetch['favicon'];

}

function rssEnable() {

	$query = mysqlQuery("SELECT `enable` from `rssSettings`");
	
	$array = @mysql_fetch_array($query);
	
return $array['enable'];

}

function domainNotUpdated($url) {

if(urlExists2($url)) {

	$statsArray = @mysql_fetch_array(mysqlQuery("SELECT `dateUpdated` from `stats` WHERE `url`='$url' AND `status`='1'"));
	$updateInterval = @mysql_fetch_array(mysqlQuery("SELECT `updateInterval` from `contentSettings`"));
	$today = date("Y-m-d");
	$dateUpdated = strtotime($statsArray['dateUpdated']);
	$dateUpdated = date("Y-m-d", $dateUpdated);
	$daysBetween = abs($dateUpdated-$today);
	$daysBetween = ceil((strtotime($today)- strtotime($dateUpdated))/24/3600);
	if( $daysBetween >= $updateInterval['updateInterval'])
	return true;
}

return false;
}

function captchaStatsStatus() {
	

	$array = @mysql_fetch_array(mysqlQuery("SELECT `captchaStatsStatus` FROM `captchaSettings`"));
	
	if ($array['captchaStatsStatus'])
		return true;
	
return false;
}

function captchaContactStatus() {

	$array = @mysql_fetch_array(mysqlQuery("SELECT `captchaContactStatus` FROM `captchaSettings`"));
	
	if ($array['captchaContactStatus'])
		return true;
	
return false;

}

function captchaAdminLoginStatus() {

	$array = @mysql_fetch_array(mysqlQuery("SELECT `captchaAdminLoginStatus` FROM captchaSettings"));

	if ($array['captchaAdminLoginStatus'])
		return true;

return false;

}

function rssLimit() {

	$query = mysqlQuery("SELECT `rssLimit` FROM rssSettings");
	
	$array = @mysql_fetch_array($query);
	
	if ($array['rssLimit'])
		return $array['rssLimit'];
	
return 0;

}

function rssUpdatedDate() {

	$query = "SELECT dateUpdated FROM stats WHERE `status`='1' ORDER BY `id` DESC LIMIT 1";
	
	$array = @mysql_fetch_array($query);
	
	if ($array['dateUpdated'])
		return date(DATE_RFC3339, strtotime($array['dateUpdated']));
	
return date(DATE_RFC3339);
	
}

function gen_permalink($title) {

	$permalink = strtolower(strip_tags($title));
	
	if (!mb_check_encoding($permalink, "UTF-8")) {
	
		$permalink = preg_replace('/[^a-z0-9]/i', ' ', $permalink);
		
		$permalink = trim(preg_replace("/[[:blank:]]+/", " ", $permalink));
		
		$permalink = strtolower(str_replace(" ", "-", $permalink));
		
	} else {
	
	$permalink = trim($title);
	
	$permalink = str_replace(" ", "-", $permalink);
	
	}
	$permalink = clean_permalink($permalink);
	
	return strtolower($permalink);

}

function clean_permalink($permalink) {

	$to_clean  = array("#","%","&","$","*","{","}","(",")","@","^","|","/",";",".",",","`","!","\\",":","<",">","?","/","+",'"',"'");
	
	$permalink = str_replace(" ", "-", $permalink);
	
	foreach ($to_clean as $symbol) {
	
		$permalink = str_replace($symbol, "", $permalink);
	
	}
	while (strpos($permalink, '--') != false)
		$permalink = str_replace("--", "-", $permalink);
	
	$permalink = rtrim($permalink, "-");
	
	$permalink = ltrim($permalink, "-");
	
	if ($permalink != "-")
		return $permalink;
	else
		return "";
		
}

function incrementPageViews() {

	$date = date("Y-m-d");

	$rows = @mysql_num_rows(mysqlQuery("SELECT `pageViews` FROM `websiteStats` WHERE `dateTime`='$date'"));
	
	if ($rows > 0) {
	
		mysqlQuery("UPDATE `websiteStats` SET `pageViews`=`pageViews`+1 WHERE `dateTime`='$date'");
	
	} else {
	
		mysqlQuery("INSERT INTO `websiteStats`(`pageViews`, `uniqueHits`, `searches`, `dateTime`) VALUES ('1','0','0','$date')");
	
	}
	
}

function incrementUniqueHit() {

	$date = date("Y-m-d");

	$rows = @mysql_num_rows(mysqlQuery("SELECT uniqueHits FROM `websiteStats` WHERE `dateTime`='$date'"));

	if ($rows > 0) {

		mysqlQuery("UPDATE `websiteStats` SET `uniqueHits`=`uniqueHits`+1 WHERE `dateTime`='$date'");

	} else {

		mysqlQuery("INSERT INTO `websiteStats`(`pageViews`, `uniqueHits`, `searches`, `dateTime`) VALUES ('0','1','0','$date')");

	}

}

function countSearches() {

	$date = date("Y-m-d");

	$rows = @mysql_num_rows(mysqlQuery("SELECT searches FROM `websiteStats` WHERE `dateTime`='$date'"));

	if ($rows > 0) {

		mysqlQuery("UPDATE `websiteStats` SET `searches`=`searches`+1 WHERE `dateTime`='$date'");

	} else {

		mysqlQuery("INSERT INTO `websiteStats`(`pageViews`, `uniqueHits`, `searches`, `dateTime`) VALUES ('0','0','1','$date')");

	}

}

function rssFeedEncode($content) {

return utf8_encode(htmlentities($content,ENT_COMPAT,'utf-8'));

}

function taggedCount($tag) {

$result = @mysql_fetch_array(mysqlQuery("SELECT COUNT(id) AS total FROM `stats` WHERE `status`='1' AND (`url` LIKE '%$tag%' OR `metaTitle` LIKE '%$tag%' OR `metaKeywords` LIKE '%$tag%' OR `metaDescription` LIKE '%$tag%')"));

return $result['total'];

}

function check_Registerd($url) {
	
	$result  = generateResponse($url);	
	
	if($result['regrinfo']['registered']=="yes" || isset($result['regrinfo']['domain']['created']) || isset($result['regrinfo']['domain']['nserver']))	
		return '1';
	else
		return '0';

}

function subdomain2domain($url) {

	while(substr_count($url, '.') > 1 && !check_Registerd($url)) {

		$array = explode('.', $url, 2);

		$url = $array[1];

	}

	return $url;

}

function isAlive($url) {

	$url = getDomain($url);

	if(substr_count($url, '.')>1) {

		$stats = new NEXStats($url);
		$response = $stats->getHeaderResponse();
		if($response!="")
		return true;
		return false;

	}

	return true;

}

function authenticate($username, $password) {

	$username = mres($username);
	
	$password = md5($password);
	
	$sql  = "SELECT `email` FROM `settings` WHERE `username`='$username' and `password`='$password'";
	
	$query= mysqlQuery($sql);
	
	if (@mysql_num_rows($query) > 0)
		return true;
	
return false;

}

function getUser() {

	$array = @mysql_fetch_array(mysqlQuery("SELECT `username` FROM `settings`"));
	
	if ($array['username'])
		return $array['username'];
	
}

function analyticsEnabled() {

	$array = @mysql_fetch_array(mysqlQuery("SELECT `status` FROM `analytics`"));
	
	if ($array['status'])
		return true;
	
return false;

}

function websiteStarRating($url) {

	$array = @mysql_fetch_array(mysqlQuery("SELECT googlePagerank,bounceRate,pageSpeed,domainAuthority FROM `stats` WHERE `url`='$url'"));
	
	$pagerank = $array['googlePagerank'];
	
	$bouncerate = $array['bounceRate'];
	
	$pagespeed = $array['pageSpeed'];
	
	$domainauthority = $array['domainAuthority'];
	
	$pagerank_1= 200;
	
	$bouncerate_1 = 5;
	
	$pagespeed_1 = 5;
	
	$domainauthority_1 = 10;
	
	$pagerank *= $pagerank_1;
	
	$bouncerate *= $bouncerate_1;
	
	$pagespeed *= $pagespeed_1;
	
	$domainauthority *= $domainauthority_1;
	
	$total = $pagerank + $domainauthority + $pagespeed - $bouncerate;
	
	$stars = ($total * 100)/2500;
	
	if($stars>100)
		$stars = 100;

return $stars;
}

function label_class_selector($value) {

	if ($value < 1)
		echo "danger";
	else if ($value > 0 && $value < 100)
		echo "warning";
	else if ($value >= 100 && $value < 500)
		echo "info";
	else if ($value >= 500 && $value < 1000)
		echo "primary";
	else if ($value >= 1000)
		echo "success";
	
}

function alexa_label_class_selector($value) {

	if ($value > 100000 || $value==0)
		echo "danger";
	else if ($value > 50000 && $value <= 100000)
		echo "warning";
	else if ($value >= 10000 && $value <= 50000)
		echo "info";
	else if ($value > 1000 && $value <= 10000)
		echo "primary";
	else if ($value <= 1000)
		echo "success";
	
}

function label_100_class_selector($value) {

	if ($value < 1)
		echo "danger";
	else if ($value > 0 && $value < 10)
		echo "warning";
	else if ($value >= 10 && $value < 50)
		echo "info";
	else if ($value >= 50 && $value < 80)
		echo "primary";
	else if ($value >= 80)
		echo "success";

}

function urlExists($url) {

	if (@mysql_num_rows(mysqlQuery("SELECT `id` FROM `stats` WHERE `url`='$url' AND `status`='1'")) > 0)
		return true;
	
return false;

}

function urlExists2($url) {

	if (@mysql_num_rows(mysqlQuery("SELECT `id` FROM `stats` WHERE `url`='$url'")) > 0)
		return true;
	
return false;

}

function showCacheEnable() {
	
	$row = @mysql_fetch_array(mysqlQuery("SELECT `showCacheEnable` FROM `cacheSettings`"));
	
	return $row['showCacheEnable'];
	  
}

function showCacheExpireTime() {
	
	$row = @mysql_fetch_array(mysqlQuery("SELECT `showCacheExpireTime` FROM `cacheSettings`"));
	
	return $row['showCacheExpireTime'];
	
}

function fetchWebsiteStats($url) {
	
	$showCacheEnable = showCacheEnable();
	
	if($showCacheEnable) {
	
		$cache = phpFastCache();  
		
		$showCacheExpireTime = showCacheExpireTime();
		
		$statsArray = $cache->get("stats_$url");
		
		if($statsArray==null) {
			
			$statsArray = @mysql_fetch_array(mysqlQuery("SELECT * FROM `stats` WHERE `url`='$url' AND `status`='1'"));
			
			$cache->set("stats_$url", $statsArray, $showCacheExpireTime);
			
			unset($cache);
			
		}
	}
	else {
		
		$statsArray = @mysql_fetch_array(mysqlQuery("SELECT * FROM `stats` WHERE `url`='$url' AND `status`='1'"));	
	}
	
	return $statsArray;
}

function printStars($rating) {

	if($rating <= 0) { ?>
	
		<img alt="star rating" src="static/images/star-off.png">
		<img alt="star rating" src="static/images/star-off.png">
		<img alt="star rating" src="static/images/star-off.png">
		<img alt="star rating" src="static/images/star-off.png">
		<img alt="star rating" src="static/images/star-off.png">
		
	<?php } else if($rating > 0 && $rating <= 20) { ?>
	
		<img alt="star rating" src="static/images/star-on.png">
		<img alt="star rating" src="static/images/star-off.png">
		<img alt="star rating" src="static/images/star-off.png">
		<img alt="star rating" src="static/images/star-off.png">
		<img alt="star rating" src="static/images/star-off.png">
		
	<?php } else if($rating > 20 && $rating <= 40) { ?>
	
		<img alt="star rating" src="static/images/star-on.png">
		<img alt="star rating" src="static/images/star-on.png">
		<img alt="star rating" src="static/images/star-off.png">
		<img alt="star rating" src="static/images/star-off.png">
		<img alt="star rating" src="static/images/star-off.png">
		
	<?php } else if($rating > 40 && $rating <= 60) { ?>
	
		<img alt="star rating" src="static/images/star-on.png">
		<img alt="star rating" src="static/images/star-on.png">
		<img alt="star rating" src="static/images/star-on.png">
		<img alt="star rating" src="static/images/star-off.png">
		<img alt="star rating" src="static/images/star-off.png">
		
	<?php } else if($rating > 60 && $rating <= 80) { ?>
	
		<img alt="star rating" src="static/images/star-on.png">
		<img alt="star rating" src="static/images/star-on.png">
		<img alt="star rating" src="static/images/star-on.png">
		<img alt="star rating" src="static/images/star-on.png">
		<img alt="star rating" src="static/images/star-off.png">
		
	<?php } else if($rating > 80 && $rating <= 100) { ?>
	
		<img alt="star rating" src="static/images/star-on.png">
		<img alt="star rating" src="static/images/star-on.png">
		<img alt="star rating" src="static/images/star-on.png">
		<img alt="star rating" src="static/images/star-on.png">
		<img alt="star rating" src="static/images/star-on.png">
		
	<?php }
	
}

function is_alphaNumeric($string) {

	if(preg_match('/^[a-zA-Z]+[a-zA-Z0-9._]+$/', $string))
	return true;
	
return false;

}

function NexthonCopyRights () {

	echo 
	"<!--
	 __  _ _____   _______ _  _  __  __  _       ___ __  __ __
	|  \| | __\ \_/ /_   _| || |/__\|  \| |     / _//__\|  V  |
	| | ' | _| > , <  | | | >< | \/ | | ' | __ | \_| \/ | \_/ |
	|_|\__|___/_/ \_\ |_| |_||_|\__/|_|\__| \/  \__/\__/|_| |_|

	   Product of NEXTHON. All rights Reserved By NEXTHON.COM
	 More Amazing Products : http://codecanyon.net/user/Nexthon
	-->";

}

function longDescription($url,$language) {

	$statsArray = @mysql_fetch_array(mysqlQuery("SELECT * FROM `stats` WHERE `url`='$url'"));
	if($statsArray['creationDate'] == "0000-00-00")
	$domainAge = ucfirst($statsArray['url']);
	else 
	$domainAge = ucfirst($statsArray['url']) . " " . $language['is'] . " " . str_replace($language['ago'],$language['old'],domainAge($statsArray['creationDate'],$language)) . ". ";
	
	if($statsArray['creationDate'] == "0000-00-00")
	$trafficRank = $language['has_global_traffic_rank'] . number_format($statsArray['alexaRank']). ". ";
	else 
	$trafficRank = $language['it_has_global_traffic_rank'] . number_format($statsArray['alexaRank']). ". ";
	
	$domainParts = explode(".",subdomain2domain($statsArray['url']));
	
	$domainExtension = $language['its_domain_having'] . $domainParts[1] ." ".$language['extension']." ";
	
	$googlePagerank = $language['its_pagerank_is'] . " " .$statsArray['googlePagerank'] . $language['fs_10'] . " ";
	
	$worthIncome = ucfirst($statsArray['url']) ." ".$language['has_estimated_worth_of'] . " " .  convert_currency($statsArray['worth']) . " " .$language['and_have_a_daily_income_of_around'] ." ". convert_currency($statsArray['income']) . ".";
	
	if($statsArray['dmoz']) {
	
		$dmozList = $language['it_is_also_listed_on_dmoz'];
		
	} else {
	
		$dmozList = $language['it_is_not_listed_on_dmoz'];
	
	}
	if($statsArray['safeBrowsing'] && $statsArray['spamhausCheck']) {
	
		$safeWeb = $language['no_active_threats_were_reported_so_it_is_safer_to_browse'];
	
	} else {
	
		$safeWeb = $language['some_threats_were_reported_so_it_may_not_considered_safer_to_browse'];
		
	}

return ($domainAge.$trafficRank.$domainExtension.$googlePagerank.$dmozList.$safeWeb.$worthIncome);

}

function enableComments() {

	
	$array = @mysql_fetch_array(mysqlQuery("SELECT `enable` FROM `commentSettings`"));
	
	return $array['enable'];

}

function disqusUsername() {
	

	$array = @mysql_fetch_array(mysqlQuery("SELECT `disqusUsername` FROM `commentSettings`"));
	
	return $array['disqusUsername'];

}

function recentWebStatus() {

	$array = @mysql_fetch_array(mysqlQuery("SELECT `recentWebStatus` FROM `contentSettings`"));

return ($array['recentWebStatus']) ? true : false;

}
function topWebStatus() {

	$array = @mysql_fetch_array(mysqlQuery("SELECT `topWebStatus` FROM `contentSettings`"));
	
return ($array['topWebStatus']) ? true : false;
	
}

function sidebarWebStatus() {
	
	$array = @mysql_fetch_array(mysqlQuery("SELECT `sideWebStatus` FROM `contentSettings`"));

	return $array['sideWebStatus'];
	
}

function recentWebLimit() {

	$array = @mysql_fetch_array(mysqlQuery("SELECT `recentWebCount` FROM `contentSettings`"));
	
	return $array['recentWebCount'];

}

function topWebLimit() {

	$array = @mysql_fetch_array(mysqlQuery("SELECT `topWebCount` FROM `contentSettings`"));

return $array['topWebCount'];

}

function sideWebCount() {
	
	$array = @mysql_fetch_array(mysqlQuery("SELECT `sideWebCount` FROM `contentSettings`"));

	return $array['sideWebCount'];

}

function sidebarCacheEnable() {
	
	$row = @mysql_fetch_array(mysqlQuery("SELECT `sidebarCacheEnable` FROM `cacheSettings`"));
	
	return $row['sidebarCacheEnable'];
	  
}

function sidebarCacheExpireTime() {
	
	$row = @mysql_fetch_array(mysqlQuery("SELECT `sidebarCacheExpireTime` FROM `cacheSettings`"));
	
	return $row['sidebarCacheExpireTime'];
	
}

function fetchSimilarRanked($rating,$limit) {

	$sidebarCacheEnable = sidebarCacheEnable();
	
	if($sidebarCacheEnable) {

		$cache = phpFastCache();
			
		$sidebarCacheExpireTime = sidebarCacheExpireTime();	
			
		$fetchSimilarRanked = $cache->get("fetchSimilarRanked_$rating");
		
		if($fetchSimilarRanked==null) {
			
			$fetchSimilarRanked = array();
				
			$query = mysqlQuery("SELECT `url`, `worth`, `googlePagerank`, `alexaRank`, `backlinks`, `rating` FROM `stats` WHERE `rating` <= " . $rating . " AND `status`='1' ORDER BY `rating` DESC LIMIT $limit");
			
			while($fetchSimilarRanked[]=mysql_fetch_array($query));
			
			$cache->set("fetchSimilarRanked_$rating", $fetchSimilarRanked, $sidebarCacheExpireTime);
		}	
	}
	else {
		
		$fetchSimilarRanked = array();
				
		$query = mysqlQuery("SELECT `url`, `worth`, `googlePagerank`, `alexaRank`, `backlinks`, `rating` FROM `stats` WHERE `rating` <= " . $rating . " AND `status`='1' ORDER BY `rating` DESC LIMIT $limit");
			
		while($fetchSimilarRanked[]=mysql_fetch_array($query));
		
	}
	return $fetchSimilarRanked;
}

function fetchRecentWebsitesSidebar($limit) {

	$sidebarCacheEnable = sidebarCacheEnable();
	
	if($sidebarCacheEnable) {

		$cache = phpFastCache();
		
		$sidebarCacheExpireTime = sidebarCacheExpireTime();	
		
		$limit +=1;
			
		$fetchRecentWebsitesSidebar = $cache->get("fetchRecentWebsitesSidebar");
		
		if($fetchRecentWebsitesSidebar==null) {
		
			$fetchRecentWebsitesSidebar = array();
			
			$query = mysqlQuery("SELECT `url`, `worth`, `googlePagerank`, `alexaRank`, `backlinks`, `rating` FROM `stats` WHERE `status`='1' ORDER BY `dateUpdated` DESC LIMIT $limit");
			
			while($fetchRecentWebsitesSidebar[]=mysql_fetch_array($query));
			
			$cache->set("fetchRecentWebsitesSidebar", $fetchRecentWebsitesSidebar, $sidebarCacheExpireTime);
		
		}
	}
	else {
		
		$fetchRecentWebsitesSidebar = array();
			
		$query = mysqlQuery("SELECT `url`, `worth`, `googlePagerank`, `alexaRank`, `backlinks`, `rating` FROM `stats` WHERE `status`='1' ORDER BY `dateUpdated` DESC LIMIT $limit");
			
		while($fetchRecentWebsitesSidebar[]=mysql_fetch_array($query));
		
	}
	
return $fetchRecentWebsitesSidebar;
	
}

function urlStructure() {

	$array = @mysql_fetch_array(mysqlQuery("SELECT `urlStructure` FROM `settings`"));
	
return $array['urlStructure'];

}

function httpsStatus() {

	$array = @mysql_fetch_array(mysqlQuery("SELECT `httpsStatus` FROM `settings`"));
	
return $array['httpsStatus'];

}

function pagePeekerURL() {
$urls = array("http://free.pagepeeker.com","http://free3.pagepeeker.com","http://free4.pagepeeker.com");
return $urls[array_rand($urls)];
}

function genPagination($currentPage,$lastPage,$prevPage,$nextPage,$slug,$language) {

if($lastPage>1) {

	echo '<div class="centered">';
		echo '<ul class="pagination-md pagination">';
			echo '<li><a href="' . rootPath() . '/' . $slug  .'" class="page gradient">' . $language['first'] . '</a></li>';
		
	if ($currentPage > 1) {
	
	$i = ((int) $currentPage / 5) * 5 - 1;
	
	if (!($i + 5 > $lastPage)) {
	
		$tempLastPage = $i + 5;
	
	} else {
	
	if (($lastPage - 5) > 1)
	
		$i = $lastPage - 5;
	
	else
	
		$i = 1;
		
			$tempLastPage = $lastPage;
		
	}
	
	} else {
	
		$i = 1;
		
		if (!($i + 5 > $lastPage))
		
			$tempLastPage = 5;
		
		else
		
			$tempLastPage = $lastPage;
	
	}
	
	for ($i; $i <= $tempLastPage; $i++) {
		
		if ($i == $currentPage)
		
			echo ('<li class="active"><a href="'.rootPath().'/' . $slug . '/' . $i . '" class="page active">' . $i . '</a></li>');
		
		else
		
			echo ('<li><a href="'.rootPath().'/' . $slug . '/' . $i . '" class="page gradient">' . $i . '</a></li>');
		
	}
		
		echo ('<li><a href="' . rootPath() . '/' . $slug . '/' . $lastPage . '" class="page gradient">' . $language['last'] . '</a></li>');
	echo ('</ul>');
echo ('</div>');
}
}
if(!urlStructure() && substr($_SERVER['HTTP_HOST'], 0, 4) === 'www.') {

	$https = (httpsStatus() && isset($_SERVER['HTTPS'])) ? 'https://':'http://';

	if (substr($_SERVER['HTTP_HOST'], 0, 4) === 'www.') {

		header("HTTP/1.1 301 Moved Permanently");

		header('Location: ' . $https . substr($_SERVER['HTTP_HOST'], 4).$_SERVER['REQUEST_URI']);

		exit;

	}

} else if(urlStructure() && (strpos($_SERVER['HTTP_HOST'], 'www.') === false)) {

	$https = (httpsStatus() && isset($_SERVER['HTTPS'])) ? 'https://':'http://';

	if ((strpos($_SERVER['HTTP_HOST'], 'www.') === false)) {
	
		header("HTTP/1.1 301 Moved Permanently");
		
		header('Location: ' . $https . 'www.'.$_SERVER["HTTP_HOST"].$_SERVER["REQUEST_URI"]);
		
		exit();
	
	}

}


function indexCacheEnable() {
	
	$row = @mysql_fetch_array(mysqlQuery("SELECT `indexCacheEnable` FROM `cacheSettings`"));
	
	return $row['indexCacheEnable'];
	  
}

function indexCacheExpireTime() {
	
	$row = @mysql_fetch_array(mysqlQuery("SELECT `indexCacheExpireTime` FROM `cacheSettings`"));
	
	return $row['indexCacheExpireTime'];
	
}

function fetchTopIndex() {
	
	$indexCacheEnable = indexCacheEnable();
	
	if($indexCacheEnable) {
	
		$cache = phpFastCache();
		
		$indexCacheExpireTime = indexCacheExpireTime();
		
		$fetchTopIndex = $cache->get('fetchTopIndex');
		
		if($fetchTopIndex==null) {
			
			$fetchTopIndex = array();
			$query = mysqlQuery("SELECT url,worth FROM `stats` WHERE `status`='1' ORDER BY `worth` DESC LIMIT 10");
		
			while($fetchTopIndex[]=mysql_fetch_array($query));
			
			$cache->set('fetchTopIndex',$fetchTopIndex,$indexCacheExpireTime);
		}
	}
	else {
		
		$fetchTopIndex = array();
		
		$query = mysqlQuery("SELECT url,worth FROM `stats` WHERE `status`='1' ORDER BY `worth` DESC LIMIT 10");
		
		while($fetchTopIndex[]=mysql_fetch_array($query));
		
	}
	
	return $fetchTopIndex;
}

function fetchRecentIndex() {
	
	$indexCacheEnable = indexCacheEnable();   
	
	if($indexCacheEnable) {
		
		$cache = phpFastCache();
		
		$indexCacheExpireTime = indexCacheExpireTime();

		$fetchRecentIndex = $cache->get('fetchRecentIndex');
		
		if($fetchRecentIndex==null) {
			
			$fetchRecentIndex = array();
			
			$query = mysqlQuery("SELECT url,worth FROM `stats` WHERE `status`='1' ORDER BY `dateUpdated` DESC LIMIT 10");
			
			while($fetchRecentIndex[]=mysql_fetch_array($query));
			
			$cache->set('fetchRecentIndex',$fetchRecentIndex,$indexCacheExpireTime);
		}
	}
	else {
		
		$fetchRecentIndex = array();
			
		$query = mysqlQuery("SELECT url,worth FROM `stats` WHERE `status`='1' ORDER BY `dateUpdated` DESC LIMIT 10");
			
		while($fetchRecentIndex[]=mysql_fetch_array($query));
	}
	
	return $fetchRecentIndex;
}
function isRTLLayout() {

	$languageName = $_SESSION['language'];

	$array = @mysql_fetch_array(mysqlQuery("SELECT `RTLstatus` FROM `languages` WHERE `languageName`='$languageName'"));
	
	if ($array['RTLstatus'] == 1)
		return true;
	else return false;
}

function topCacheEnable() {
	
	$row = @mysql_fetch_array(mysqlQuery("SELECT `topCacheEnable` FROM `cacheSettings`"));
	
	return $row['topCacheEnable'];
	  
}

function topCacheExpireTime() {
	
	$row = @mysql_fetch_array(mysqlQuery("SELECT `topCacheExpireTime` FROM `cacheSettings`"));
	
	return $row['topCacheExpireTime'];
	
}

function historyCacheEnable() {
	
	$row = @mysql_fetch_array(mysqlQuery("SELECT `historyCacheEnable` FROM `cacheSettings`"));
	
	return $row['historyCacheEnable'];
	  
}

function historyCacheExpireTime() {
	
	$row = @mysql_fetch_array(mysqlQuery("SELECT `historyCacheExpireTime` FROM `cacheSettings`"));
	
	return $row['historyCacheExpireTime'];
}

function favoriteCacheEnable() {
	
	$row = @mysql_fetch_array(mysqlQuery("SELECT `favoriteCacheEnable` FROM `cacheSettings`"));
	
	return $row['favoriteCacheEnable'];  
}

function marketePlaceCacheEnable() {
	
	$row = @mysql_fetch_array(mysqlQuery("SELECT `favoriteCacheEnable` FROM `cacheSettings`"));
	
	return $row['favoriteCacheEnable'];  
}

function favoriteCacheExpireTime() {
	
	$row = @mysql_fetch_array(mysqlQuery("SELECT `favoriteCacheExpireTime` FROM `cacheSettings`"));
	
	return $row['favoriteCacheExpireTime'];
}

function fetchTopResultsArray($currentPage,$startResult,$limit) {
	
	$topCacheEnable = topCacheEnable();
	
	if($topCacheEnable) {
		
		$cache = phpFastCache();
		
		$topCacheExpireTime = topCacheExpireTime();
		
		$fetchTopResultsArray = $cache->get("fetchTopResultsArray_$currentPage");
		
		if($fetchTopResultsArray==null) {
			
			$fetchTopResultsArray = array();
			
			$query = mysqlQuery("SELECT * FROM `stats` WHERE `status`='1' ORDER BY `worth` DESC LIMIT $startResult,$limit");
			
			while($fetchTopResultsArray[]=mysql_fetch_array($query));
				
			$cache->set("fetchTopResultsArray_$currentPage", $fetchTopResultsArray,$topCacheExpireTime);
			
		}
	}
	else {
		
		$fetchTopResultsArray = array();
		
		$query = mysqlQuery("SELECT * FROM `stats` WHERE `status`='1' ORDER BY `worth` DESC LIMIT $startResult,$limit");
		
		while($fetchTopResultsArray[]=mysql_fetch_array($query));
	}
	
return $fetchTopResultsArray;  
	
}

function recentCacheEnable() {
	
	$row = @mysql_fetch_array(mysqlQuery("SELECT `recentCacheEnable` FROM `cacheSettings`"));
	
	return $row['recentCacheEnable'];
	  
}

function recentCacheExpireTime() {
	
	$row = @mysql_fetch_array(mysqlQuery("SELECT `recentCacheExpireTime` FROM `cacheSettings`"));
	
	return $row['recentCacheExpireTime'];
	
}

function marketCacheEnable() {
	
	$row = @mysql_fetch_array(mysqlQuery("SELECT `marketCacheEnable` FROM `cacheSettings`"));
	
	return $row['marketCacheEnable'];
	  
}

function marketCacheExpireTime() {
	
	$row = @mysql_fetch_array(mysqlQuery("SELECT `marketCacheExpireTime` FROM `cacheSettings`"));
	
	return $row['marketCacheExpireTime'];
	
}

function fetchHistoryResultsArray($currentPage,$startResult,$limit) {
	
	$historyCacheEnable = historyCacheEnable();
	
	$uid = $_SESSION['uid'];
	
	if($historyCacheEnable) {
	
		$cache = phpFastCache();
		
		$historyCacheExpireTime = historyCacheExpireTime();
		
		$historyCacheVariable = "fetchHistoryResultsArray_".$currentPage."_".$uid;
		
		$fetchHistoryResultsArray = $cache->get($historyCacheVariable);
		
		$cache->clean();
		
		if($fetchHistoryResultsArray==null) {
			
			$fetchHistoryResultsArray = array();
			
			$query = mysqlQuery("SELECT s.*,h.url FROM `stats` s ,`history` h WHERE s.`status`='1' AND s.url=h.url AND h.`uid`='$uid' ORDER BY h.`id` DESC LIMIT $startResult,$limit");
			
			while($fetchHistoryResultsArray[]=mysql_fetch_array($query));
				
			$cache->set($historyCacheVariable, $fetchHistoryResultsArray,$historyCacheExpireTime);
			
		}
	}
	else {
		
		$fetchHistoryResultsArray = array();
		
		$query = mysqlQuery("SELECT s.*,h.url FROM `stats` s ,`history` h WHERE s.`status`='1' AND s.url=h.url AND h.`uid`='$uid' ORDER BY h.`id` DESC LIMIT $startResult,$limit");
		
		while($fetchHistoryResultsArray[]=mysql_fetch_array($query));	
	}
	
	return $fetchHistoryResultsArray;	
}

function fetchFavoriteResultsArray($currentPage,$startResult,$limit) {
	
	$favoriteCacheEnable = favoriteCacheEnable();
	
	$uid = $_SESSION['uid'];
	
	if($favoriteCacheEnable) {
	
		$cache = phpFastCache();
		
		$favoriteCacheExpireTime = favoriteCacheExpireTime();
		
		$favoriteCacheVariable = "fetchFavoriteResultsArray_".$currentPage."_".$uid;
		
		$fetchFavoriteResultsArray = $cache->get($favoriteCacheVariable);
		
		if($fetchFavoriteResultsArray==null) {
			
			$fetchFavoriteResultsArray = array();
			
			$query = mysqlQuery("SELECT s.*,f.url FROM `stats` s ,`favoriteWebsites` f WHERE s.`status`='1' AND s.url=f.url AND f.uid='$uid' LIMIT $startResult,$limit");
			
			while($fetchFavoriteResultsArray[]=mysql_fetch_array($query));
				
			$cache->set($favoriteCacheVariable, $fetchFavoriteResultsArray,$favoriteCacheExpireTime);
			
		}
	}
	else 
	{
		$fetchFavoriteResultsArray = array();
		
		$query = mysqlQuery("SELECT s.*,f.url FROM `stats` s ,`favoriteWebsites` f WHERE s.`status`='1' AND s.url=f.url AND f.uid='$uid' LIMIT $startResult,$limit");
		
		while($fetchFavoriteResultsArray[]=mysql_fetch_array($query));	
	}
	
	return $fetchFavoriteResultsArray;	
}

function fetchRecentResultsArray($currentPage,$startResult,$limit) {
	
	$recentCacheEnable = recentCacheEnable();
	
	if($recentCacheEnable)	{
	
		$cache = phpFastCache();
		
		$recentCacheExpireTime = recentCacheExpireTime();
		
		$sortByRecent = $_SESSION['sortByRecent'];
		
		$sortOrderRecent = $_SESSION['sortOrderRecent'];
		
		$recentCacheVar = "fetchRecentResultsArray"."_".$currentPage."_".$sortByRecent."_".$sortOrderRecent;
		
		$fetchRecentResultsArray = $cache->get($recentCacheVar);
		
		if($fetchRecentResultsArray==null) {
			
			$fetchRecentResultsArray = array();
			
			if($_SESSION['sortByRecent'] == 'alexaRank')
			{
				if($_SESSION['sortOrderRecent'] == 'ASC')
				{
					$query = mysqlQuery("SELECT * FROM `stats` WHERE `status`='1' ORDER BY ".$_SESSION['sortByRecent']." DESC LIMIT $startResult,$limit");
				}
				else
				{
					$query = mysqlQuery("SELECT * FROM `stats` WHERE `status`='1' AND `alexaRank` > 0 ORDER BY ".$_SESSION['sortByRecent']." ASC LIMIT $startResult,$limit");
				}
			}
			else
			{
				$query = mysqlQuery("SELECT * FROM `stats` WHERE `status`='1' ORDER BY ".$_SESSION['sortByRecent']." ".$_SESSION['sortOrderRecent']." LIMIT $startResult,$limit");
			}
			
			while($fetchRecentResultsArray[]=mysql_fetch_array($query));
				
			$cache->set($recentCacheVar, $fetchRecentResultsArray,$recentCacheExpireTime);
			
		}
	}
	else {
		
		$fetchRecentResultsArray = array();
		
		if($_SESSION['sortByRecent'] == 'alexaRank')
		{
			if($_SESSION['sortOrderRecent'] == 'ASC')
				{
					$query = mysqlQuery("SELECT * FROM `stats` WHERE `status`='1' ORDER BY ".$_SESSION['sortByRecent']." DESC LIMIT $startResult,$limit");
				}
				else
				{
					$query = mysqlQuery("SELECT * FROM `stats` WHERE `status`='1' AND `alexaRank` > 0 ORDER BY ".$_SESSION['sortByRecent']." ASC LIMIT $startResult,$limit");
				}
		}
		else
		{
			$query = mysqlQuery("SELECT * FROM `stats` WHERE `status`='1' ORDER BY ".$_SESSION['sortByRecent']." ".$_SESSION['sortOrderRecent']." LIMIT $startResult,$limit");
		}
		
		while($fetchRecentResultsArray[]=mysql_fetch_array($query));	
	}
	return $fetchRecentResultsArray;	
}
function categoryIdByPermalink($permalink)
{
	$fetch=mysql_fetch_array(mysqlQuery("SELECT `id` FROM `categories` WHERE permalink='$permalink'"));
	return $fetch['id'];
}

function fetchMarketPlaceResultsArray($categoryPermalink,$currentPage,$startResult,$limit) {
	
	$marketCacheEnable = marketCacheEnable();
	
	$categoryId=categoryIdByPermalink($categoryPermalink);
	
	if($marketCacheEnable)	{
	
		$cache = phpFastCache();
		
		$marketCacheExpireTime = marketCacheExpireTime();
		
		$marketCacheVar = "fetchMarketResultsArray"."_".$currentPage."_".$categoryPermalink;
		
		$fetchMarketResultsArray = $cache->get($marketCacheVar);
		
		if($fetchMarketResultsArray==null) {
			
			$fetchMarketResultsArray = array();
			
			$query = mysqlQuery("SELECT a.*,b.* FROM `stats` a,`userWebsites` b WHERE a.`url`=b.`url` AND b.`forSale`='1' AND b.`status`='1' AND b.`adminAllow`='1' AND b.`cid`='$categoryId' LIMIT $startResult,$limit");
			
			while($fetchMarketResultsArray[]=mysql_fetch_array($query));
				
			$cache->set($marketCacheVar, $fetchMarketResultsArray,$marketCacheExpireTime);
			
		}
	}
	else {
		
		$fetchMarketResultsArray = array();
		
		$query = mysqlQuery("SELECT a.*,b.* FROM `stats` a,`userWebsites` b WHERE a.`url`=b.`url` AND b.`forSale`='1' AND b.`status`='1' AND b.`adminAllow`='1' AND b.`cid`='$categoryId' LIMIT $startResult,$limit");
		
		while($fetchMarketResultsArray[]=mysql_fetch_array($query));	
	}
	return $fetchMarketResultsArray;	
}

function enableNotifications($uid)
{
$row = mysql_fetch_array(mysqlQuery("SELECT `emailNotifications` FROM `users` WHERE `id` = '$uid'"));

return $row['emailNotifications'];
}

function pageCacheEnable() {
	
	$row = @mysql_fetch_array(mysqlQuery("SELECT `pageCacheEnable` FROM `cacheSettings`"));
	
	return $row['pageCacheEnable'];
	  
}

function pageCacheExpireTime() {
	
	$row = @mysql_fetch_array(mysqlQuery("SELECT `pageCacheExpireTime` FROM `cacheSettings`"));
	
	return $row['pageCacheExpireTime'];
	
}

function fetchPageData($permalink) {
	
	$languageName = $_SESSION['language'];
	
	$pageCacheEnable = pageCacheEnable();
	  
	if($pageCacheEnable)
	{
		$cache = phpFastCache();   
		
		$pageCacheExpireTime = pageCacheExpireTime();
		
		$pageCachevar = "fetchPageData_".$permalink.$languageName;
		
		$fetchPageData = $cache->get($pageCachevar);
		
		if($fetchPageData==null) {
			
			$fetchPageData = mysql_fetch_array(mysqlQuery("SELECT a.status,b.* FROM `pages` a, `pagesContent` b WHERE b.`permalink`='$permalink' AND b.`language`='$languageName' AND a.status='1'"));
				
			$cache->set($pageCachevar, $fetchPageData,$pageCacheExpireTime);
		}
	}
	else {
	
		$fetchPageData = mysql_fetch_array(mysqlQuery("SELECT a.status,b.* FROM `pages` a, `pagesContent` b WHERE b.`permalink`='$permalink' AND b.`language`='$languageName' AND a.status='1'"));
	}
	return $fetchPageData;
}

function fetchPagePermalinkFromId($id) {
	
	$row = mysql_fetch_array(mysqlQuery("SELECT `permalink` FROM `pages` WHERE `id`='$id'"));
	
	return $row['permalink'];
}

function fetchWebsiteUrlFromId($id) {
	
	$row = mysql_fetch_array(mysqlQuery("SELECT `url` FROM `stats` WHERE `id`='$id'"));
	
	return $row['url'];
}

function tagCacheEnable() {
	
	$row = @mysql_fetch_array(mysqlQuery("SELECT `tagCacheEnable` FROM `cacheSettings`"));
	
	return $row['tagCacheEnable'];
	  
}

function tagCacheExpireTime() {
	
	$row = @mysql_fetch_array(mysqlQuery("SELECT `tagCacheExpireTime` FROM `cacheSettings`"));
	
	return $row['tagCacheExpireTime'];
	
}

function fetchTagResultsArray($tag,$currentPage,$startResult,$limit) {
	
	$tagCacheEnable = tagCacheEnable();
	
	if($tagCacheEnable)	{
	
		$cache = phpFastCache();
		
		$tagCacheExpireTime = tagCacheExpireTime();
		
		$var = "fetchTagResultsArray_".$tag.$currentPage;
		
		$fetchTagResultsArray = $cache->get($var);
		
		if($fetchTagResultsArray==null) {
			
			$fetchTagResultsArray = array();
			
			$query = mysqlQuery("SELECT * FROM `stats` WHERE `status`='1' AND (`url` LIKE '%$tag%' OR `metaTitle` LIKE '%$tag%' OR `metaKeywords` LIKE '%$tag%' OR `metaDescription` LIKE '%$tag%') ORDER BY case WHEN `url` LIKE '%$tag%' THEN 1 WHEN `metaTitle` LIKE '%$tag%' THEN 2 WHEN `metaKeywords` LIKE '%$tag%' THEN 3 WHEN `metaDescription` LIKE '%$tag%' THEN 4 ELSE 5 END LIMIT $startResult,$limit");
			
			while($fetchTagResultsArray[]=mysql_fetch_array($query));
				
			$cache->set($var, $fetchTagResultsArray,$tagCacheExpireTime);
			
		}
	}
	else {
		
		$fetchTagResultsArray = array();
			
		$query = mysqlQuery("SELECT * FROM `stats` WHERE `status`='1' AND (`url` LIKE '%$tag%' OR `metaTitle` LIKE '%$tag%' OR `metaKeywords` LIKE '%$tag%' OR `metaDescription` LIKE '%$tag%') ORDER BY case WHEN `url` LIKE '%$tag%' THEN 1 WHEN `metaTitle` LIKE '%$tag%' THEN 2 WHEN `metaKeywords` LIKE '%$tag%' THEN 3 WHEN `metaDescription` LIKE '%$tag%' THEN 4 ELSE 5 END LIMIT $startResult,$limit");
			
		while($fetchTagResultsArray[]=mysql_fetch_array($query));	
	}
	return $fetchTagResultsArray;	
}

function getSpeedScoreKey()
{
	$row = mysql_fetch_array(mysqlQuery("SELECT `speedScoreKey` FROM `apiSettings`"));
	
	return $row['speedScoreKey']; 
}

function isBookMarked($uid,$url)
{
	$numRows = mysql_num_rows(mysqlQuery("SELECT * FROM `favoriteWebsites` WHERE `uid`='$uid' AND `url`='$url'"));
	
	if($numRows > 0)
		return true;
	else
		return false;
}

function onSale($url)
{	
	$numRows = mysql_num_rows(mysqlQuery("SELECT * FROM `userWebsites` WHERE `url`='$url' AND `forSale`='1' AND `status`=1 AND `adminAllow`='1'"));
	
	if($numRows > 0)
		return true;
	else
		return false;
}

function emailAlreadyExists($email)
{
	$numRows = mysql_num_rows(mysqlQuery("SELECT * FROM `users` WHERE `email`='$email'"));
	
	if($numRows > 0)
		return true;
	else  
		return false;
}

function historyWebCount()
{
	$row = mysql_fetch_array(mysqlQuery("SELECT `historyWebCount` FROM `contentSettings`"));
	
	return $row['historyWebCount'];
}

function favoriteWebCount()
{
	$row = mysql_fetch_array(mysqlQuery("SELECT `favoriteWebCount` FROM `contentSettings`"));
	
	return $row['favoriteWebCount'];
}

function marketWebCount()
{
	$row = mysql_fetch_array(mysqlQuery("SELECT `marketWebCount` FROM `contentSettings`"));
	
	return $row['marketWebCount'];
}

function getWebsiteVerificationCode($url)
{
	$row = mysql_fetch_array(mysqlQuery("SELECT `verificationCode` FROM `userWebsites` WHERE `url`='$url' ORDER BY `id` DESC"));
	
	return $row['verificationCode'];
}

function getPrice($url)
{
	$row = mysql_fetch_array(mysqlQuery("SELECT `price` FROM `userWebsites` WHERE `url`='$url'"));
	
	echo number_format($row['price']);
}

function categoryExists($name,$id)
{
	$qry = mysql_query("SELECT * FROM `categories` WHERE `name` ='$name' AND `id`!='$id'");
	$num_rows = mysql_num_rows($qry); 
	if ($num_rows > 0)
	return true;
	else
	return false;
}

function unreadMessages($uid , $cid=0)
{
	$total = mysql_num_rows(mysqlQuery("SELECT * FROM `conversations` WHERE `rid` ='$uid' AND `readStatus` = 0 AND `id`!= '$cid'"));
	
	return $total;
}

function categoryNameById($id)
{
	$fetch=mysql_fetch_array(mysqlQuery("SELECT `name` FROM `categories` WHERE `id`='$id'"));
	return $fetch['name'];
}
function userAlreadyAddThisWebSite($uid,$url)
{
	$count=mysql_num_rows(mysqlQuery("SELECT * FROM `userWebsites` WHERE `uid`='$uid' AND `url`='$url' AND `status`='1'"));
	if($count > 0)
		return true;
	else
		return false;
}

function timeAgo($time)
{
	$time=strtotime($time);

	$periods = array("second", "minute", "hour", "day", "week", "month", "year", "decade");

	$lengths = array("60","60","24","7","4.35","12","10");

	$now = time();

	$difference = $now - $time;

	$tense= "ago";

	for($j = 0; $difference >= $lengths[$j] && $j < count($lengths)-1; $j++) 
	{

	    $difference /= $lengths[$j];

	}

	$difference = round($difference);

	if($difference != 1) 
	{

		$periods[$j].= "s";

	}

	return "$difference $periods[$j] $tense "; 
	
} 

function isValidCategory($permalink){
	$count=mysql_num_rows(mysqlQuery("SELECT * FROM `categories` WHERE `status`='1' AND `permalink`='$permalink'"));
	if($count > 0)
		return true;
	else
		return false;
}

function genCategoryPermalink($title)
{
	$permalink=string_limit_words($title, 9);
	
	$permalink=preg_replace('/[^a-z0-9]/i',' ', $permalink);
	
	$permalink=trim(preg_replace("/[[:blank:]]+/"," ",$permalink));
	
	$permalink=strtolower(str_replace(" ","-",$permalink));
	
	$count = 1;
	
	$temppermalink = $permalink;
	
	while(isValidCategory($permalink))
	{
		$permalink = $temppermalink . '-' . $count;
		$count++;
	}
	return $permalink;
}

function string_limit_words($string, $word_limit)
{
	$words = explode(' ', $string);
	
	return implode(' ', array_slice($words, 0, $word_limit));
}
function isVerifiedAndAdminAllow($uid,$sid)
{
	$count=mysql_num_rows(mysqlQuery("SELECT * FROM `userWebsites` WHERE `id`='$sid' AND `uid`='$uid' AND `status`='1' AND `adminAllow`='1'"));
	if($count > 0)
		return true;
	else
		return false;
}
function websiteUser($url)
{
	$row = mysql_fetch_array(mysqlQuery("SELECT `uid` FROM `userWebsites` WHERE `url`='$url'"));
	
	return $row['uid'];
}
function totalProducts($categoryPermalink)
{
	$categoryId=categoryIdByPermalink($categoryPermalink);
	
	$totalStats = mysql_num_rows(mysqlQuery("SELECT a.*,b.* FROM `stats` a,`userWebsites` b WHERE a.`url`=b.`url` AND b.`forSale`='1' AND b.`status`='1' AND b.`adminAllow`='1' AND b.`cid`='$categoryId'"));
	return '('.$totalStats.')';
}
function getCategoryInfo($categoryPermalink)
{
	$languageName = $_SESSION['language'];
	
	$fetch=mysql_fetch_array(mysqlQuery("SELECT * FROM `categoryLanguage` WHERE `permalink`='$categoryPermalink' AND `language`='$languageName'"));
	
	return $fetch;
}
function languageExist($languageName)
{
	$rows = mysql_num_rows(mysqlQuery("SELECT * FROM `languages` WHERE `languageName` = '$languageName'"));
	
	if($rows > 0)
	{
		return true;
	}
	else
	{
		return false;
	} 
}

function getDefaultLanguage()
{
	$languageName = mysql_fetch_array(mysqlQuery("SELECT * FROM `languages` WHERE `status`='1' ORDER BY `displayOrder` ASC"));
	
	return $languageName['languageName'];
}

function verifiedWebsite($url) 
{
	$row = mysql_fetch_array(mysqlQuery("SELECT * FROM `userWebsites` WHERE `status` = '1' AND `url`='$url'"));
	
	return $row['status'];
}

function getUsernameByID($uid)
{	
	$row = mysql_fetch_array(mysqlQuery("SELECT * FROM `users` WHERE `id`='$uid'"));
	
	return $row['userName'];
}

function getPageNameInLanguage($language,$permalink)
{
	$row = mysql_fetch_array(mysqlQuery("SELECT `title` FROM `pagesContent` WHERE `language`='$language' AND `permalink`='$permalink'"));
	
	return $row['title'];
} 

function getFacebookClientID()
{
	$row = mysql_fetch_array(mysqlQuery("SELECT `facebookID` FROM `apiSettings`"));
	
	return $row['facebookID'];
}

function getFacebookClientSecret()
{
	$row = mysql_fetch_array(mysqlQuery("SELECT `facebookSecret` FROM `apiSettings`"));
	
	return $row['facebookSecret'];
}

function marketplaceStatus()
{
	$row = mysql_fetch_array(mysqlQuery("SELECT `marketplaceStatus` FROM `contentSettings`"));
	
	return $row['marketplaceStatus'];
}
function emailType()
{
	$row = mysql_fetch_array(mysqlQuery("SELECT * FROM `emailSettings`"));
	
	return $row['emailType'];
}
function userAccountStatus()
{
	$row = mysql_fetch_array(mysqlQuery("SELECT `userAccountStatus` FROM `contentSettings`"));
	
	return $row['userAccountStatus'];
}
?>