<!-- Modal -->
<div class="modal fade in modal-form" id="sign_signup" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="false" style="padding-right: 0 !important">
    <div class="modal-dialog">
        <div class="modal-content shadow-1">
            <div class="modal-header primary-bg-color">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><i class="fa fa-close"></i></button>
                <h4 class="modal-title" id="myModalLabel"><small><?php echo $language['signUp-signIn'] ?></small></h4>
            </div>
            <div class="modal-body">
                <div role="tabpanel">
					<ul class="nav nav-tabs" role="tablist">
						<li role="presentation" class="active <?php echo (isRTLLayout() ? 'pull-right' : 'pull-left')?>">
							<a href="#signin" aria-controls="signin" role="tab" data-toggle="tab"><i class="fa fa-sign-in"></i> <?php echo $language['signIn'] ?></a>
						</li>
						<li role="presentation" class="<?php echo (isRTLLayout() ? 'pull-right' : 'pull-left')?>">
							<a href="#signup" aria-controls="signup" role="tab" data-toggle="tab"><i class="fa fa-sign-out"></i> <?php echo $language['signUp'] ?></a>
						</li>
						<li role="presentation" class="<?php echo (isRTLLayout() ? 'pull-right' : 'pull-left')?>">
							<a href="#forget-pwd" aria-controls="forget-pwd" role="tab" data-toggle="tab"><i class="fa fa-key"></i> <?php echo $language['forget_password'] ?></a>
						</li>
						<li role="presentation" class="<?php echo (isRTLLayout() ? 'pull-right' : 'pull-left')?>">
							<a href="#verify-account" aria-controls="verify-account" role="tab" data-toggle="tab"><i class="fa fa-check-square"></i> <?php echo $language['verify_account'] ?></a>
						</li>
					</ul>

					<!-- Tab panes -->
					<div class="tab-content">
						<div role="tabpanel" class="tab-pane active" id="signin">
							<div class="row">
								<div class="col-xs-12 col-md-8 col-md-offset-2">
									<div class="alert alert-danger alert-dismissible" role="alert" id="mainError" style="display: none;">
										<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
										<?php echo $language['user_signIn_error'] ?>!
									</div>
									<?php 
									if(getFacebookClientID() != "" && getFacebookClientSecret() != "")
									{
										?>
										<a href="<?php echo rootPath() ?>/fbLogin.php" class="btn btn-primary btn-block"><i class="fa fa-facebook"></i> <?php echo $language['login_with_facebook'] ?> </a>
										<b style="margin:12px 0px;display:block;text-align:center"><?php echo $language['or'] ?></b>
										<?php
									}
									?>
									<form method="post" class="form" role="form" id="logIn">
										<div class="form-group has-feedback">
											<span class="fa fa-user form-control-feedback" aria-hidden="true"></span>
											<input type="text" class="form-control input-md" id="usernameSignin" name="username" placeholder="<?php echo $language['username_or_email'] ?>" />
										</div>
										<div class="form-group has-feedback">
											<span class="fa fa-lock form-control-feedback" aria-hidden="true"></span>
											<input type="password" class="form-control input-md" id="passwordSignin" name="password" placeholder="<?php echo $language['password']?> " />
										</div>
										<hr>
										<div class="form-group">
											<button class="btn btn-md btn-primary" type="submit" name="login"><?php echo $language['signIn'] ?></button>
											<button type="button" class="btn btn-md btn-default" data-dismiss="modal"><?php echo $language['close'] ?></button>
										</div>
									</form>
								</div>
							</div>
						</div>

						<div role="tabpanel" class="tab-pane" id="signup">
							<div class="row">
								<div class="col-xs-12 col-sm-12 col-md-8 col-md-offset-2">
									<div class="alert alert-success alert-dismissible" role="alert" id="pleaseWait" style="display: none;">
										<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button> <?php echo $language['please_wait'] ?> <i class="fa fa-circle-o-notch fa-spin"></i>
									</div>
									<div class="alert alert-success alert-dismissible" role="alert" id="signUpEmailSuccess" style="display: none;">
										<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button> <?php echo $language['email_success'] ?>
									</div>
									<div class="alert alert-danger alert-dismissible" role="alert" id="signUpCodeError" style="display: none;">
										<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button> <?php echo $language['code_error'] ?>
									</div>
									<?php 
									if(getFacebookClientID() != "" && getFacebookClientSecret() != "")
									{
										?>
										<a href="<?php echo rootPath() ?>/fbRegister.php" class="btn btn-primary btn-block"><i class="fa fa-facebook"></i> <?php echo $language['register_with_facebook'] ?> </a>
										<b style="margin:12px 0px;display:block;text-align:center"><?php echo $language['or'] ?></b>
										<?php
									}
									?>
									<form method="post" class="form" role="form" id="register" onsubmit="return validateForm();">
										<div id="signUpForm">
											<div class="form-group has-feedback">
												<span class="fa fa-user form-control-feedback" aria-hidden="true"></span>
												<input type="text" id="usernameFeild" class="form-control input-md" name="username" placeholder="<?php echo $language['user_name']?>" />
												<span class="labe label-danger" id="usernameError" style="display:none"></span>
											</div>
											<div class="form-group has-feedback">
												<span class="fa fa-envelope-o form-control-feedback" aria-hidden="true"></span>
												<input type="email" id="emailFeild" class="form-control input-md" name="email" placeholder="<?php echo $language['your_email'] ?>" />
												<span class="labe label-danger" id="emailError" style="display:none"></span>
											</div>
											<div class="form-group has-feedback">
												<span class="fa fa-lock form-control-feedback" aria-hidden="true"></span>
												<input type="password" id="passwordFeild" class="form-control input-md" name="password" placeholder="<?php echo $language['password']?> " />
												<span class="labe label-danger" id="passwordError" style="display:none"></span>
											</div>
											<div class="form-group has-feedback">
												<span class="fa fa-lock form-control-feedback" aria-hidden="true"></span>
												<input type="hidden" id="hiddenField" value=""/>
												<input type="password" id="conPasswordFeild" class="form-control input-md" name="conpassword" placeholder="<?php echo $language['confirm_password'] ?>" />
												<span class="labe label-danger" id="conPasswordError" style="display:none"></span>
											</div>
										</div>
										<div class="form-group has-feedback" id="signUpConfirmCode" style="display:none">
											<span class="fa fa-envelope-o form-control-feedback" aria-hidden="true"></span>
											<input type="text" id="signUpCode" class="form-control input-md" name="email" placeholder="<?php echo $language['enter_your_verification_code']?>" />
										</div>
										<hr>
										<div class="form-group">
											<button class="btn btn-md btn-primary" id="register-btn" name="register" type="submit"><?php echo $language['register'] ?></button>
											<button type="button" class="btn btn-md btn-default" data-dismiss="modal"><?php echo $language['close'] ?></button>
										</div>
									</form>
								</div>
							</div>
						</div>
						<div role="tabpanel" class="tab-pane" id="forget-pwd">
							<div class="row">
								<div class="col-xs-12 col-sm-12 col-md-8 col-md-offset-2">
									<div class="alert alert-danger alert-dismissible" role="alert" id="resetEmailError" style="display: none;">
										<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button> <?php echo $language['reset_email_error'] ?>
									</div>
									<div class="alert alert-success alert-dismissible" role="alert" id="resetEmailSuccess" style="display: none;">
										<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button> <?php echo $language['email_success'] ?>
									</div> 
									<div class="alert alert-danger alert-dismissible" role="alert" id="resetCodeError" style="display: none;">
										<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button> <?php echo $language['code_error'] ?>
									</div> 
									<div class="alert alert-success alert-dismissible" role="alert" id="resetCodeSuccess" style="display: none;">
										<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button> <?php echo $language['reset_code_success'] ?>
									</div> 
									<form action="#" method="post" class="form" id="resetForm" role="form">
										<div class="form-group has-feedback" id="restEmailForm">
											<span class="fa fa-envelope-o form-control-feedback" aria-hidden="true"></span>
											<input type="email" id="resetEmail" class="form-control input-md" name="email" placeholder="<?php echo $language['enter_your_email_address'] ?>" />
										</div>
										<div class="form-group has-feedback" id="restCodeForm" style="display:none">
											<span class="fa fa-code form-control-feedback" aria-hidden="true"></span>
											<input type="text" class="form-control input-md" name="code" placeholder="<?php echo $language['enter_your_code'] ?>" />
										</div>
										<hr>
										<div class="form-group">
											<button class="btn btn-md btn-primary" name="resetButton" id="resetButton" type="submit"><?php echo $language['reset_password'] ?></button>
											<button type="button" class="btn btn-md btn-default" data-dismiss="modal"><?php echo $language['close'] ?></button>
										</div>
									</form>
								</div>
							</div>
						</div>
						<div role="tabpanel" class="tab-pane" id="verify-account">
							<div class="row">
								<div class="col-xs-12 col-sm-12 col-md-8 col-md-offset-2">
									<div class="alert alert-danger alert-dismissible" role="alert" id="signUpCodeError2" style="display: none;">
										<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button> <?php echo $language['code_error'] ?>
									</div>
									<div class="alert alert-danger alert-dismissible" role="alert" id="resendError" style="display: none;">
										<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button> <?php echo $language['no_record_found'] ?>
									</div>
									<div class="alert alert-success alert-dismissible" role="alert" id="resendSuccess" style="display: none;">
										<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button> <?php echo $language['email_success'] ?>
									</div>
									<form action="#" method="post" class="form" id="resendEmail" role="form">
										<div class="form-group has-feedback">
											<span class="fa fa-envelope-o form-control-feedback" aria-hidden="true"></span>
											<input type="text" id="resendLogin" class="form-control input-md" name="email" placeholder="<?php echo $language['username_or_email'] ?>" />
										</div>
										<div class="form-group">
											<button id="verifyAccount" type="submit" class="btn btn-md btn-primary"><?php echo $language['resend_verification_email'] ?></button>
										</div>
									</form>
									<b style="margin:12px 0px;display:block;text-align:center"><?php echo $language['or'] ?></b>
									<form action="#" method="post" class="form" id="verifyForm" role="form">
										<div class="form-group has-feedback">
											<span class="fa fa-code form-control-feedback" aria-hidden="true"></span>
											<input type="text" id="signUpCode2" class="form-control input-md" name="email" placeholder="<?php echo $language['enter_your_verification_code']?>" />
										</div>
										<div class="form-group">
											<button id="verifyAccount" type="submit" class="btn btn-md btn-success"><?php echo $language['verify_account'] ?></button>
											<button type="button" class="btn btn-md btn-default" data-dismiss="modal"><?php echo $language['close'] ?></button>
										</div>
									</form>
								</div>
							</div>
						</div>
					</div>
                </div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->