<?php
include "../config/config.php";

include "../includes/functions.php";

$json = file_get_contents('../language/'.$_SESSION['language'].'.php');

$language=json_decode($json, true);
?>
function prograssbar_width(total, unit) {
	var increment = Math.round((unit * 100) / total);
	document.getElementById("progress_bar").style.width = increment + '%';
}

function calculate_stats() {
 	var url = $("#d_name").val();
	url = url.toLowerCase();
	url = url.replace('http://', '').replace('https://', '').replace('www.', '').split(/[/?#]/)[0];
	var csrf = $.cookie('csrf');
	$.ajaxq('ajaxCallsStats', {
		type: "POST",
		queue: false,
		url: "<?php echo(rootPath()); ?>/includes/stats.php",
		data: {
			'url': url,
			'csrf': csrf,
			'parameter': 'validateURL'
		},
		success: function(remoteResponse) {
			console.log('validateURL Response ' + remoteResponse);
			if (remoteResponse == '1') {
				$(".msg-bg").show();
				$(".msg").fadeIn();
				var capitalized = url.replace(/^[a-z]/, function(m) {
					return m.toUpperCase()
				});
				$(".headerOfTableText").html("<?php echo($language['calculating_stats']); ?> <span class='hidden-xs'><?php echo($language['for']); ?> <img class='stats-faveicon' src='http://www.google.com/s2/favicons?domain=http://" + url + "' /> " + capitalized + "</span>");
				$(".msg-m").html("<li class='fa fa-star-half-o'></li> <?php echo($language['calculating_traffic_stats']); ?>");
				$.ajaxq('ajaxCallsStats', {
					type: "POST",
					queue: true,
					url: "<?php echo(rootPath()); ?>/includes/stats.php",
					data: {
						'url': url,
						'csrf': csrf,
						'parameter': 'trafficStats'
					},
					success: function(remoteResponse) {
						console.log('trafficStats Response ' + remoteResponse);
						prograssbar_width(100, 5);
						$(".msg-m").html("<li class='fa fa-bar-chart-o'></li> <?php echo($language['calculating_search_engines_index_stats']); ?>");
						$.ajaxq('ajaxCallsStats', {
							type: "POST",
							queue: true,
							url: "<?php echo(rootPath()); ?>/includes/stats.php",
							data: {
								'url': url,
								'csrf': csrf,
								'parameter': 'searchEnginesIndex'
							},
							success: function(remoteResponse) {
								console.log('searchEnginesIndex Response ' + remoteResponse);
								prograssbar_width(100, 10);
								$(".msg-m").html("<li class='fa fa-area-chart'></li> <?php echo($language['calculating_website_ranking_stats']); ?>");
								$.ajaxq('ajaxCallsStats', {
									type: "POST",
									queue: true,
									url: "<?php echo(rootPath()); ?>/includes/stats.php",
									data: {
										'url': url,
										'csrf': csrf,
										'parameter': 'rankingStats'
									},
									success: function(remoteResponse) {
										console.log('rankingStats Response ' + remoteResponse);
										prograssbar_width(100, 20);
										$(".msg-m").html("<li class='fa fa-lock'></li> <?php echo($language['calculating_website_safety_stats']); ?>");
										$.ajaxq('ajaxCallsStats', {
											type: "POST",
											queue: true,
											url: "<?php echo(rootPath()); ?>/includes/stats.php",
											data: {
												'url': url,
												'csrf': csrf,
												'parameter': 'websiteSafetyStats'
											},
											success: function(remoteResponse) {
												console.log('websiteSafetyStats Response ' + remoteResponse);
												prograssbar_width(100, 30);
												$(".msg-m").html("<li class='fa fa-pie-chart'></li> <?php echo($language['calculating_seo_stats']); ?>");
												$.ajaxq('ajaxCallsStats', {
													type: "POST",
													queue: true,
													url: "<?php echo(rootPath()); ?>/includes/stats.php",
													data: {
														'url': url,
														'csrf': csrf,
														'parameter': 'seoStats'
													},
													success: function(remoteResponse) {
														console.log('seoStats Response ' + remoteResponse);
														prograssbar_width(100, 50);
														$(".msg-m").html("<li class='fa fa-share-alt'></li> <?php echo($language['calculating_social_media_stats']); ?>");
														$.ajaxq('ajaxCallsStats', {
															type: "POST",
															queue: true,
															url: "<?php echo(rootPath()); ?>/includes/stats.php",
															data: {
																'url': url,
																'csrf': csrf,
																'parameter': 'socialMediaStats'
															},
															success: function(remoteResponse) {
																console.log('socialMediaStats Response ' + remoteResponse);
																prograssbar_width(100, 70);
																$(".msg-m").html("<li class='fa fa-info-circle'></li> <?php echo($language['fetching_domain_information']); ?>");
																$.ajaxq('ajaxCallsStats', {
																	type: "POST",
																	queue: true,
																	url: "<?php echo(rootPath()); ?>/includes/stats.php",
																	data: {
																		'url': url,
																		'csrf': csrf,
																		'parameter': 'domainInformation'
																	},
																	success: function(remoteResponse) {
																		console.log('domainInformation Response ' + remoteResponse);
																		prograssbar_width(100, 80);
																		$(".msg-m").html("<li class='fa fa-hdd-o'></li> <?php echo($language['fetching_web_server_information']); ?>");
																		$.ajaxq('ajaxCallsStats', {
																			type: "POST",
																			queue: true,
																			url: "<?php echo(rootPath()); ?>/includes/stats.php",
																			data: {
																				'url': url,
																				'csrf': csrf,
																				'parameter': 'webServerInformation'
																			},
																			success: function(remoteResponse) {
																				console.log('webServerInformation Response ' + remoteResponse);
																				prograssbar_width(100, 90);
																				$.ajaxq('ajaxCallsStats', {
																					type: "POST",
																					queue: true,
																					url: "<?php echo(rootPath()); ?>/includes/stats.php",
																					data: {
																						'url': url,
																						'csrf': csrf,
																						'parameter': 'calculateWorth'
																					},
																					success: function(remoteResponse) {
																						console.log('calculateWorth Response ' + remoteResponse);
																						prograssbar_width(100, 100);
																						$(".msg-m").html("<li class='fa fa-hdd-o'></li> <?php echo($language['calculating_website_worth']); ?>");
																						var cid = $("#catId").val();
																						$.ajaxq('ajaxCallsStats', {
																							type: "POST",
																							queue: true,
																							url: "<?php echo(rootPath()); ?>/addWebsiteForSale.php",
																							data: {
																								'url': url,
																								'cid': cid
																							},
																							success: function(remoteResponse) {
																								$('.msg-bg').hide();
																								$(".sMsg").html(remoteResponse);
																								$(".addWebsite").hide();
																								$(".verifyWebsite").show();
																								$("#d_name").attr('disabled','disabled');
																								$("#catId").attr('disabled','disabled');
																							}
																						});
																					}
																				});
																			}
																		});
																	}
																});
															}
														});
													}
												});
											}
										});
									}
								});
							}
						});
					}
				});
			} else if (remoteResponse == '2') {
				var cid = $("#catId").val();
				$.ajaxq('ajaxCallsStats', {
					type: "POST",
					queue: true,
					url: "<?php echo(rootPath()); ?>/addWebsiteForSale.php",
					data: {
						'url': url,
						'cid': cid
					},
					success: function(remoteResponse) {
						$(".sMsg").html(remoteResponse);
						$(".addWebsite").hide();
						$(".verifyWebsite").show();
						$("#d_name").attr('disabled','disabled');
						$("#catId").attr('disabled','disabled');
					}
				});
			} else if (remoteResponse == '0') {
				var errorMessage = '<div class="alert alert-danger alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button> <?php echo $language["invalid_or_restricted_domain"] ?> </div>';
				$(".sMsg").html(errorMessage);
			}
		}
	}); 
}
$(".verifyWebsite").click(function(){
	var url = $("#d_name").val();
	url = url.toLowerCase();
	url = url.replace('http://', '').replace('https://', '').replace('www.', '').split(/[/?#]/)[0];
	$.ajaxq('ajaxCallsStats', {
		type: "POST",
		queue: true,
		url: "<?php echo(rootPath()); ?>/addWebsiteForSale.php",
		data: {
			'url': url,
			'verify': 'verify'
		},
		success: function(remoteResponse) {
			$(".sMsg").html(remoteResponse);
		}
	});
});