<?php
if(!isset($_SESSION)) session_start();
 
require "config/config.php";

require "includes/functions.php";

if(!isset($_SESSION['useRName']) || !isset($_SESSION['EmAIl']) || !isset($_SESSION['uid']))
{
	header('Location: '.rootPath());
} 
else if(!isVerifiedAndAdminAllow($_GET['uid'],$_GET['sid']))
{
	header('Location: '.rootPath().'/userWebsites');
}

include 'includes/header.php';

$csrfVariable = 'csrf_' . basename($_SERVER['PHP_SELF']);

function changeOwnership($sid,$uid, $newUid) {
mysqlQuery("UPDATE `userWebsites` SET `uid`='$newUid' WHERE `uid`='$uid' AND `id`='$sid'");
}

if (isset($_POST["submit"])) 
{
	if($_SESSION[$csrfVariable] != $_POST['csrf'])
		
    $error = true;
	
	$sid=$_GET['sid'];
	
	$uid=$_GET['uid'];
	
	$newUid=$_POST['uid'];
	
	if(!is_numeric($newUid)) {
		
		$error1='enter valid id';
	}
	
	if ($error =="" && $error1 == "") {
		
		changeOwnership($sid,$uid, $newUid);
		
		if(!isVerifiedAndAdminAllow($uid,$sid))
			
		header('Location: '.rootPath().'/userWebsites');
	}
}

$key = sha1(microtime());

$_SESSION[$csrfVariable] = $key;

$metaInfo = getMetaInfo();
?>

<title><?php echo($language['change_website_ownership']); ?></title>
<meta name="description" content="<?php echo($metaInfo['description']); ?>"/>
<meta name="keywords" content="<?php echo($metaInfo['metaTags']); ?>"/>
<meta property="og:title" content="<?php echo($metaInfo['title']); ?>"/>
<meta property="og:type" content="website"/>
<meta property="og:url" content="<?php echo(rootPath()); ?>"/>
<meta property="og:image" content="<?php echo(rootPath()); ?>/static/images/cover.jpg?<?php echo(time()); ?>"/>
<meta property="og:description" content="<?php echo($metaInfo['description']); ?>"/>
	
<?php
include 'includes/header_under.php';
?>

<div class="container">
   <div class="side-menu">
		<div class="mypage theme-card shadow-1 box">
			<?php include "includes/userHeader.php" ?>
			<div class="row">
				<?php include "includes/userSidebar.php" ?>  
				<div class="col-sm-9">
                    <div class="admin-content" id="home">
						<h4 class="primary-text-color"><i class="fa fa-pencil"></i> <?php echo $language['change_ownership'] ?></h4>
						<div class="clearfix"></div>
						<?php if($successMessage) echo $successMessage;
						if(isset($_GET['sid']) && is_numeric($_GET['sid'])) {
						$sid = (int)mres(trim($_GET['sid']));
						$uid = (int)mres(trim($_GET['uid']));
						
						$sql   = "SELECT a.*,b.* FROM `users` a,`userWebsites` b WHERE a.`id`='$uid' AND b.`id`='$sid'";
						
						$query = mysqlQuery($sql);
						
						$fetch = mysql_fetch_array($query);
						$userName=$fetch['userName'];
						$email=$fetch['email'];
						$website=$fetch['url'];
						$adminAllow=$fetch['adminAllow'];
						}
						?>
						<form method="POST">
		
							<div class="form-group">
							
								<label>User Name</label>
								<?php if(isset($_POST['userName'])) { ?>
								
									<input class="form-control" maxlength="70" name="userName" value="<?php echo($_POST['userName']); ?>" required="required"/>
									<?php
								} else { ?>
								
									<input class="form-control" name="userName" placeholder="Enter User Name" value="<?php echo $userName?>" required="required" />
								
								<?php } ?>
								
							</div>
							
							<div class="form-group">
							
								<label>Email</label>
								<?php if(isset($_POST['email'])) { ?>
								
									<input type="email" class="form-control"  name="email" value="<?php echo($_POST['email']); ?>" required="required"/>
									<?php
										 } else { ?>
									<input class="form-control"  name="email" placeholder="Enter Email" value="<?php echo $email?>" required="required" />
								
								<?php } ?>
								
							</div>
							
							<div class="form-group">
							
								<label>Website</label>
								<?php if(isset($_POST['website'])) { ?>
								
									<input class="form-control" type="text" name="website" value="<?php echo($_POST['website']); ?>" />
									<?php
								} else { ?>
								
									<input class="form-control" type="text" name="website" placeholder="Enter website" value="<?php echo $website?>" />
								
								<?php } ?>
								
							</div>
							
							<div class="form-group">
							<label>Ownership</label>
								<select name="uid" class="form-control">
								<?php
								$query=mysqlQuery("SELECT * FROM `users` WHERE `id`!='$uid' ORDER BY `userName` ASC");
								while($fetch=mysql_fetch_array($query)){
								?><option value="<?php echo $fetch['id']?>"><?php echo $fetch['userName']?></option><?php
								}
								?>
								</select>
								<?php
								if($error1!="")
									echo('<span class="label label-danger">' . $error1 . '</span>');
								?>
							</div>
							<input type="hidden" name="csrf" value="<?php echo $key; ?>" />
							<hr>
							<div class="form-group">
							
								<a href="<?php echo rootPath()?>/userWebsites"><button type="button" class="btn btn-info"><i class="fa fa-caret-square-o-left"></i> Back</button></a>
								
								<button type="submit" name="submit" class="btn btn-success"><i class="fa fa-pencil"></i> Update
								</button>
								
							</div>
							
						</form>
					</div>
				</div>
			</div>
		</div>
   </div>
</div>

<?php include 'includes/footer.php'; ?>