<?php
if(!isset($_SESSION)) session_start();

require "config/config.php";

require "includes/functions.php";

if(!isset($_SESSION['useRName']) || !isset($_SESSION['EmAIl']) || !isset($_SESSION['uid']))
{
	header('Location: '.rootPath());
}

include 'includes/header.php';

$uid = $_SESSION['uid'];

if(isset($_POST['submit']))
{
	$id = $_SESSION['uid'];
	
	$userData = mysql_fetch_array(mysqlQuery("SELECT * FROM `users` WHERE `id`='$id'"));
	
	$userName = $_POST['userName'];
	
	$email = $_POST['email'];
	
	$oldPassword = $_POST['oldPassword'];
	
	$newPassword = $_POST['newPassword'];
	
	$emailNotifications = ($_POST['emailNotifications'] ? "1" : "0");
	
	if(!is_alphaNum($userName))
	{
		$error1 = $language['user_name_error_profile'];
	}
	else if($userName != $userData['userName'])
	{
		if(userAlreadyExists($userName))
		{
			$error1 = $language['user_name_error_profile2'];
		}
	}
	
	if(!checkEmail($email))
	{
		$error2 = $language['email_error_profile'];
	}
	else if($email != $_SESSION['EmAIl'])
	{
		if(emailAlreadyExists($email))
		{
			$error2 = $language['email_error2_profile'];
		}
	}
	
	$oldPassword = md5($oldPassword);
	
	if($oldPassword != $userData['password'])
	{
		$error3 = $language['password_error_profile'];
	}
	
	if($error1=="" && $error2=="" && $error3=="") {
		
		if($newPassword != "")
		{
			$password = md5($newPassword);
			
			mysqlQuery("UPDATE `users` SET `userName`='$userName',`email`='$email',`password`='$password',`emailNotifications`='$emailNotifications' WHERE `id`='$id'");
		}
		else
		{
			mysqlQuery("UPDATE `users` SET `userName`='$userName',`email`='$email',`emailNotifications`='$emailNotifications' WHERE `id`='$id'");
		}
		 
		$successMessage = '<div class="alert alert-success alert-dismissible" role="alert" style=""><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button>'.$language["profile_success_message"].'</div>'; 
		 
		$_SESSION['useRName'] = $userName;
		
		$_SESSION['EmAIl'] = $email;
	}
}
$metaInfo = getMetaInfo();
?>

<title><?php echo($language['profile_settings']); ?></title>
<meta name="description" content="<?php echo($metaInfo['description']); ?>"/>
<meta name="keywords" content="<?php echo($metaInfo['metaTags']); ?>"/>
<meta property="og:title" content="<?php echo($metaInfo['title']); ?>"/>
<meta property="og:type" content="website"/>
<meta property="og:url" content="<?php echo(rootPath()); ?>"/>
<meta property="og:image" content="<?php echo(rootPath()); ?>/static/images/cover.jpg?<?php echo(time()); ?>"/>
<meta property="og:description" content="<?php echo($metaInfo['description']); ?>"/>
	
<?php
include 'includes/header_under.php';
?>

<div class="container">
   <div class="side-menu">
		<div class="mypage theme-card shadow-1 box">
			<?php include "includes/userHeader.php" ?>
			<div class="row">
				<?php include "includes/userSidebar.php" ?>
				<div class="col-sm-9">
                    <div class="admin-content" id="home">
						 <h4 class="primary-text-color"><i class="fa fa-cogs"></i> <?php echo $language['profile_settings'] ?></h4>
						 <small class="secondary-text-color <?php echo (isRTLLayout() ? 'pull-right' : 'pull-left')?> "><em><?php echo $language['change_your_profile_settings'] ?></em></small>
						 <div class="clearfix"></div>
						 <?php if($successMessage) echo $successMessage ?>
						 <form role="form" method="post">
                            <div class="form-group">
                                <input type="text" name="userName" id="userName" class="form-control input-lg" placeholder="<?php echo $language['user_name'] ?>" value="<?php echo $_SESSION['useRName'] ?>" />
								<?php
								if(isset($_POST['submit']) && $error1!="")
								{ 
									?>
									<div class="alert alert-danger alert-dismissible" role="alert" id="mainError" style=""><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button> <?php echo $error1 ?></div>	
									<?php
								}
								?>
                            </div>
                            <div class="form-group">
                                <input type="email" name="email" id="email" class="form-control input-lg" placeholder="<?php echo $language['email_address']?>" value="<?php echo $_SESSION['EmAIl'] ?>" />
								<?php
								if(isset($_POST['submit']) && $error2!="")
								{ 
									?>
									<div class="alert alert-danger alert-dismissible" role="alert" id="mainError" style=""><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button> <?php echo $error2?></div>	
									<?php
								}
								?>
                            </div>
                            <div class="form-group">
                                <input type="password" name="oldPassword" id="oldPassword" class="form-control input-lg" placeholder="<?php echo $language['old_password_required'] ?>" />
								<?php
								if(isset($_POST['submit']) && $error3!="")
								{ 
									?>
									<div class="alert alert-danger alert-dismissible" role="alert" id="mainError" style=""><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span></button> <?php echo $error3?></div>	
									<?php
								}
								?>
                            </div>
							<div class="form-group">
                                <input type="password" name="newPassword" id="newPassword" class="form-control input-lg" placeholder="<?php echo $language['new_password_optional'] ?>" />
                            </div>
							<div class="form-group">
								<div class="checkbox">
									<label>
										<?php 
										if(enableNotifications($uid)) 
										{
											?>
											<input type="checkbox" name="emailNotifications" checked /> <span style="padding: 0 25px 0 0;"><?php echo $language['email_notifications'] ?></span>
											<?php
										}
										else
										{
											?>
											<input type="checkbox" name="emailNotifications" /> <span style="padding: 0 25px 0 0;"><?php echo $language['email_notifications'] ?></span>
											<?php
										}
										?>
									</label>
								 </div>
							</div>
							
                            <hr>
                            
                            <div class="form-group">
                                <button type="submit" name="submit" class="btn btn-primary btn-md">
									<i class="fa fa-floppy-o"></i> <?php echo $language['save'] ?>
								</button>
                            </div>
                            <br>
                        </form>
					</div>
				</div>
			</div>
		</div>
   </div>
</div>

<?php include 'includes/footer.php'; ?>