<?php
if (!isset($_SESSION)) session_start();

require "config/config.php";

include 'includes/mail.php';

require "includes/functions.php";

if(!userAccountStatus())
{
	header("Location: " . rootPath());
}

$adsInfo = getAdsInfo();

$socialInfo = getSocialInfo();

$metaInfo = getMetaInfo();

include "includes/header.php";

if(isset($_POST['register']))
{
	$error = false;
	
	$username = $_POST['username'];
	
	$email = $_POST['email'];
	
	$password = $_POST['password'];
	
	$confirmPassword = $_POST['confirmPassword'];
	
	if(!is_alphaNum($username))
	{
		$error = true;
		
		$usernameError = '<span class="label label-danger">'.$language['username_signup_error'].'</span>';
	}
	else if(userAlreadyExists($username))
	{
		$error = true;
		
		$usernameError = '<span class="label label-danger">'.$language['username_signup_error2'].'</span>';
	}
	
	if(!checkEmail($email))
	{
		$error = true;
		
		$emailError = '<span class="label label-danger">'.$language['email_signup_error'].'</span>';
	}
	else if(userEmailExists($email))
	{
		$error = true;
		
		$emailError = '<span class="label label-danger">'.$language['email_signup_error1'].'</span>';
	}
	
	if($password == "" || $confirmPassword == "" || $password != $confirmPassword)
	{
		$error = true;
		
		$passwordError = '<span class="label label-danger">'.$language['password_signup_error2'].'</span>';
	}
	else if(strlen($password) <= 5)
	{
		$error = true;
		
		$passwordError = '<span class="label label-danger">'.$language['password_signup_error1'].'</span>';
	}
	
	if(!$error)
	{
		if(!isset($_SESSION['fbRegistration']))
		{
			$password=md5($_POST['password']);
		
			mysql_query("INSERT INTO `users`(`userName`,`email`,`password`) VALUES('$username','$email','$password')");
			
			$uid = mysql_insert_id();
			
			$code = uniqid();
			
			mysql_query("INSERT INTO `verifyUsers` (uid ,username, email, code ) VALUES ('$uid','$username','$email','$code')");
				
			$subject = getMetaTitle() ." : Account verification code";
			
			$message = "Account Verification Code is : ".$code;
			
			$to=$email; 
			
			$from = "noreply@" . getDomain(rootPath());
			
			$name = "Account Verification Code";
			
			$link = rootPath()."/user/accountverify&verifyAccount=verifyAccount&verifyingEmail=".$email."&verificationCode=".$code;
			
			sendUserEmail($subject,$message,$to,$from,$name,$link);
			
			header('Location: '.rootPath().'/user/accountverify');
			
			exit();
		}
		else if(isset($_GET['fbregister']) && $_GET['fbregister']=='fbregister' && $email == $_GET['fbEmail'] && $username = $_GET['fbUsername'])
		{
			$password=md5($_POST['password']);
		
			mysql_query("INSERT INTO `users`(`userName`,`email`,`password`,`status`) VALUES('$username','$email','$password','1')");
			
			unset($_SESSION['fbRegistration']);
			
			$fbRegisterSucess = '<div style="margin-top:20px" class="alert alert-success" role="alert">'.$language['account_registered_successfully'] .'<a href="'.rootPath().'/user/signin"> '.$language['login_here'].'</a></div>';
		}
	}
}
if(isset($_POST['resetCode']))
{	
	$code = $_POST['code'];
		
	if(trim($_SESSION['resetPasswordCode']) == trim($code))
	{
		$email = $_SESSION['resetEmail'];
		
		$password = genPassword();
		
		$subject = getMetaTitle() ." : Password Reset Successfully";
		
		$message = "Your New Password is : ".$password;
		
		$to=$email; 
		
		$from = "noreply@" . getDomain(rootPath());
		
		$name = "Password Reset Successfully";
		
		$link = "";
		
		sendUserEmail($subject,$message,$to,$from,$name,$link);
		
		unset($_SESSION['resetPasswordCode']);
		
		unset($_SESSION['resetEmail']);
		
		$password = md5($password);
		
		mysqlQuery("UPDATE `users` SET `password` = '$password' WHERE `email`='$email'");
		
		$resetCodeSuccess = '<div style="margin-top:20px" class="alert alert-success" role="alert">'.$language['reset_code_success'].'<a href="'.rootPath().'/user/signin">'.$language['login_here'].'</a></div>';
	}
	else
	{
		$resetCodeError = '<div style="margin-top:20px" class="alert alert-danger" role="alert">'.$language['code_error'].'</a></div>';
	}
}

if(isset($_POST['forgetpassword']))
{
	$email = $_POST['email'];
		
	if(userEmailExists($email))
	{
		$code=uniqid();
	
		$subject = getMetaTitle() ." : Reset Email";
		
		$message = "Password reset Code is : ".$code;
		
		$_SESSION['resetPasswordCode'] = $code;
		
		$_SESSION['resetEmail'] = $email;
		
		$to=$email; 
		
		$link = rootPath()."/user/resetpassword&passwordReset=passwordReset&resetEmail=".$email."&resetCode=".$code;
		
		$from = "noreply@" . getDomain(rootPath());
		
		$name = "Password Reset Code";
		
		sendUserEmail($subject,$message,$to,$from,$name,$link);
		
		header('Location: '.rootPath().'/user/resetpassword&resetCode');
		
		exit();
	}
	else
	{
		$resetEmailError = '<div style="margin-top:20px" class="alert alert-danger" role="alert">'.$language['reset_email_error'].'</a></div>';
	}
}

if(isset($_GET['action']) && isset($_GET['passwordReset']) && $_GET['passwordReset'] == 'passwordReset')
{
	$email = $_GET['resetEmail'];
	
	$code = $_GET['resetCode'];
	
	if($_SESSION['resetPasswordCode'] == $code && $_SESSION['resetEmail'] == $email)
	{
		$email = $_SESSION['resetEmail'];
			
		$password = genPassword();
		
		$subject = getMetaTitle() ." : Password Reset Successfully";
		
		$message = "Your New Password is : ".$password;
		
		$to=$email; 
		
		$from = "noreply@" . getDomain(rootPath());
		
		$name = "Password Reset Successfully";
		
		$link ="";
		
		sendUserEmail($subject,$message,$to,$from,$name,$link);
		
		unset($_SESSION['resetPasswordCode']);
		
		unset($_SESSION['resetEmail']);
		
		$password = md5($password);
		
		mysqlQuery("UPDATE `users` SET `password` = '$password' WHERE `email`='$email'");
	}
	else
	{
		$resetError = '<div style="margin-top:20px" class="alert alert-danger" role="alert">'.$language['invalid_link_or_session_expired'].'</a></div>';
	}
}
if(isset($_GET['action']) && isset($_GET['verifyAccount']) && $_GET['verifyAccount'] == 'verifyAccount')
{
	$email = $_GET['verifyingEmail'];
	
	$code = $_GET['verificationCode'];
	
	$rec = mysql_fetch_array(mysqlQuery("SELECT * FROM `verifyUsers` WHERE `email`='$email' AND `code`='$code'"));
	
	if($code == $rec['code'])
	{
		$id = $rec['uid'];
		
		mysqlQuery("UPDATE `users` SET `status`='1' WHERE `id` = '$id'");
		
		mysqlQuery("DELETE FROM `verifyUsers` WHERE `code`='$code'");
	}
	else
	{
		header('Location: '.rootPath());
		
		exit();
	}
}

if(isset($_POST['verifyaccount']))
{
	$code = $_POST['code'];
	
	$rec = mysqlQuery("SELECT * FROM `verifyUsers` WHERE `code`='$code'");
	
	if(mysql_num_rows($rec) > 0)
	{
		$row = mysql_fetch_array($rec);
		
		$id = $row['uid'];
		
		mysqlQuery("UPDATE `users` SET `status`='1' WHERE `id` = '$id'");
		
		$_SESSION['useRName'] = $row['username']; 
		
		$_SESSION['uid'] = $row['uid']; 
	
		$_SESSION['EmAIl'] =  $row['email'];
		
		mysqlQuery("DELETE FROM `verifyUsers` WHERE `code`='$code'");

		header('Location: '.rootPath().'/history');
		
		exit();
	}
	else
	{
		$codeError = '<div style="margin-top:20px" class="alert alert-danger" role="alert">'.$language['code_error'].'</a></div>';
	}
}

if(isset($_POST['signIn']))
{
	$username=$_POST['username'];
	
	$password=$_POST['password'];
	
	$query=mysql_query("SELECT * FROM users WHERE (userName='$username' OR email='$username')  AND password='".md5($password)."' AND `status`=1");
	
	$count=mysql_num_rows($query);
	
	if($count>0)
	{
		$fetch=mysql_fetch_array($query);
		
		$_SESSION['useRName']=$fetch['userName'];
		
		$_SESSION['EmAIl']=$fetch['email'];
		
		$_SESSION['uid']=$fetch['id'];
		
		header('Location: '.rootPath().'/history');
		
		exit();
	}
	else
	{
		$loginError = '<div style="margin-top:20px" class="alert alert-danger" role="alert">'.$language['user_signIn_error'].'</a></div>';
	}
}
?>

	<title><?php echo($metaInfo['title']); ?></title>
	<meta name="description" content="<?php echo($metaInfo['description']); ?>"/>
	<meta name="keywords" content="<?php echo($metaInfo['metaTags']); ?>"/>
	<meta property="og:title" content="<?php echo($metaInfo['title']); ?>"/>
	<meta property="og:type" content="website"/>
	<meta property="og:url" content="<?php echo(rootPath()); ?>"/>
	<meta property="og:image" content="<?php echo(rootPath()); ?>/static/images/cover.jpg?<?php echo(time()); ?>"/>
	<meta property="og:description" content="<?php echo($metaInfo['description']); ?>"/>

<?php
include "includes/header_under.php";
?>

<div class="clearfix"></div>
	<div class="container container-pad">
		<div class="row">
			<?php if(isRTLLayout()) { ?>
			<div class="col-lg-8 col-md-12 col-sm-12 col-xs-12 col-lg-push-4">
			<?php } else { ?>
			<div class="col-lg-8 col-md-12 col-sm-12 col-xs-12">
			<?php } ?>
				<div class="panel panel-default">
					<div class="panel-heading title-of-table table-title">
						<i class="fa fa-user"></i>
						<?php echo($language['signUp-signIn']); ?>
					</div>
					<div class="panel-body">
						<div class="col-md-12">
							<ul class="nav nav-pills">
								<?php $action = $_GET['action'] ?>
								<li role="presentation" class="<?php echo ($action=='signin' || $action=='' ? 'active' : "")?>">
									<a href="<?php echo rootPath() ?>/user/signin">
										<i class="fa fa-sign-in"></i> <?php echo $language['signIn'] ?>
									</a>
								</li>
								<li role="presentation" class="<?php echo ($action=='signup' ? 'active' : "")?>">
									<a href="<?php echo rootPath() ?>/user/signup">
										<i class="fa fa-sign-out"></i> <?php echo $language['signUp'] ?>
									</a>
								</li>
								<li role="presentation" class="<?php echo ($action=='resetpassword' ? 'active' : "")?> ">
									<a href="<?php echo rootPath() ?>/user/resetpassword">
										<i class="fa fa-key"></i> <?php echo $language['forget_password'] ?>
									</a>
								</li>
								<li role="presentation" class="<?php echo ($action=='accountverify' ? 'active' : "")?>">
									<a href="<?php echo rootPath() ?>/user/accountverify">
										<i class="fa fa-check-square"></i> <?php echo $language['verify_account'] ?>
									</a>
								</li>
							</ul>
							<?php 
							if((isset($_GET['action']) && $action == 'signin') || $action == "")
							{
								if($loginError) echo $loginError; 
								?>
								<form role="form" method="POST">
									<div class="form-group">
										<?php 
										if(isRTLLayout()) 
										{ 
											?>
											<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9  col-lg-push-3 col-md-push-5 col-sm-push-5 user-margin-top">
											<?php 
										} 
										else 
										{ 
											?>
											<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9 user-margin-top">
											<?php 
										} 
										?>
										<label>
											<?php echo $language['username_or_email'] ?>
										</label>
										<input type="text" class="form-control" name="username" placeholder="<?php echo $language['username_or_email'] ?>" required> 
										</div>
									</div>
									<div class="form-group">
										<?php 
										if(isRTLLayout()) 
										{ 
											?>
											<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9  col-lg-push-3 col-md-push-5 col-sm-push-5 user-margin-top">
											<?php 
										} 
										else 
										{ 
											?>
											<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9 user-margin-top">
											<?php 
										} 
										?>
										<label>
											<?php echo $language['password'] ?>
										</label>
										<input type="password" class="form-control" name="password" placeholder="<?php echo $language['password'] ?>" required> 
										</div>
									</div>
									<div class="clearfix"></div>
									<?php if(isRTLLayout()) 
									{ 
										?>
										<div class="col-md-7 col-md-push-5 user-margin-top">
										<?php 
									} 
									else 
									{ 
										?>
										<div class="col-md-7 user-margin-top">
										<?php 
									} 
									?>
										<button type="submit" name="signIn" class="btn btn-success">
											<?php echo($language['signIn']); ?>
										</button>
									</div>
								</form>
								<?php
							}
							else if((isset($_GET['action']) && $action == 'signup'))
							{
								if ($fbRegisterSucess) echo $fbRegisterSucess;
								?>
								<form role="form" method="POST">
									<div class="form-group">
										<?php 
										if(isRTLLayout()) 
										{ 
											?>
											<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9  col-lg-push-3 col-md-push-5 col-sm-push-5 user-margin-top">
											<?php 
										} 
										else 
										{ 
											?>
											<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9 user-margin-top">
											<?php 
										} 
										?>
										<label>
											<?php echo $language['user_name'] ?>
										</label>
										<input type="text" class="form-control" name="username" placeholder="<?php echo $language['user_name'] ?>" value="<?php echo (isset($_GET['fbUsername']) ? $_GET['fbUsername'] : '') ?>" required /> 
										<?php if($usernameError) echo $usernameError; ?>
										</div>
									</div>
									<div class="form-group">
										<?php 
										if(isRTLLayout()) 
										{ 
											?>
											<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9  col-lg-push-3 col-md-push-5 col-sm-push-5 user-margin-top">
											<?php 
										} 
										else 
										{ 
											?>
											<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9 user-margin-top">
											<?php 
										} 
										?>
										<label>
											<?php echo $language['your_email'] ?>
										</label>
										<input type="text" class="form-control" name="email" placeholder="<?php echo $language['your_email'] ?>" value="<?php echo (isset($_GET['fbEmail']) ? $_GET['fbEmail'] : '') ?>" required> 
										<?php if($emailError) echo $emailError; ?>
										</div>
									</div>
									<div class="form-group">
										<?php 
										if(isRTLLayout()) 
										{ 
											?>
											<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9  col-lg-push-3 col-md-push-5 col-sm-push-5 user-margin-top">
											<?php 
										} 
										else 
										{ 
											?>
											<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9 user-margin-top">
											<?php 
										} 
										?>
										<label>
											<?php echo $language['password'] ?>
										</label>
										<input type="password" class="form-control" name="password" placeholder="<?php echo $language['password'] ?>" required> 
										<?php if($passwordError) echo $passwordError; ?>
										</div>
									</div>
									<div class="form-group">
										<?php 
										if(isRTLLayout()) 
										{ 
											?>
											<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9  col-lg-push-3 col-md-push-5 col-sm-push-5 user-margin-top">
											<?php 
										} 
										else 
										{ 
											?>
											<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9 user-margin-top">
											<?php 
										} 
										?>
										<label>
											<?php echo $language['confirm_password'] ?>
										</label>
										<input type="password" class="form-control" name="confirmPassword" placeholder="<?php echo $language['confirm_password'] ?>" required> 
										</div>
									</div>
									<div class="clearfix"></div>
									<?php if(isRTLLayout()) 
									{ 
										?>
										<div class="col-md-7 col-md-push-5 user-margin-top">
										<?php 
									} 
									else 
									{ 
										?>
										<div class="col-md-7 user-margin-top">
										<?php 
									} 
									?>
										<button type="submit" name="register" class="btn btn-success">
											<?php echo($language['register']); ?>
										</button>
									</div>
								</form>
								<?php
							}
							else if((isset($_GET['action']) && $action == 'resetpassword'))
							{
								if($resetError) echo $resetError;
								if(isset($_GET['passwordReset']) && !$resetError)
								{
									?>
									<div style="margin-top:20px" class="alert alert-success" role="alert">
										<?php echo $language['reset_code_success'] ?>
										<a href="<?php echo rootPath() ?>/user/signin"><?php echo $language['login_here'] ?></a>
									</div>
									<?php
								}
								else if(isset($_GET['resetCode']))
								{
									if($resetCodeSuccess) 
									{
										echo $resetCodeSuccess;
									}
									else if($resetCodeError) 
									{
										echo $resetCodeError;
									}
									else
									{
										?>
										<div style="margin-top:20px" class="alert alert-success" role="alert">
											<?php echo $language['email_success'] ?>
										</div>
										<?php
										}
									?>
									<form role="form" method="POST">
										<div class="form-group">
											<?php 
											if(isRTLLayout()) 
											{ 
												?>
												<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9  col-lg-push-3 col-md-push-5 col-sm-push-5 user-margin-top">
												<?php 
											} 
											else 
											{ 
												?>
												<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9 user-margin-top">
												<?php 
											} 
											?>
											<label>
												<?php echo $language['enter_your_code'] ?>
											</label>
											<input type="text" class="form-control" name="code" placeholder="<?php echo $language['enter_your_code'] ?>" required> 
											</div>
										</div>
										<div class="clearfix"></div>
										<?php if(isRTLLayout()) 
										{ 
											?>
											<div class="col-md-7 col-md-push-5 user-margin-top">
											<?php 
										} 
										else 
										{ 
											?>
											<div class="col-md-7 user-margin-top">
											<?php 
										} 
										?>
											<button type="submit" name="resetCode" class="btn btn-success">
												<?php echo($language['reset_password']); ?>
											</button>
										</div>
									</form>
									<?php
								}
								else
								{
									if($resetEmailError) echo $resetEmailError;
									?>
									<form role="form" method="POST">
										<div class="form-group">
											<?php 
											if(isRTLLayout()) 
											{ 
												?>
												<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9  col-lg-push-3 col-md-push-5 col-sm-push-5 user-margin-top">
												<?php 
											} 
											else 
											{ 
												?>
												<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9 user-margin-top">
												<?php 
											} 
											?>
											<label>
												<?php echo $language['enter_your_email_address'] ?>
											</label>
											<input type="email" class="form-control" name="email" placeholder="<?php echo $language['enter_your_email_address'] ?>" required> 
											</div>
										</div>
										<div class="clearfix"></div>
										<?php if(isRTLLayout()) 
										{ 
											?>
											<div class="col-md-7 col-md-push-5 user-margin-top">
											<?php 
										} 
										else 
										{ 
											?>
											<div class="col-md-7 user-margin-top">
											<?php 
										} 
										?>
											<button type="submit" name="forgetpassword" class="btn btn-success">
												<?php echo($language['reset_password']); ?>
											</button>
										</div>
									</form>
									<?php
								}
							}
							else if(isset($_GET['action']) && $action == 'accountverify')
							{
								if(isset($_GET['verifyAccount']))
								{
									?>
									<div style="margin-top:20px" class="alert alert-success" role="alert">
										<?php echo $language['you_account_has_been_verified_successfully'] ?>
										<a href="<?php echo rootPath() ?>/user/signin"><?php echo $language['login_here'] ?></a>
									</div>
									<?php
								}
								else
								{
									if($codeError) 
									{
										echo $codeError; 
									}
									else
									{
										?>
										<div style="margin-top:20px" class="alert alert-success" role="alert">
											<?php echo $language['email_success'] ?>
										</div>
										<?php
									}
									?>
									<form role="form" method="POST">
										<div class="form-group">
											<?php 
											if(isRTLLayout()) 
											{ 
												?>
												<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9  col-lg-push-3 col-md-push-5 col-sm-push-5 user-margin-top">
												<?php 
											} 
											else 
											{ 
												?>
												<div class="col-xs-12 col-sm-7 col-md-7 col-lg-9 user-margin-top">
												<?php 
											} 
											?>
											<label>
												<?php echo $language['enter_your_code'] ?>
											</label>
											<input type="text" class="form-control" name="code" placeholder="<?php echo $language['enter_your_code'] ?>" required> 
											</div>
										</div>
										<div class="clearfix"></div>
										<?php if(isRTLLayout()) 
										{ 
											?>
											<div class="col-md-7 col-md-push-5 user-margin-top">
											<?php 
										} 
										else 
										{ 
											?>
											<div class="col-md-7 user-margin-top">
											<?php 
										} 
										?>
											<button type="submit" name="verifyaccount" class="btn btn-success">
												<?php echo($language['verify_account']); ?>
											</button>
										</div>
									</form>
									<?php
								}
							}
							?>
						</div>
					</div>
				</div>
				<?php if($adsInfo['leaderboardAdStatus']) { ?>
					<div class="ad-tray-728 hidden-xss">
						<?php echo($adsInfo['leaderboardAd']); ?>
					</div>
				<?php } ?>
			</div>
			<?php if(isRTLLayout()) { ?>
			<div class="col-lg-4 col-lg-pull-8 visible-lg sidebar-main sidebar-main-mrg">
			<?php } else { ?>
			<div class="col-lg-4 visible-lg sidebar-main sidebar-main-mrg">
			<?php } ?>
				<?php
				include "includes/sidebar.php";
				?>
			</div>
		</div> 
	</div>
<?php
include "includes/footer.php";
?>