<?php
if(!isset($_SESSION)) session_start();

require "config/config.php";

require "includes/functions.php";

if(!isset($_SESSION['useRName']) || !isset($_SESSION['EmAIl']) || !isset($_SESSION['uid']))
{
	header('Location: '.rootPath());
}

include 'includes/header.php';

$limit=10;

$slug = 'websitesForSale';

$currentPage = (isset($_GET['page']) && is_numeric($_GET['page']) && $_GET['page']>0) ? ((int) mres($_GET['page'])) : 1;

$lastPage = ceil(totalVerifiedWebsites()/$limit);

$nextPage = ($currentPage < $lastPage) ? $currentPage+1 : $currentPage;

$prevPage = ($currentPage > 1) ? $currentPage+1 : $currentPage;

$i=($currentPage*$limit)-$limit;

if(isset($_GET['block']))
{
	$url = $_GET['block'];
	
	mysqlQuery("UPDATE `userWebsites` SET `forSale`=0 WHERE `url`='$url'");
}


$metaInfo = getMetaInfo();
?>

<title><?php echo($language['your_websites']); ?></title>
<meta name="description" content="<?php echo($metaInfo['description']); ?>"/>
<meta name="keywords" content="<?php echo($metaInfo['metaTags']); ?>"/>
<meta property="og:title" content="<?php echo($metaInfo['title']); ?>"/>
<meta property="og:type" content="website"/>
<meta property="og:url" content="<?php echo(rootPath()); ?>"/>
<meta property="og:image" content="<?php echo(rootPath()); ?>/static/images/cover.jpg?<?php echo(time()); ?>"/>
<meta property="og:description" content="<?php echo($metaInfo['description']); ?>"/>
	
<?php
include 'includes/header_under.php';
?>

<div class="container">
	<div class="side-menu">
		<div class="mypage theme-card shadow-1 box">
			<?php include "includes/userHeader.php" ?>
			<div class="row">
				<?php include "includes/userSidebar.php" ?>
				<div class="col-sm-9">
                    <div class="admin-content" id="home">
						<div class="row">
							<div class="col-sm-9 <?php echo (isRTLLayout() ? 'pull-right' : 'pull-left') ?>">
								<h4 class="primary-text-color"><i class="fa fa-clock-o"></i> <?php echo $language['your_websites'] ?></h4>
								<small class="secondary-text-color <?php echo (isRTLLayout()? 'pull-right' : 'pull-left')?>"><em><?php echo $language['websites_for_sale'] ?></em></small>
							</div>
						</div>
						<?php
						$uid = $_SESSION['uid'];
						$startResult = ($currentPage-1)*$limit;
						$arrayData = mysqlQuery("SELECT * FROM `userWebsites` WHERE `uid`='$uid' AND `forSale`='1' AND `status` = '1' LIMIT $startResult,$limit");
						if($deleteSuccess) echo $deleteSuccess;
						if(mysql_num_rows($arrayData) > 0)
						{
							if($successMessage) 
							{
								echo $successMessage; 
							}
							if($warningMessage)
							{
								echo $warningMessage;
							}
							?>
							<div class="table-responsive">
								<table class="table table-striped">
									<thead>
										<tr>
											<th>#</th>
											<?php if(isRTLLayout())
											{
												?>
												<th class="text-right"><?php echo $language['website'] ?></th>
												<th class="text-right"><?php echo $language['price'] ?></th>
												<th class="text-right"><?php echo $language['category'] ?></th>
												<th class="text-right"><?php echo $language['action'] ?></th>
												<?php
											}
											else
											{
												?>
												<th><?php echo $language['website'] ?></th>
												<th><?php echo $language['price'] ?></th>
												<th><?php echo $language['category'] ?></th>
												<th><?php echo $language['action'] ?></th>
												<?php
											}
											?>
										
										</tr>
									</thead>
									<tbody>
										<?php
										while($row = mysql_fetch_array($arrayData))
										{
											$i++;
											?>
											<tr>
												<th scope="row"><?php echo $i ?></th>
												<td>
													<a target="_blank" href="<?php echo rootPath() ?>/<?php echo $row['url'] ?>.html"><?php echo $row['url'] ?><a>
												</td>
												<td>$ <?php echo $row['price'] ?></td>
												<td><?php echo categoryNameById($row['cid']) ?></td>
												<td>
													<?php 
													if($row['forSale'] == '1')
													{
														?>
														<a href="<?php echo rootPath() ?>/websitesForSale?page=<?php echo $currentPage ?>&block=<?php echo $row['url'] ?>" data-toggle="tooltip" data-placement="top" title="" data-original-title="<?php echo $language['available_for_sale'] ?>" class="btn btn-sm btn-success btn-edit"><i class="fa fa-check-circle-o"></i></a>
														<?php
													}
													if($row['status']==1 && $row['adminAllow']==1)
													{ 
														?>
														<a href="<?php echo rootPath() ?>/ownership/<?php echo $row['uid'] ?>/<?php echo $row['id'] ?>" data-toggle="tooltip" data-placement="top" title="" data-original-title="<?php echo $language['change_ownership'] ?>" class="btn btn-sm btn-success btn-edit"><i class="fa fa-user"></i></a>
														<?php 
													}	
													?>
												</td>
											</tr>
											<?php
										}
										?>
									</tbody>
								</table>
							</div>
							<?php
						}
						else 
						{ 
							?>
							<div class="bgc-fff shadow-1 property-listing web-lists-error" style="height: 570px;">
								<span class="error" style="margin-top: 30vh;">
									<?php echo $language['currently_there_is_no_website_for_sale'] ?>
								</span>
							</div>
							<?php 
						} 
						?>
						<div class="clearfix"></div>
						<?php genPagination($currentPage,$lastPage,$prevPage,$nextPage,$slug,$language); ?>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

<?php include 'includes/footer.php'; ?>